/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 2

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 30 "parser.yy"


#define yyerror Lily_parser::parser_error

/* We use custom location type: Input objects */
#define YYLTYPE Input
#define YYSTYPE SCM
#define YYLLOC_DEFAULT(Current,Rhs,N) \
	((Current).set_location ((Rhs)[1], (Rhs)[N]))

#define YYPRINT(file, type, value)					\
	do {								\
		if (scm_is_eq (value, SCM_UNSPECIFIED))			\
			break;						\
		SCM s = Display::value_to_lily_string (value);		\
		char *p = scm_to_locale_string (s);			\
		fputs (p, file);					\
		free (p);						\
	} while (0)


#define lookup_identifier(x) lookup_identifier_symbol (ly_symbol2scm (x))

#line 101 "parser.yy"
 // -*-Fundamental-*-

/*
FIXME:

   * The rules for who is protecting what are very shady.  Uniformise
     this.

   * There are too many lexical modes?
*/

#include "config.hh"

#include <cctype>
#include <cstdlib>
#include <cstdio>

#include "book.hh"
#include "context.hh"
#include "context-def.hh"
#include "context-mod.hh"
#include "dimensions.hh"
#include "file-path.hh"
#include "input.hh"
#include "international.hh"
#include "lily-guile.hh"
#include "lily-lexer.hh"
#include "lily-parser.hh"
#include "ly-module.hh"
#include "ly-scm-list.hh"
#include "misc.hh"
#include "music.hh"
#include "output-def.hh"
#include "scm-hash.hh"
#include "score.hh"
#include "std-vector.hh"
#include "text-interface.hh"
#include "warn.hh"
#include "lily-imports.hh"

void
Lily_parser::parser_error (Input const *i, Lily_parser *parser, SCM *, const std::string &s)
{
	parser->parser_error (*i, s);
}

// The following are somewhat precarious constructs as they may change
// the value of the lookahead token.  That implies that the lookahead
// token must not yet have made an impact on the state stack other
// than causing the reduction of the current rule, or switching the
// lookahead token while Bison is mulling it over will cause trouble.

#define MYBACKUP(Token, Value, Location)				\
	do {								\
		if (yychar != YYEMPTY)					\
			parser->lexer_->push_extra_token		\
				(yylloc, yychar, yylval);		\
		parser->lexer_->push_extra_token			\
			(Location, Token, Value);			\
		parser->lexer_->push_extra_token (Location, BACKUP);	\
		yychar = YYEMPTY;					\
	} while (0)


#define MYREPARSE(Location, Pred, Token, Value)				\
	do {								\
		if (yychar != YYEMPTY)					\
			parser->lexer_->push_extra_token		\
				(yylloc, yychar, yylval);		\
		parser->lexer_->push_extra_token			\
			(Location, Token, Value);			\
		parser->lexer_->push_extra_token			\
			(Location, REPARSE, Pred);			\
		yychar = YYEMPTY;					\
	} while (0)

#line 180 "parser.yy"


#define MY_MAKE_MUSIC(x, spot) \
	make_music_with_input (ly_symbol2scm (x), \
			       parser->lexer_->override_input (spot))

/* ES TODO:
- delay application of the function
*/

#define LOWLEVEL_MAKE_SYNTAX(location, proc, ...)			\
	with_location							\
		(parser->lexer_->override_input (location).smobbed_copy (), \
		 proc,							\
		 ##__VA_ARGS__)

/* Syntactic Sugar. */
#define MAKE_SYNTAX(name, location, ...)				\
	LOWLEVEL_MAKE_SYNTAX (location, Syntax::name, ##__VA_ARGS__)

#define START_MAKE_SYNTAX(name, ...)					\
	ly_list (Syntax::name, ##__VA_ARGS__)

#define FINISH_MAKE_SYNTAX(start, location, ...)			\
	LOWLEVEL_MAKE_SYNTAX						\
		(location,						\
		 Guile_user::apply,					\
		 scm_car (start),					\
		 scm_append_x						\
		 (ly_list (scm_cdr (start),				\
		           ly_list (__VA_ARGS__))))

#undef _
#if !HAVE_GETTEXT
#define _(x) x
#else
#include <libintl.h>
#define _(x) gettext (x)
#endif

using std::string;

static Music *make_music_with_input (SCM name, Input where);
bool add_post_events (Music *music, SCM events);
SCM reverse_music_list (Lily_parser *parser, Input loc, SCM lst, bool preserve, bool compress);
SCM check_scheme_arg (Lily_parser *parser, Input loc,
		      SCM arg, SCM args, SCM pred, SCM disp = SCM_UNDEFINED);
SCM make_music_from_simple (Lily_parser *parser, Input loc, SCM pitch);
SCM loc_on_copy (Lily_parser *parser, Input loc, SCM arg);
SCM make_chord_elements (Input loc, SCM pitch, SCM dur, SCM modification_list);
SCM make_chord_step (SCM step, Rational alter);
SCM make_simple_markup (SCM a);
SCM make_duration (SCM t, int dots = 0, SCM factor = SCM_UNDEFINED);
bool is_regular_identifier (SCM id, bool multiple=false);
SCM make_reverse_key_list (SCM keys);
SCM try_word_variants (SCM pred, SCM str);
SCM try_string_variants (SCM pred, SCM str);
SCM post_event_cons (SCM ev, SCM tail);
void property_path_dot_warning (Input loc, SCM lst);
int yylex (YYSTYPE *s, YYLTYPE *loc, Lily_parser *parser);


// generated code may trigger conversion warnings
#pragma GCC diagnostic ignored "-Wconversion"

// generated code triggers a false positive in GCC 11
// https://gcc.gnu.org/bugzilla/show_bug.cgi?id=98753
#pragma GCC diagnostic ignored "-Wfree-nonheap-object"

// generated code contains some old-style casts
#pragma GCC diagnostic ignored "-Wold-style-cast"

// generated `int yynerrs = 0;` triggers this in Clang >= 15
#pragma GCC diagnostic ignored "-Wunused-but-set-variable"

// generated code contains some useless casts
#if !defined(__clang__)
#pragma GCC diagnostic ignored "-Wuseless-cast"
#endif


#line 254 "./out/parser.cc"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "parser.hh"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of input"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_PREC_BOT = 3,                   /* PREC_BOT  */
  YYSYMBOL_COMPOSITE = 4,                  /* COMPOSITE  */
  YYSYMBOL_5_ = 5,                         /* ':'  */
  YYSYMBOL_6_ = 6,                         /* '^'  */
  YYSYMBOL_7___ = 7,                       /* '_'  */
  YYSYMBOL_8_ = 8,                         /* '!'  */
  YYSYMBOL_9_ = 9,                         /* '\''  */
  YYSYMBOL_10_ = 10,                       /* ','  */
  YYSYMBOL_PREC_TOP = 11,                  /* PREC_TOP  */
  YYSYMBOL_ACCEPTS = 12,                   /* "\\accepts"  */
  YYSYMBOL_ADDLYRICS = 13,                 /* "\\addlyrics"  */
  YYSYMBOL_ALIAS = 14,                     /* "\\alias"  */
  YYSYMBOL_ALTERNATIVE = 15,               /* "\\alternative"  */
  YYSYMBOL_BOOK = 16,                      /* "\\book"  */
  YYSYMBOL_BOOKPART = 17,                  /* "\\bookpart"  */
  YYSYMBOL_CHANGE = 18,                    /* "\\change"  */
  YYSYMBOL_CHORDMODE = 19,                 /* "\\chordmode"  */
  YYSYMBOL_CHORDS = 20,                    /* "\\chords"  */
  YYSYMBOL_CONSISTS = 21,                  /* "\\consists"  */
  YYSYMBOL_CONTEXT = 22,                   /* "\\context"  */
  YYSYMBOL_DEFAULT = 23,                   /* "\\default"  */
  YYSYMBOL_DEFAULTCHILD = 24,              /* "\\defaultchild"  */
  YYSYMBOL_DENIES = 25,                    /* "\\denies"  */
  YYSYMBOL_DESCRIPTION = 26,               /* "\\description"  */
  YYSYMBOL_DRUMMODE = 27,                  /* "\\drummode"  */
  YYSYMBOL_DRUMS = 28,                     /* "\\drums"  */
  YYSYMBOL_ETC = 29,                       /* "\\etc"  */
  YYSYMBOL_FIGUREMODE = 30,                /* "\\figuremode"  */
  YYSYMBOL_FIGURES = 31,                   /* "\\figures"  */
  YYSYMBOL_HEADER = 32,                    /* "\\header"  */
  YYSYMBOL_INVALID = 33,                   /* "\\version-error"  */
  YYSYMBOL_LAYOUT = 34,                    /* "\\layout"  */
  YYSYMBOL_LYRICMODE = 35,                 /* "\\lyricmode"  */
  YYSYMBOL_LYRICS = 36,                    /* "\\lyrics"  */
  YYSYMBOL_LYRICSTO = 37,                  /* "\\lyricsto"  */
  YYSYMBOL_MARKUP = 38,                    /* "\\markup"  */
  YYSYMBOL_MARKUPLIST = 39,                /* "\\markuplist"  */
  YYSYMBOL_MIDI = 40,                      /* "\\midi"  */
  YYSYMBOL_NAME = 41,                      /* "\\name"  */
  YYSYMBOL_NOTEMODE = 42,                  /* "\\notemode"  */
  YYSYMBOL_OVERRIDE = 43,                  /* "\\override"  */
  YYSYMBOL_PAPER = 44,                     /* "\\paper"  */
  YYSYMBOL_REMOVE = 45,                    /* "\\remove"  */
  YYSYMBOL_REPEAT = 46,                    /* "\\repeat"  */
  YYSYMBOL_REST = 47,                      /* "\\rest"  */
  YYSYMBOL_REVERT = 48,                    /* "\\revert"  */
  YYSYMBOL_SCORE = 49,                     /* "\\score"  */
  YYSYMBOL_SCORELINES = 50,                /* "\\score-lines"  */
  YYSYMBOL_SEQUENTIAL = 51,                /* "\\sequential"  */
  YYSYMBOL_SET = 52,                       /* "\\set"  */
  YYSYMBOL_SIMULTANEOUS = 53,              /* "\\simultaneous"  */
  YYSYMBOL_TEMPO = 54,                     /* "\\tempo"  */
  YYSYMBOL_TYPE = 55,                      /* "\\type"  */
  YYSYMBOL_UNSET = 56,                     /* "\\unset"  */
  YYSYMBOL_WITH = 57,                      /* "\\with"  */
  YYSYMBOL_NEWCONTEXT = 58,                /* "\\new"  */
  YYSYMBOL_CHORD_BASS = 59,                /* "/+"  */
  YYSYMBOL_CHORD_CARET = 60,               /* "^"  */
  YYSYMBOL_CHORD_COLON = 61,               /* ":"  */
  YYSYMBOL_CHORD_MINUS = 62,               /* "-"  */
  YYSYMBOL_CHORD_SLASH = 63,               /* "/"  */
  YYSYMBOL_ANGLE_OPEN = 64,                /* "<"  */
  YYSYMBOL_ANGLE_CLOSE = 65,               /* ">"  */
  YYSYMBOL_DOUBLE_ANGLE_OPEN = 66,         /* "<<"  */
  YYSYMBOL_DOUBLE_ANGLE_CLOSE = 67,        /* ">>"  */
  YYSYMBOL_E_BACKSLASH = 68,               /* "\\\\"  */
  YYSYMBOL_E_EXCLAMATION = 69,             /* "\\!"  */
  YYSYMBOL_E_PLUS = 70,                    /* "\\+"  */
  YYSYMBOL_EXTENDER = 71,                  /* "__"  */
  YYSYMBOL_FIGURE_CLOSE = 72,              /* FIGURE_CLOSE  */
  YYSYMBOL_FIGURE_OPEN = 73,               /* FIGURE_OPEN  */
  YYSYMBOL_FIGURE_SPACE = 74,              /* "_"  */
  YYSYMBOL_FIGURE_ALTERATION_EXPR = 75,    /* FIGURE_ALTERATION_EXPR  */
  YYSYMBOL_HYPHEN = 76,                    /* "--"  */
  YYSYMBOL_MULTI_MEASURE_REST = 77,        /* MULTI_MEASURE_REST  */
  YYSYMBOL_E_UNSIGNED = 78,                /* E_UNSIGNED  */
  YYSYMBOL_UNSIGNED = 79,                  /* UNSIGNED  */
  YYSYMBOL_EXPECT_MARKUP = 80,             /* "markup?"  */
  YYSYMBOL_EXPECT_SCM = 81,                /* "scheme?"  */
  YYSYMBOL_BACKUP = 82,                    /* "(backed-up?)"  */
  YYSYMBOL_REPARSE = 83,                   /* "(reparsed?)"  */
  YYSYMBOL_EXPECT_MARKUP_LIST = 84,        /* "markup-list?"  */
  YYSYMBOL_EXPECT_OPTIONAL = 85,           /* "optional?"  */
  YYSYMBOL_EXPECT_NO_MORE_ARGS = 86,       /* EXPECT_NO_MORE_ARGS  */
  YYSYMBOL_EMBEDDED_LILY = 87,             /* "#{"  */
  YYSYMBOL_BOOK_IDENTIFIER = 88,           /* BOOK_IDENTIFIER  */
  YYSYMBOL_CHORD_MODIFIER = 89,            /* CHORD_MODIFIER  */
  YYSYMBOL_CHORD_REPETITION = 90,          /* CHORD_REPETITION  */
  YYSYMBOL_DRUM_PITCH = 91,                /* DRUM_PITCH  */
  YYSYMBOL_DURATION_ARG = 92,              /* DURATION_ARG  */
  YYSYMBOL_DURATION_IDENTIFIER = 93,       /* DURATION_IDENTIFIER  */
  YYSYMBOL_EVENT_IDENTIFIER = 94,          /* EVENT_IDENTIFIER  */
  YYSYMBOL_EVENT_FUNCTION = 95,            /* EVENT_FUNCTION  */
  YYSYMBOL_FRACTION = 96,                  /* FRACTION  */
  YYSYMBOL_LOOKUP_IDENTIFIER = 97,         /* LOOKUP_IDENTIFIER  */
  YYSYMBOL_LYRIC_ELEMENT = 98,             /* LYRIC_ELEMENT  */
  YYSYMBOL_MARKUP_FUNCTION = 99,           /* MARKUP_FUNCTION  */
  YYSYMBOL_MARKUP_LIST_FUNCTION = 100,     /* MARKUP_LIST_FUNCTION  */
  YYSYMBOL_MARKUP_IDENTIFIER = 101,        /* MARKUP_IDENTIFIER  */
  YYSYMBOL_MARKUPLIST_IDENTIFIER = 102,    /* MARKUPLIST_IDENTIFIER  */
  YYSYMBOL_MUSIC_FUNCTION = 103,           /* MUSIC_FUNCTION  */
  YYSYMBOL_MUSIC_IDENTIFIER = 104,         /* MUSIC_IDENTIFIER  */
  YYSYMBOL_NOTENAME_PITCH = 105,           /* NOTENAME_PITCH  */
  YYSYMBOL_NUMBER_IDENTIFIER = 106,        /* NUMBER_IDENTIFIER  */
  YYSYMBOL_PITCH_IDENTIFIER = 107,         /* PITCH_IDENTIFIER  */
  YYSYMBOL_REAL = 108,                     /* REAL  */
  YYSYMBOL_RESTNAME = 109,                 /* RESTNAME  */
  YYSYMBOL_SCM_ARG = 110,                  /* SCM_ARG  */
  YYSYMBOL_SCM_FUNCTION = 111,             /* SCM_FUNCTION  */
  YYSYMBOL_SCM_IDENTIFIER = 112,           /* SCM_IDENTIFIER  */
  YYSYMBOL_SCM_TOKEN = 113,                /* SCM_TOKEN  */
  YYSYMBOL_STRING = 114,                   /* STRING  */
  YYSYMBOL_SYMBOL_LIST = 115,              /* SYMBOL_LIST  */
  YYSYMBOL_TONICNAME_PITCH = 116,          /* TONICNAME_PITCH  */
  YYSYMBOL_SYMBOL = 117,                   /* SYMBOL  */
  YYSYMBOL_118_ = 118,                     /* '-'  */
  YYSYMBOL_119_ = 119,                     /* '+'  */
  YYSYMBOL_UNARY_MINUS = 120,              /* UNARY_MINUS  */
  YYSYMBOL_121_ = 121,                     /* '.'  */
  YYSYMBOL_122_ = 122,                     /* '{'  */
  YYSYMBOL_123_ = 123,                     /* '}'  */
  YYSYMBOL_124_ = 124,                     /* '='  */
  YYSYMBOL_125_ = 125,                     /* '*'  */
  YYSYMBOL_126_ = 126,                     /* ']'  */
  YYSYMBOL_127_ = 127,                     /* '/'  */
  YYSYMBOL_128_ = 128,                     /* '['  */
  YYSYMBOL_129_ = 129,                     /* '?'  */
  YYSYMBOL_YYACCEPT = 130,                 /* $accept  */
  YYSYMBOL_start_symbol = 131,             /* start_symbol  */
  YYSYMBOL_132_1 = 132,                    /* $@1  */
  YYSYMBOL_lilypond = 133,                 /* lilypond  */
  YYSYMBOL_toplevel_expression = 134,      /* toplevel_expression  */
  YYSYMBOL_lookup = 135,                   /* lookup  */
  YYSYMBOL_embedded_scm_bare = 136,        /* embedded_scm_bare  */
  YYSYMBOL_embedded_scm_active = 137,      /* embedded_scm_active  */
  YYSYMBOL_embedded_scm_bare_arg = 138,    /* embedded_scm_bare_arg  */
  YYSYMBOL_embedded_scm = 139,             /* embedded_scm  */
  YYSYMBOL_embedded_scm_arg = 140,         /* embedded_scm_arg  */
  YYSYMBOL_scm_function_call = 141,        /* scm_function_call  */
  YYSYMBOL_embedded_lilypond_number = 142, /* embedded_lilypond_number  */
  YYSYMBOL_embedded_lilypond = 143,        /* embedded_lilypond  */
  YYSYMBOL_lilypond_header_body = 144,     /* lilypond_header_body  */
  YYSYMBOL_lilypond_header = 145,          /* lilypond_header  */
  YYSYMBOL_header_block = 146,             /* header_block  */
  YYSYMBOL_147_2 = 147,                    /* $@2  */
  YYSYMBOL_assignment_id = 148,            /* assignment_id  */
  YYSYMBOL_assignment = 149,               /* assignment  */
  YYSYMBOL_identifier_init = 150,          /* identifier_init  */
  YYSYMBOL_identifier_init_nonumber = 151, /* identifier_init_nonumber  */
  YYSYMBOL_partial_function_scriptable = 152, /* partial_function_scriptable  */
  YYSYMBOL_partial_function = 153,         /* partial_function  */
  YYSYMBOL_context_def_spec_block = 154,   /* context_def_spec_block  */
  YYSYMBOL_context_mod_arg = 155,          /* context_mod_arg  */
  YYSYMBOL_156_3 = 156,                    /* $@3  */
  YYSYMBOL_context_def_spec_body = 157,    /* context_def_spec_body  */
  YYSYMBOL_book_block = 158,               /* book_block  */
  YYSYMBOL_book_body = 159,                /* book_body  */
  YYSYMBOL_160_4 = 160,                    /* $@4  */
  YYSYMBOL_bookpart_block = 161,           /* bookpart_block  */
  YYSYMBOL_bookpart_body = 162,            /* bookpart_body  */
  YYSYMBOL_163_5 = 163,                    /* $@5  */
  YYSYMBOL_score_block = 164,              /* score_block  */
  YYSYMBOL_score_body = 165,               /* score_body  */
  YYSYMBOL_score_item = 166,               /* score_item  */
  YYSYMBOL_score_items = 167,              /* score_items  */
  YYSYMBOL_168_6 = 168,                    /* $@6  */
  YYSYMBOL_paper_block = 169,              /* paper_block  */
  YYSYMBOL_output_def = 170,               /* output_def  */
  YYSYMBOL_output_def_head = 171,          /* output_def_head  */
  YYSYMBOL_output_def_head_with_mode_switch = 172, /* output_def_head_with_mode_switch  */
  YYSYMBOL_music_or_context_def = 173,     /* music_or_context_def  */
  YYSYMBOL_output_def_body = 174,          /* output_def_body  */
  YYSYMBOL_175_7 = 175,                    /* $@7  */
  YYSYMBOL_tempo_event = 176,              /* tempo_event  */
  YYSYMBOL_music_list = 177,               /* music_list  */
  YYSYMBOL_braced_music_list = 178,        /* braced_music_list  */
  YYSYMBOL_music = 179,                    /* music  */
  YYSYMBOL_pitch_as_music = 180,           /* pitch_as_music  */
  YYSYMBOL_music_embedded = 181,           /* music_embedded  */
  YYSYMBOL_music_embedded_backup = 182,    /* music_embedded_backup  */
  YYSYMBOL_music_assign = 183,             /* music_assign  */
  YYSYMBOL_repeated_music = 184,           /* repeated_music  */
  YYSYMBOL_sequential_alternative_music = 185, /* sequential_alternative_music  */
  YYSYMBOL_sequential_music = 186,         /* sequential_music  */
  YYSYMBOL_simultaneous_music = 187,       /* simultaneous_music  */
  YYSYMBOL_simple_music = 188,             /* simple_music  */
  YYSYMBOL_context_modification = 189,     /* context_modification  */
  YYSYMBOL_190_8 = 190,                    /* $@8  */
  YYSYMBOL_context_modification_arg = 191, /* context_modification_arg  */
  YYSYMBOL_optional_context_mods = 192,    /* optional_context_mods  */
  YYSYMBOL_context_modification_mods_list = 193, /* context_modification_mods_list  */
  YYSYMBOL_context_mod_list = 194,         /* context_mod_list  */
  YYSYMBOL_context_prefix = 195,           /* context_prefix  */
  YYSYMBOL_new_lyrics = 196,               /* new_lyrics  */
  YYSYMBOL_basic_music = 197,              /* basic_music  */
  YYSYMBOL_contextable_music = 198,        /* contextable_music  */
  YYSYMBOL_contexted_basic_music = 199,    /* contexted_basic_music  */
  YYSYMBOL_composite_music = 200,          /* composite_music  */
  YYSYMBOL_music_bare = 201,               /* music_bare  */
  YYSYMBOL_grouped_music_list = 202,       /* grouped_music_list  */
  YYSYMBOL_symbol_list_arg = 203,          /* symbol_list_arg  */
  YYSYMBOL_symbol_list_rev = 204,          /* symbol_list_rev  */
  YYSYMBOL_symbol_list_part = 205,         /* symbol_list_part  */
  YYSYMBOL_symbol_list_element = 206,      /* symbol_list_element  */
  YYSYMBOL_symbol_list_part_bare = 207,    /* symbol_list_part_bare  */
  YYSYMBOL_function_arglist_nonbackup = 208, /* function_arglist_nonbackup  */
  YYSYMBOL_reparsed_rhythm = 209,          /* reparsed_rhythm  */
  YYSYMBOL_function_arglist_nonbackup_reparse = 210, /* function_arglist_nonbackup_reparse  */
  YYSYMBOL_function_arglist_backup = 211,  /* function_arglist_backup  */
  YYSYMBOL_function_arglist = 212,         /* function_arglist  */
  YYSYMBOL_function_arglist_skip_nonbackup = 213, /* function_arglist_skip_nonbackup  */
  YYSYMBOL_function_arglist_partial = 214, /* function_arglist_partial  */
  YYSYMBOL_function_arglist_partial_optional = 215, /* function_arglist_partial_optional  */
  YYSYMBOL_function_arglist_common = 216,  /* function_arglist_common  */
  YYSYMBOL_function_arglist_common_reparse = 217, /* function_arglist_common_reparse  */
  YYSYMBOL_function_arglist_optional = 218, /* function_arglist_optional  */
  YYSYMBOL_function_arglist_skip_backup = 219, /* function_arglist_skip_backup  */
  YYSYMBOL_music_function_call = 220,      /* music_function_call  */
  YYSYMBOL_optional_id = 221,              /* optional_id  */
  YYSYMBOL_lyric_mode_music = 222,         /* lyric_mode_music  */
  YYSYMBOL_223_9 = 223,                    /* $@9  */
  YYSYMBOL_mode_changed_music = 224,       /* mode_changed_music  */
  YYSYMBOL_mode_changing_head = 225,       /* mode_changing_head  */
  YYSYMBOL_mode_changing_head_with_context = 226, /* mode_changing_head_with_context  */
  YYSYMBOL_context_change = 227,           /* context_change  */
  YYSYMBOL_property_path = 228,            /* property_path  */
  YYSYMBOL_property_operation = 229,       /* property_operation  */
  YYSYMBOL_revert_arg = 230,               /* revert_arg  */
  YYSYMBOL_revert_arg_backup = 231,        /* revert_arg_backup  */
  YYSYMBOL_revert_arg_part = 232,          /* revert_arg_part  */
  YYSYMBOL_context_def_mod = 233,          /* context_def_mod  */
  YYSYMBOL_context_mod = 234,              /* context_mod  */
  YYSYMBOL_grob_prop_spec = 235,           /* grob_prop_spec  */
  YYSYMBOL_grob_prop_path = 236,           /* grob_prop_path  */
  YYSYMBOL_context_prop_spec = 237,        /* context_prop_spec  */
  YYSYMBOL_simple_revert_context = 238,    /* simple_revert_context  */
  YYSYMBOL_music_property_def = 239,       /* music_property_def  */
  YYSYMBOL_string = 240,                   /* string  */
  YYSYMBOL_text = 241,                     /* text  */
  YYSYMBOL_simple_string = 242,            /* simple_string  */
  YYSYMBOL_symbol = 243,                   /* symbol  */
  YYSYMBOL_scalar = 244,                   /* scalar  */
  YYSYMBOL_event_chord = 245,              /* event_chord  */
  YYSYMBOL_note_chord_element = 246,       /* note_chord_element  */
  YYSYMBOL_chord_body = 247,               /* chord_body  */
  YYSYMBOL_chord_body_elements = 248,      /* chord_body_elements  */
  YYSYMBOL_chord_body_element = 249,       /* chord_body_element  */
  YYSYMBOL_music_function_chord_body = 250, /* music_function_chord_body  */
  YYSYMBOL_event_function_event = 251,     /* event_function_event  */
  YYSYMBOL_post_events = 252,              /* post_events  */
  YYSYMBOL_post_event_nofinger = 253,      /* post_event_nofinger  */
  YYSYMBOL_post_event = 254,               /* post_event  */
  YYSYMBOL_string_number_event = 255,      /* string_number_event  */
  YYSYMBOL_direction_less_event = 256,     /* direction_less_event  */
  YYSYMBOL_direction_reqd_event = 257,     /* direction_reqd_event  */
  YYSYMBOL_octave_check = 258,             /* octave_check  */
  YYSYMBOL_quotes = 259,                   /* quotes  */
  YYSYMBOL_erroneous_quotes = 260,         /* erroneous_quotes  */
  YYSYMBOL_sup_quotes = 261,               /* sup_quotes  */
  YYSYMBOL_sub_quotes = 262,               /* sub_quotes  */
  YYSYMBOL_steno_pitch = 263,              /* steno_pitch  */
  YYSYMBOL_steno_tonic_pitch = 264,        /* steno_tonic_pitch  */
  YYSYMBOL_pitch = 265,                    /* pitch  */
  YYSYMBOL_pitch_or_tonic_pitch = 266,     /* pitch_or_tonic_pitch  */
  YYSYMBOL_gen_text_def = 267,             /* gen_text_def  */
  YYSYMBOL_fingering = 268,                /* fingering  */
  YYSYMBOL_script_abbreviation = 269,      /* script_abbreviation  */
  YYSYMBOL_script_dir = 270,               /* script_dir  */
  YYSYMBOL_maybe_notemode_duration = 271,  /* maybe_notemode_duration  */
  YYSYMBOL_optional_notemode_duration = 272, /* optional_notemode_duration  */
  YYSYMBOL_steno_duration = 273,           /* steno_duration  */
  YYSYMBOL_duration = 274,                 /* duration  */
  YYSYMBOL_dots = 275,                     /* dots  */
  YYSYMBOL_multiplier_scm = 276,           /* multiplier_scm  */
  YYSYMBOL_multipliers = 277,              /* multipliers  */
  YYSYMBOL_tremolo_type = 278,             /* tremolo_type  */
  YYSYMBOL_bass_number = 279,              /* bass_number  */
  YYSYMBOL_bass_figure = 280,              /* bass_figure  */
  YYSYMBOL_figured_bass_modification = 281, /* figured_bass_modification  */
  YYSYMBOL_br_bass_figure = 282,           /* br_bass_figure  */
  YYSYMBOL_figure_list = 283,              /* figure_list  */
  YYSYMBOL_optional_rest = 284,            /* optional_rest  */
  YYSYMBOL_pitch_or_music = 285,           /* pitch_or_music  */
  YYSYMBOL_simple_element = 286,           /* simple_element  */
  YYSYMBOL_lyric_element = 287,            /* lyric_element  */
  YYSYMBOL_lyric_element_music = 288,      /* lyric_element_music  */
  YYSYMBOL_new_chord = 289,                /* new_chord  */
  YYSYMBOL_chord_items = 290,              /* chord_items  */
  YYSYMBOL_chord_separator = 291,          /* chord_separator  */
  YYSYMBOL_chord_item = 292,               /* chord_item  */
  YYSYMBOL_step_numbers = 293,             /* step_numbers  */
  YYSYMBOL_step_number = 294,              /* step_number  */
  YYSYMBOL_tempo_range = 295,              /* tempo_range  */
  YYSYMBOL_number_expression = 296,        /* number_expression  */
  YYSYMBOL_number_term = 297,              /* number_term  */
  YYSYMBOL_number_factor = 298,            /* number_factor  */
  YYSYMBOL_bare_number_common = 299,       /* bare_number_common  */
  YYSYMBOL_bare_number = 300,              /* bare_number  */
  YYSYMBOL_unsigned_number = 301,          /* unsigned_number  */
  YYSYMBOL_exclamations = 302,             /* exclamations  */
  YYSYMBOL_questions = 303,                /* questions  */
  YYSYMBOL_full_markup_list = 304,         /* full_markup_list  */
  YYSYMBOL_305_10 = 305,                   /* $@10  */
  YYSYMBOL_markup_mode = 306,              /* markup_mode  */
  YYSYMBOL_markup_mode_word = 307,         /* markup_mode_word  */
  YYSYMBOL_full_markup = 308,              /* full_markup  */
  YYSYMBOL_partial_markup = 309,           /* partial_markup  */
  YYSYMBOL_markup_top = 310,               /* markup_top  */
  YYSYMBOL_markup_scm = 311,               /* markup_scm  */
  YYSYMBOL_312_11 = 312,                   /* $@11  */
  YYSYMBOL_markup_list = 313,              /* markup_list  */
  YYSYMBOL_markup_uncomposed_list = 314,   /* markup_uncomposed_list  */
  YYSYMBOL_315_12 = 315,                   /* $@12  */
  YYSYMBOL_markup_composed_list = 316,     /* markup_composed_list  */
  YYSYMBOL_markup_braced_list = 317,       /* markup_braced_list  */
  YYSYMBOL_markup_braced_list_body = 318,  /* markup_braced_list_body  */
  YYSYMBOL_markup_command_list = 319,      /* markup_command_list  */
  YYSYMBOL_markup_command_basic_arguments = 320, /* markup_command_basic_arguments  */
  YYSYMBOL_321_13 = 321,                   /* $@13  */
  YYSYMBOL_markup_command_list_arguments = 322, /* markup_command_list_arguments  */
  YYSYMBOL_markup_partial_function = 323,  /* markup_partial_function  */
  YYSYMBOL_markup_arglist_partial = 324,   /* markup_arglist_partial  */
  YYSYMBOL_markup_head_1_item = 325,       /* markup_head_1_item  */
  YYSYMBOL_markup_head_1_list = 326,       /* markup_head_1_list  */
  YYSYMBOL_markup_word = 327,              /* markup_word  */
  YYSYMBOL_simple_markup = 328,            /* simple_markup  */
  YYSYMBOL_simple_markup_noword = 329,     /* simple_markup_noword  */
  YYSYMBOL_330_14 = 330,                   /* $@14  */
  YYSYMBOL_markup = 331                    /* markup  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE) \
             + YYSIZEOF (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  5
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   4904

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  130
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  202
/* YYNRULES -- Number of rules.  */
#define YYNRULES  609
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  901

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   367


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_uint8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     8,     2,     2,     2,     2,     2,     9,
       2,     2,   125,   119,    10,   118,   121,   127,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     5,     2,
       2,   124,     2,   129,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   128,     2,   126,     6,     7,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   122,     2,   123,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   120
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   408,   408,   409,   409,   417,   418,   420,   422,   425,
     432,   435,   439,   443,   451,   455,   459,   463,   467,   471,
     506,   522,   523,   531,   535,   539,   540,   541,   545,   546,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   566,   567,   568,   572,   573,   574,   578,   585,   589,
     590,   598,   605,   606,   607,   612,   624,   642,   646,   654,
     655,   658,   662,   671,   677,   677,   688,   692,   699,   703,
     708,   723,   724,   725,   729,   733,   749,   750,   751,   752,
     753,   754,   755,   756,   757,   758,   759,   760,   761,   762,
     763,   773,   777,   781,   785,   789,   793,   797,   801,   805,
     812,   813,   823,   833,   843,   853,   857,   861,   865,   870,
     880,   886,   895,   908,   910,   910,   922,   925,   935,   946,
     974,   986,   996,   999,  1003,  1007,  1011,  1015,  1019,  1023,
    1027,  1057,  1056,  1060,  1069,  1077,  1082,  1085,  1088,  1092,
    1096,  1100,  1104,  1108,  1139,  1138,  1145,  1153,  1160,  1177,
    1183,  1184,  1185,  1190,  1193,  1254,  1253,  1276,  1290,  1300,
    1306,  1311,  1320,  1332,  1333,  1337,  1344,  1348,  1376,  1383,
    1382,  1399,  1405,  1408,  1411,  1420,  1423,  1427,  1437,  1443,
    1444,  1445,  1449,  1461,  1462,  1463,  1467,  1471,  1486,  1504,
    1505,  1509,  1513,  1520,  1524,  1528,  1531,  1534,  1540,  1543,
    1551,  1552,  1553,  1558,  1557,  1565,  1584,  1585,  1593,  1607,
    1610,  1623,  1626,  1630,  1644,  1647,  1653,  1656,  1678,  1679,
    1680,  1681,  1684,  1691,  1692,  1693,  1697,  1704,  1708,  1715,
    1716,  1717,  1724,  1725,  1726,  1730,  1731,  1788,  1789,  1793,
    1800,  1801,  1805,  1814,  1815,  1827,  1831,  1836,  1845,  1852,
    1853,  1857,  1869,  1875,  1881,  1888,  1892,  1902,  1906,  1910,
    1914,  1918,  1922,  1930,  1944,  1961,  1972,  1983,  2000,  2017,
    2030,  2053,  2071,  2072,  2081,  2091,  2107,  2123,  2132,  2159,
    2170,  2180,  2199,  2210,  2220,  2234,  2249,  2264,  2279,  2289,
    2294,  2299,  2304,  2311,  2312,  2319,  2320,  2339,  2343,  2347,
    2351,  2358,  2362,  2366,  2370,  2377,  2380,  2387,  2392,  2397,
    2402,  2407,  2412,  2422,  2427,  2432,  2437,  2444,  2462,  2473,
    2484,  2502,  2520,  2534,  2557,  2569,  2585,  2594,  2595,  2599,
    2603,  2604,  2611,  2619,  2620,  2632,  2632,  2639,  2643,  2654,
    2665,  2670,  2675,  2680,  2687,  2694,  2698,  2703,  2709,  2716,
    2723,  2729,  2732,  2735,  2746,  2775,  2782,  2794,  2795,  2799,
    2803,  2811,  2812,  2814,  2815,  2816,  2818,  2819,  2820,  2821,
    2825,  2826,  2829,  2832,  2849,  2857,  2872,  2895,  2927,  2945,
    2954,  2957,  2966,  2977,  2978,  2979,  2983,  2984,  2985,  2986,
    2997,  2998,  2999,  3011,  3014,  3020,  3036,  3037,  3038,  3039,
    3047,  3051,  3052,  3056,  3063,  3070,  3074,  3078,  3079,  3084,
    3102,  3108,  3115,  3116,  3123,  3149,  3159,  3175,  3179,  3180,
    3181,  3185,  3192,  3195,  3201,  3204,  3216,  3221,  3226,  3236,
    3243,  3250,  3260,  3261,  3268,  3276,  3277,  3280,  3285,  3289,
    3292,  3308,  3309,  3314,  3317,  3318,  3323,  3330,  3333,  3339,
    3342,  3348,  3363,  3374,  3375,  3386,  3387,  3391,  3396,  3402,
    3409,  3417,  3425,  3428,  3431,  3434,  3437,  3440,  3443,  3449,
    3450,  3451,  3455,  3458,  3466,  3474,  3482,  3488,  3494,  3497,
    3503,  3504,  3509,  3512,  3519,  3527,  3540,  3543,  3555,  3556,
    3557,  3558,  3559,  3574,  3578,  3589,  3593,  3622,  3630,  3633,
    3636,  3639,  3645,  3648,  3655,  3658,  3664,  3665,  3673,  3732,
    3752,  3759,  3775,  3780,  3785,  3790,  3794,  3804,  3810,  3817,
    3820,  3826,  3829,  3832,  3835,  3841,  3844,  3847,  3853,  3854,
    3860,  3863,  3866,  3872,  3875,  3887,  3890,  3893,  3897,  3900,
    3903,  3909,  3912,  3916,  3917,  3918,  3925,  3926,  3927,  3933,
    3934,  3943,  3955,  3956,  3972,  3973,  3984,  3983,  3992,  4008,
    4017,  4021,  4028,  4036,  4039,  4044,  4051,  4050,  4067,  4070,
    4074,  4077,  4080,  4084,  4084,  4100,  4107,  4113,  4114,  4117,
    4123,  4129,  4132,  4143,  4143,  4164,  4167,  4170,  4173,  4179,
    4180,  4186,  4190,  4198,  4202,  4206,  4210,  4217,  4223,  4226,
    4232,  4233,  4237,  4241,  4245,  4245,  4258,  4261,  4268,  4273
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of input\"", "error", "\"invalid token\"", "PREC_BOT",
  "COMPOSITE", "':'", "'^'", "'_'", "'!'", "'\\''", "','", "PREC_TOP",
  "\"\\\\accepts\"", "\"\\\\addlyrics\"", "\"\\\\alias\"",
  "\"\\\\alternative\"", "\"\\\\book\"", "\"\\\\bookpart\"",
  "\"\\\\change\"", "\"\\\\chordmode\"", "\"\\\\chords\"",
  "\"\\\\consists\"", "\"\\\\context\"", "\"\\\\default\"",
  "\"\\\\defaultchild\"", "\"\\\\denies\"", "\"\\\\description\"",
  "\"\\\\drummode\"", "\"\\\\drums\"", "\"\\\\etc\"", "\"\\\\figuremode\"",
  "\"\\\\figures\"", "\"\\\\header\"", "\"\\\\version-error\"",
  "\"\\\\layout\"", "\"\\\\lyricmode\"", "\"\\\\lyrics\"",
  "\"\\\\lyricsto\"", "\"\\\\markup\"", "\"\\\\markuplist\"",
  "\"\\\\midi\"", "\"\\\\name\"", "\"\\\\notemode\"", "\"\\\\override\"",
  "\"\\\\paper\"", "\"\\\\remove\"", "\"\\\\repeat\"", "\"\\\\rest\"",
  "\"\\\\revert\"", "\"\\\\score\"", "\"\\\\score-lines\"",
  "\"\\\\sequential\"", "\"\\\\set\"", "\"\\\\simultaneous\"",
  "\"\\\\tempo\"", "\"\\\\type\"", "\"\\\\unset\"", "\"\\\\with\"",
  "\"\\\\new\"", "\"/+\"", "\"^\"", "\":\"", "\"-\"", "\"/\"", "\"<\"",
  "\">\"", "\"<<\"", "\">>\"", "\"\\\\\\\\\"", "\"\\\\!\"", "\"\\\\+\"",
  "\"__\"", "FIGURE_CLOSE", "FIGURE_OPEN", "\"_\"",
  "FIGURE_ALTERATION_EXPR", "\"--\"", "MULTI_MEASURE_REST", "E_UNSIGNED",
  "UNSIGNED", "\"markup?\"", "\"scheme?\"", "\"(backed-up?)\"",
  "\"(reparsed?)\"", "\"markup-list?\"", "\"optional?\"",
  "EXPECT_NO_MORE_ARGS", "\"#{\"", "BOOK_IDENTIFIER", "CHORD_MODIFIER",
  "CHORD_REPETITION", "DRUM_PITCH", "DURATION_ARG", "DURATION_IDENTIFIER",
  "EVENT_IDENTIFIER", "EVENT_FUNCTION", "FRACTION", "LOOKUP_IDENTIFIER",
  "LYRIC_ELEMENT", "MARKUP_FUNCTION", "MARKUP_LIST_FUNCTION",
  "MARKUP_IDENTIFIER", "MARKUPLIST_IDENTIFIER", "MUSIC_FUNCTION",
  "MUSIC_IDENTIFIER", "NOTENAME_PITCH", "NUMBER_IDENTIFIER",
  "PITCH_IDENTIFIER", "REAL", "RESTNAME", "SCM_ARG", "SCM_FUNCTION",
  "SCM_IDENTIFIER", "SCM_TOKEN", "STRING", "SYMBOL_LIST",
  "TONICNAME_PITCH", "SYMBOL", "'-'", "'+'", "UNARY_MINUS", "'.'", "'{'",
  "'}'", "'='", "'*'", "']'", "'/'", "'['", "'?'", "$accept",
  "start_symbol", "$@1", "lilypond", "toplevel_expression", "lookup",
  "embedded_scm_bare", "embedded_scm_active", "embedded_scm_bare_arg",
  "embedded_scm", "embedded_scm_arg", "scm_function_call",
  "embedded_lilypond_number", "embedded_lilypond", "lilypond_header_body",
  "lilypond_header", "header_block", "$@2", "assignment_id", "assignment",
  "identifier_init", "identifier_init_nonumber",
  "partial_function_scriptable", "partial_function",
  "context_def_spec_block", "context_mod_arg", "$@3",
  "context_def_spec_body", "book_block", "book_body", "$@4",
  "bookpart_block", "bookpart_body", "$@5", "score_block", "score_body",
  "score_item", "score_items", "$@6", "paper_block", "output_def",
  "output_def_head", "output_def_head_with_mode_switch",
  "music_or_context_def", "output_def_body", "$@7", "tempo_event",
  "music_list", "braced_music_list", "music", "pitch_as_music",
  "music_embedded", "music_embedded_backup", "music_assign",
  "repeated_music", "sequential_alternative_music", "sequential_music",
  "simultaneous_music", "simple_music", "context_modification", "$@8",
  "context_modification_arg", "optional_context_mods",
  "context_modification_mods_list", "context_mod_list", "context_prefix",
  "new_lyrics", "basic_music", "contextable_music",
  "contexted_basic_music", "composite_music", "music_bare",
  "grouped_music_list", "symbol_list_arg", "symbol_list_rev",
  "symbol_list_part", "symbol_list_element", "symbol_list_part_bare",
  "function_arglist_nonbackup", "reparsed_rhythm",
  "function_arglist_nonbackup_reparse", "function_arglist_backup",
  "function_arglist", "function_arglist_skip_nonbackup",
  "function_arglist_partial", "function_arglist_partial_optional",
  "function_arglist_common", "function_arglist_common_reparse",
  "function_arglist_optional", "function_arglist_skip_backup",
  "music_function_call", "optional_id", "lyric_mode_music", "$@9",
  "mode_changed_music", "mode_changing_head",
  "mode_changing_head_with_context", "context_change", "property_path",
  "property_operation", "revert_arg", "revert_arg_backup",
  "revert_arg_part", "context_def_mod", "context_mod", "grob_prop_spec",
  "grob_prop_path", "context_prop_spec", "simple_revert_context",
  "music_property_def", "string", "text", "simple_string", "symbol",
  "scalar", "event_chord", "note_chord_element", "chord_body",
  "chord_body_elements", "chord_body_element", "music_function_chord_body",
  "event_function_event", "post_events", "post_event_nofinger",
  "post_event", "string_number_event", "direction_less_event",
  "direction_reqd_event", "octave_check", "quotes", "erroneous_quotes",
  "sup_quotes", "sub_quotes", "steno_pitch", "steno_tonic_pitch", "pitch",
  "pitch_or_tonic_pitch", "gen_text_def", "fingering",
  "script_abbreviation", "script_dir", "maybe_notemode_duration",
  "optional_notemode_duration", "steno_duration", "duration", "dots",
  "multiplier_scm", "multipliers", "tremolo_type", "bass_number",
  "bass_figure", "figured_bass_modification", "br_bass_figure",
  "figure_list", "optional_rest", "pitch_or_music", "simple_element",
  "lyric_element", "lyric_element_music", "new_chord", "chord_items",
  "chord_separator", "chord_item", "step_numbers", "step_number",
  "tempo_range", "number_expression", "number_term", "number_factor",
  "bare_number_common", "bare_number", "unsigned_number", "exclamations",
  "questions", "full_markup_list", "$@10", "markup_mode",
  "markup_mode_word", "full_markup", "partial_markup", "markup_top",
  "markup_scm", "$@11", "markup_list", "markup_uncomposed_list", "$@12",
  "markup_composed_list", "markup_braced_list", "markup_braced_list_body",
  "markup_command_list", "markup_command_basic_arguments", "$@13",
  "markup_command_list_arguments", "markup_partial_function",
  "markup_arglist_partial", "markup_head_1_item", "markup_head_1_list",
  "markup_word", "simple_markup", "simple_markup_noword", "$@14", "markup", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-647)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-596)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
      11,  -647,   105,  2125,  1673,  -647,  -647,    68,   -10,    43,
    -647,  -647,   716,  -647,  -647,  -647,  -647,  -647,  -647,  -647,
    -647,   918,  -647,  -647,  -647,  -647,  -647,  1040,    81,    92,
      92,   716,  -647,  -647,     9,   112,  -647,   112,  -647,  -647,
    -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,   125,   183,
    -647,  -647,  -647,  -647,  -647,  -647,   111,  2010,  -647,  -647,
    -647,  -647,  -647,  4689,   164,  -647,  -647,  -647,  -647,  -647,
    -647,   246,  -647,  -647,  1466,    75,  -647,  -647,   129,   255,
     255,   716,   901,  1435,    72,  1040,    72,    72,   392,    72,
     547,  -647,  -647,  -647,  -647,   186,  -647,   241,   186,   186,
    -647,  -647,   448,  -647,  -647,   460,   304,  -647,   304,   248,
     186,   490,  -647,  -647,    79,   304,    86,   242,  -647,  -647,
     100,  -647,  -647,  -647,  -647,  -647,  -647,   341,  -647,  -647,
    -647,  -647,  -647,  -647,  -647,  -647,  3741,   305,   118,  -647,
    -647,  -647,  -647,  -647,  -647,  -647,  -647,   186,  -647,  -647,
     127,  -647,  -647,  -647,   186,  -647,  1004,  -647,  -647,  -647,
     155,  -647,   186,  -647,  -647,  -647,  -647,  2221,  -647,   162,
    -647,  -647,  -647,   301,   307,  -647,  -647,  -647,   276,   282,
     289,   291,   323,   319,   925,  -647,  -647,  -647,   219,  -647,
    -647,  -647,   276,  2373,    72,   528,   350,  -647,  -647,   352,
    -647,  -647,   376,  -647,  1901,   339,  -647,    72,  3627,  -647,
    -647,  -647,  -647,  -647,  -647,  4624,   260,    75,  -647,  -647,
     164,  -647,  -647,  -647,  -647,   455,  -647,   246,   416,  -647,
    -647,   887,   964,  -647,  -647,  -647,  -647,  -647,    35,  -647,
    -647,  -647,  -647,  -647,  -647,  1466,  -647,  -647,  3627,  -647,
    -647,  -647,  -647,   355,  -647,  -647,  -647,  -647,  -647,  -647,
     109,  -647,  -647,  -647,    72,   357,  1202,  -647,    72,   109,
     367,  -647,  -647,  -647,  -647,   186,   372,  -647,  -647,  -647,
    -647,   354,  -647,  1284,  1145,  -647,  -647,  -647,  -647,   381,
    -647,  -647,   381,   590,   430,  -647,  -647,   590,   439,  -647,
    -647,  -647,  -647,   519,   525,  -647,  -647,  -647,   590,   459,
    -647,  -647,   241,  -647,  -647,  -647,    72,    72,   112,  -647,
    -647,   255,  -647,  -647,  -647,  -647,  1166,  -647,  -647,   425,
    -647,   761,  1045,   539,  -647,  -647,  -647,  -647,  -647,  -647,
    -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,
    2221,  -647,   424,   903,   683,  -647,   683,   999,   526,  2240,
    -647,  2165,  -647,  2264,  1040,  -647,  -647,  -647,   246,  1040,
     484,   465,  -647,   925,  -647,  -647,  -647,  4531,    77,  4426,
    -647,  -647,  -647,  -647,   109,   480,   382,  -647,  3513,   488,
     661,  1021,  1988,  -647,  -647,   109,   456,    74,   115,   130,
     274,  -647,  -647,  -647,  -647,   166,  -647,  -647,   371,  -647,
      21,  -647,  -647,  -647,  -647,  -647,  -647,   455,   323,  -647,
    -647,  -647,   470,   471,   964,   964,   964,  -647,  -647,   964,
    -647,  -647,  1293,   513,  -647,  -647,  -647,  -647,  -647,  -647,
    -647,  -647,  1040,  4187,    72,    72,  -647,  3854,  -647,  -647,
      72,  1040,    72,   140,   259,  -647,  -647,    93,  4080,  -647,
    -647,   515,  -647,  3967,   475,   219,  -647,  -647,  -647,  -647,
    -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,
    -647,  -647,  -647,   724,  -647,  -647,   880,  -647,  -647,   683,
    -647,   683,   590,   520,  -647,  2943,   726,  2943,   726,  -647,
    -647,  2943,   726,   479,   482,  1554,   683,  -647,   683,   495,
    -647,  -647,   495,  -647,  -647,   182,  -647,   223,  -647,   683,
    1006,  1006,  -647,  -647,   999,  -647,  -647,  -647,  -647,   125,
    -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,
    -647,   125,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,
     323,   597,  -647,  -647,  -647,  -647,   125,  -647,  -647,  -647,
     826,  1261,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,
     293,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,
    -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,
    -647,   543,  3057,   604,  -647,  -647,   172,  -647,  -647,  -647,
    -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,
     674,  3627,  -647,   535,   311,  -647,    72,    72,   683,   311,
     311,   311,   311,  -647,   323,  -647,  -647,  -647,  1036,   925,
     556,  -647,  -647,  1466,  -647,  -647,  -647,  -647,  -647,  -647,
    -647,  -647,  -647,  -647,  -647,    72,  -647,    72,  -647,   716,
    -647,   291,  -647,  -647,  4782,  -647,  -647,   580,  -647,   523,
    -647,  -647,  -647,   274,  -647,  -647,   173,  -647,  -647,  -647,
    -647,   524,  1202,   538,   590,   569,   590,   571,   278,   565,
    -647,   218,  -647,  -647,   219,  -647,   560,  4212,   683,   539,
     880,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  3171,
     875,  -647,   590,   584,  2601,  -647,  -647,  2601,  -647,  2601,
    4321,  4321,  -647,  -647,   620,   304,  -647,   186,  -647,  -647,
    -647,  -647,  -647,  1006,   645,  -647,  1036,  -647,  -647,  -647,
    -647,  -647,  -647,  -647,   603,  2715,   662,  -647,  -647,  -647,
    -647,  -647,  -647,  -647,  -647,   661,  -647,  -647,  -647,  -647,
    -647,   331,  -647,  -647,  -647,  -647,  -647,  -647,  -647,   381,
      72,    72,  -647,  -647,  -647,  -647,  -647,  -647,  -647,  -647,
    -647,  -647,  -647,  -647,   123,   134,  -647,  -647,  -647,  -647,
    -647,  -647,   586,   556,  -647,  -647,   576,  -647,  -647,  -647,
    -647,  -647,  -647,  4321,  -647,    72,    72,   441,   441,   441,
     441,   904,   441,   904,   590,   614,   419,   612,   639,  -647,
    -647,   219,  -647,  -647,  -647,   182,   621,  2487,  -647,  3285,
     726,  -647,  -647,  -647,   274,    59,  -647,  -647,  -647,   602,
    -647,  -647,   304,   556,   826,  -647,  -647,  -647,  -647,  -647,
    -647,  -647,   366,  -647,  -647,  -647,  -647,  -647,  -647,  -647,
    -647,  -647,  -647,   424,   109,   109,  -647,  -647,  1787,  4321,
    -647,  -647,  -647,   646,   441,   441,   441,   904,  1006,   419,
      72,    72,  -647,  -647,  -647,   875,  2829,  -647,  -647,   656,
    -647,   697,  -647,  -647,  -647,  -647,   683,   625,  -647,   904,
     441,  -647,  -647,  -647,   683,  -647,  -647,  -647,  -647,  3399,
     683
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
       5,     3,     0,     0,     0,     1,     8,     0,     0,     0,
     343,   347,     0,   341,   345,   342,   346,     9,   161,   344,
     348,     0,   558,   556,   160,   340,   159,     0,     0,     0,
       0,     0,   175,    13,    21,     0,   233,     0,    25,    18,
      66,    67,   175,     6,    27,    19,    26,    10,     0,     0,
       7,    11,    12,    14,    20,   162,     0,     0,   197,   219,
     195,   236,   235,     0,   229,   230,    15,   220,   234,   218,
     232,     0,   209,    17,     0,   561,    16,    57,   486,   470,
     469,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     203,   412,   427,   504,   426,   472,   434,   478,   472,   472,
     478,   436,     0,    84,   515,     0,   443,   544,   443,   543,
     472,     0,    24,    23,   514,   443,   513,   471,    43,    41,
     188,    42,    53,     4,    76,    52,   100,     0,    81,    78,
      79,    77,    80,   407,   183,   181,     0,   185,   179,   189,
      89,   190,   202,   201,    85,   200,   408,   472,   438,   432,
     184,   435,   424,   453,   472,   552,   111,   482,   422,   437,
     182,   422,   472,   180,   422,    49,    88,     0,   561,   512,
      87,   194,   193,   121,   135,   393,   394,   395,   333,   390,
     391,   392,   335,     0,     0,   390,   391,   392,     0,   153,
     196,   198,   333,     0,     0,     0,     0,   305,   293,     0,
     332,   249,     0,    47,     0,     0,    65,     0,    64,   165,
     171,   168,   158,   167,   166,     0,     0,     0,   224,   223,
     227,   228,   225,   182,   209,   231,   338,     0,   208,   604,
     573,     0,     0,   600,   601,   577,   566,   560,     0,   563,
     569,   568,   570,   571,   598,     0,   559,   565,    64,   487,
     461,   430,   431,     0,   116,    58,   246,   245,   247,   244,
     374,   240,   248,   243,   375,     0,   107,   378,     0,   377,
       0,   478,   386,   387,   389,   174,     0,   388,   382,   207,
     206,     0,   205,     0,     0,   474,   422,   473,    50,   475,
     422,   510,   476,     0,     0,   421,    92,     0,     0,    91,
     447,   449,   451,   445,   444,   454,   545,   511,     0,     0,
      93,   452,   461,    48,   433,    90,     0,     0,     0,   514,
     513,   471,   188,   175,   179,   184,     0,   422,   512,     0,
     422,   517,     0,   554,   462,   468,   465,   466,   458,   459,
     464,   463,   467,   460,   110,   425,   429,   428,   439,   440,
       0,   457,   477,   187,   404,   422,   509,     0,     0,     0,
     122,     0,   136,     0,     0,   209,   337,   221,     0,     0,
       0,     0,   557,     0,   549,   550,   551,     0,     0,   148,
     209,   177,   199,   176,    22,     0,   327,   272,    64,     0,
       0,     0,     0,   178,    59,   350,     0,   547,   383,   384,
     471,    86,    68,    71,    82,     0,   422,    83,    72,   537,
     538,   546,   542,   385,   164,   170,   163,   226,   335,   209,
     339,   210,     0,     0,     0,     0,     0,   588,   606,     0,
     589,   580,     0,     0,   607,   572,   575,   599,   602,   564,
     603,    70,     0,   114,     0,     0,   376,    64,   470,   469,
       0,     0,     0,     0,     0,   471,   108,   111,   105,   357,
     380,     0,   356,    64,     0,     0,   211,   410,   422,   419,
     420,   418,   413,   416,   417,   456,   455,   552,   411,   493,
     488,   489,   490,     0,   492,   494,   502,   505,   491,   406,
     479,   405,     0,     0,   298,    64,     0,    64,     0,   448,
     450,    64,     0,     0,     0,     0,   187,   186,   409,     0,
     522,   521,     0,   519,   553,   441,   109,     0,   423,   516,
       0,     0,   591,   562,     0,   133,   129,   120,   130,     0,
     124,   125,   123,   157,   126,   128,   127,   146,   142,   134,
     143,     0,   138,   137,   139,   141,   140,   334,   214,   336,
     335,   191,   149,   147,   150,   154,     0,   152,   151,   215,
       0,     0,   323,   324,    30,    28,   317,    29,   320,   321,
     471,    40,    44,   306,    45,    34,    36,    37,    38,    35,
      39,    46,    33,   308,   319,   318,   307,    32,   322,    31,
     329,     0,    64,     0,   478,   260,   237,   262,   258,   257,
     256,   261,   259,   310,   316,   315,   314,   312,   311,   313,
       0,    64,   548,   547,     0,   541,     0,     0,    75,     0,
       0,     0,     0,   216,   335,   153,   153,   597,     0,     0,
       0,   576,   579,     0,   609,   578,   567,   349,   363,   366,
     361,   364,   365,   368,   369,     0,   362,     0,   367,     0,
     112,    41,   113,   119,     0,   118,   370,     0,   117,     0,
     242,   241,   398,   471,   396,   103,     0,   401,   379,   397,
     399,     0,   107,     0,     0,     0,     0,     0,     0,     0,
     106,     0,   104,   381,     0,   172,   533,   114,   415,   554,
     503,   501,   499,   498,   496,   495,   500,   497,   302,    64,
       0,    95,     0,     0,    64,   300,    94,    64,    96,    64,
      64,    64,   524,   523,   518,   443,   555,   472,   483,   484,
     480,   481,   485,     0,   597,   593,   596,   594,   592,   132,
     145,   222,   192,   156,     0,   330,   331,   292,   291,   290,
     288,   289,   325,   309,   326,     0,   270,   271,   264,   267,
     268,   471,   254,   250,   266,   265,   255,   269,   294,   482,
       0,     0,    61,    63,    62,    60,    69,    74,    73,   536,
     535,   539,   540,   217,     0,     0,   586,   587,   583,   582,
     585,   581,     0,     0,   590,   608,     0,   354,   352,   115,
     371,   372,   373,    64,   400,     0,     0,   101,   105,   102,
     297,     0,   297,     0,     0,     0,     0,     0,     0,   355,
     173,     0,   204,   213,   212,   441,     0,   330,   304,    64,
       0,    98,    97,    99,     0,   530,   527,   525,   520,   526,
     528,   442,   443,   595,     0,   278,   284,   280,   279,   285,
     286,   287,   471,   273,   274,   276,   275,   277,   328,   296,
     251,   253,   252,   422,   239,   238,   605,   574,     0,    64,
     351,   403,   402,     0,   299,   299,   297,     0,     0,     0,
       0,     0,   360,   534,   422,     0,    64,   532,   531,     0,
     446,   506,   331,   281,   283,   282,   263,     0,   353,     0,
     299,   596,   359,   358,   414,   529,   507,   422,   584,    64,
     508
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
    -647,  -647,  -647,  -647,  -647,     6,   551,   -37,  -647,   638,
     235,    15,   649,   -79,  -647,  -377,    -1,  -647,  -647,   -27,
    -187,  -165,  -114,   437,    19,    80,  -647,  -647,     8,  -647,
    -647,     4,  -647,  -647,    18,  -111,  -647,  -647,  -647,   406,
      12,  -647,  -647,  -647,  -647,  -647,  -647,    26,   288,  -234,
     692,   -65,  -647,    55,  -647,   222,  -647,  -647,  -647,    34,
    -647,  -647,  -143,  -647,  -647,  -647,   555,   718,  -647,   719,
       3,  -647,   -16,  -326,    45,   -19,  -647,  -173,    98,  -278,
    -647,  -529,    39,  -646,   -57,  -442,   257,  -647,  -220,  -519,
     -40,   591,  -349,  -647,  -539,  -647,  -647,  -647,  -208,  -647,
    -325,  -647,  -647,  -647,    97,  -647,  -258,   -29,  -647,  -647,
    -373,  -647,    24,    89,  -401,   729,  -647,  -647,  -647,  -647,
    -647,  -647,  -117,  -156,    25,  -647,   -49,  -647,   -22,   -69,
    -647,  -647,  -647,  -647,   457,   481,  -647,  -647,   442,  -647,
      61,  -140,   837,   -31,    13,   -68,  -647,    36,  -647,  -647,
     313,  -647,  -647,  -647,  -647,    20,  -647,  -647,  -225,  -647,
    -647,    88,  -647,  -647,   -75,   116,  -647,   -34,  -330,    30,
    -410,  -155,   332,   121,    23,  -647,   836,     7,    -3,    32,
    -647,  -179,  -647,  -159,  -205,  -647,  -647,  -647,  -647,  -647,
    -182,  -647,  -266,   651,  -427,  -217,   -61,    48,  -226,    52,
    -647,   408
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,     2,     4,     3,    43,   118,   119,    45,   572,   236,
     573,   121,   122,   123,   610,   206,   575,    48,    49,    50,
     402,   125,   126,   127,   576,   653,   654,   443,   577,   361,
     529,   578,   363,   541,   579,   378,   555,   379,   556,   532,
     580,    55,    56,   415,    57,   215,   133,   193,    58,   134,
     135,   136,   137,   581,    59,    60,    61,    62,   139,   582,
     281,   282,   227,   228,   687,    63,   225,    64,   220,    65,
     141,    67,    68,   597,   395,   261,   262,   263,   198,   598,
     199,   386,   200,   593,   705,   494,   201,   202,   388,   389,
      69,   365,   367,   368,    70,    71,    72,   142,   396,   656,
     460,   461,   462,   657,   658,   264,   265,   270,   268,   143,
     144,   275,   182,   178,   668,   145,   146,   147,   283,   472,
     473,   148,   353,   149,   518,   151,   152,   347,   717,   302,
     881,   303,   304,   153,   154,   155,   477,   348,   314,   349,
     326,   285,   286,   157,   287,   289,   722,   352,   159,   485,
     486,   697,   487,   284,   897,   223,   161,   162,   163,   164,
     714,   513,   828,   829,   830,   685,   408,   409,   410,   411,
     412,   686,   333,   515,   587,   184,   167,   168,   328,   589,
     237,   238,   433,   239,   240,   423,   241,   242,   432,   243,
     430,   858,   431,   516,   522,   244,   359,   438,   634,   440,
     422,   784
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
      76,   169,    47,   124,   255,   371,    66,    52,   130,    44,
      75,    51,   129,   245,   331,    54,   132,   158,    46,   439,
     213,    53,   131,   128,   160,   372,    73,   166,   437,   150,
     214,   735,   292,   377,   165,   405,   170,   670,   140,   305,
     436,   736,   344,   403,   354,   296,   311,   356,   299,   428,
     698,   188,   406,   670,   310,   226,   446,   276,   503,   138,
     278,   441,   683,    44,   217,   156,   604,   267,   204,   623,
     615,   323,    46,   495,   667,   405,   203,   497,   552,  -383,
     169,   418,   124,   403,  -246,   277,  -384,   130,   501,   780,
     667,   129,   406,   725,   727,   132,   158,   728,     1,   849,
     -86,   131,   128,   160,   507,     5,   166,   346,   150,   266,
     183,   458,   173,   165,   605,   170,   345,   140,   -82,   444,
     192,   877,   246,   373,   552,  -245,   247,   -54,   383,   260,
     194,    22,   269,   439,   269,   552,   434,   435,   138,   383,
    -247,   295,   437,   551,   156,   558,   621,   165,   622,   327,
     203,   256,   729,   351,   436,   -83,   437,   205,   627,   628,
     629,   325,  -385,   630,   730,   174,   601,   608,   436,   489,
     253,   817,   171,   491,   849,   428,   616,   224,   878,   733,
     612,   736,   760,   795,   112,   113,   257,   780,   453,   258,
      42,   324,   671,   195,   371,  -246,   454,   196,   197,   248,
     553,   731,  -383,   189,   678,   413,   327,   124,   249,  -384,
     506,   420,   130,   508,    42,   246,   129,   327,   325,   247,
     132,   674,   548,   -86,   551,   675,   131,   128,   407,   325,
     445,   166,   583,   209,   414,   737,  -245,   559,   519,   384,
     170,   -82,   140,   471,   464,   413,   856,   124,   324,   459,
     -54,  -247,   130,   794,   724,   726,   129,   857,   818,   324,
     132,     7,   421,   404,   246,   271,   131,   128,   407,   156,
     416,   166,   699,   632,   666,   773,   624,   346,   -83,   100,
     170,   488,   140,   738,   615,  -385,   345,   617,   504,   618,
     666,   771,   772,   761,   796,   172,   725,    29,   374,    30,
     670,   670,   718,   404,   207,   735,   715,   208,   474,   156,
     683,   716,    32,   300,   301,   882,    34,   190,   191,   719,
     786,   312,   787,   351,   528,   375,   540,   457,   808,   720,
      37,   112,   113,   596,   250,   112,   113,   667,   667,   583,
     676,   583,   428,   344,   677,   583,   817,   288,   107,   505,
     109,   688,   549,   613,   306,   809,   882,   295,   536,   804,
     546,   260,   269,   805,   534,   530,   544,    44,    42,    44,
     315,   633,   742,   533,   233,   533,    46,   234,    46,   531,
     107,   542,   109,   670,   535,   588,   545,   329,   547,   360,
     613,   557,   860,   550,   571,   362,   296,   299,   246,   743,
     364,   744,   247,   574,   599,   606,  -393,   785,   767,   768,
     850,   600,   607,  -394,   794,  -395,   437,   107,   586,   109,
     667,   602,   609,   673,   766,   660,   661,   366,   436,   614,
      22,   390,   324,   818,   324,   391,   753,   851,   405,   852,
     383,   727,   728,   369,   413,   883,   403,   448,   449,   670,
     371,   782,   387,   571,   800,   406,   802,   833,   888,   392,
     413,   394,   574,    22,  -330,   561,   637,   669,   419,   571,
     781,   271,   884,    90,   885,   672,   466,   655,   574,   442,
     488,   447,   819,   669,   450,   100,   667,   451,   592,   619,
     620,   463,   588,   452,   588,   260,   465,   269,   588,   520,
     868,   571,   490,   571,   112,   113,   272,   571,   457,   273,
     574,   496,   574,   324,   774,   775,   574,   798,   327,   457,
     498,   251,   252,   104,   457,   586,   759,   586,   499,   293,
     325,   586,   659,   294,   197,   500,   453,   666,   666,   319,
     502,   297,   320,   583,   454,   298,   197,   514,   753,   517,
     387,   753,   678,   753,   387,   523,   156,   785,   156,   455,
     324,   560,   156,   177,   424,   387,   437,   435,   373,   783,
     590,   308,   181,   764,   739,   309,   197,   832,   187,   844,
     611,   740,   177,   765,   866,   769,   770,   861,   862,   757,
     437,   741,   625,   626,   704,   636,   707,   681,   571,   684,
     709,   700,   891,   710,   782,   229,   711,   574,   413,   195,
     124,   115,     7,   385,   197,   130,    44,   217,   807,   129,
     666,   310,   756,   132,   745,    46,   459,   758,   459,   131,
     128,   407,   177,   177,   166,   259,   187,   259,   259,   274,
     259,   612,   120,   170,    34,   140,   831,   793,   797,   870,
     801,   279,   803,    34,   782,   231,   873,   789,    37,   112,
     113,   844,   799,   583,   806,   820,   404,    37,   112,   113,
     233,   492,   156,   234,  -595,   493,   197,    34,   811,   509,
     510,   511,   664,   512,   834,   848,   666,   434,    78,    79,
      80,    37,   112,   113,   790,   867,   588,   791,   664,   825,
     859,   757,   875,   456,   757,   571,   757,   413,   413,   826,
     571,   869,    22,   571,   574,   571,   571,   571,   256,   574,
     753,   120,   574,   879,   574,   574,   574,   889,   280,   586,
     669,   669,   847,   457,   756,   825,   886,   756,   788,   756,
     475,   571,   195,   753,   896,   259,   591,   197,   898,   387,
     574,   112,   113,   257,    92,   218,   258,   894,   259,    94,
     871,    96,    22,   880,   476,   156,   313,   813,   156,   543,
     156,    34,   783,   732,   322,   417,   659,   101,   318,   887,
     900,   219,   221,   380,   814,    37,    38,   762,    40,   872,
     413,    41,   222,   874,   343,   853,   690,   763,   479,   571,
     810,   321,   827,   480,   895,   854,   855,   702,   574,   689,
     815,   703,   197,   669,   847,   259,   588,   387,   358,   259,
    -474,  -474,  -474,   571,  -474,   571,   376,   752,   112,   113,
     175,   322,   574,   176,   574,   484,   112,   113,   481,    74,
     635,   482,   322,   592,     0,   584,   401,     0,     0,   586,
       0,   892,   893,     0,     0,   169,   413,   124,   457,   457,
     457,   457,   130,   457,     0,   571,   129,   259,   259,   585,
     132,   158,     0,   757,   574,     0,   131,   128,   160,   669,
       0,   166,   571,   150,   665,     0,   401,     0,   165,     0,
     170,   574,   140,   216,     0,   680,   757,     0,     0,   864,
     682,   865,     0,   -55,   376,   571,   756,   195,    78,    79,
      80,   734,   197,   138,   574,   187,     0,     0,   876,   156,
     187,   470,     0,     0,    74,   457,   457,   457,     0,   756,
       0,   387,   701,   387,   706,   290,   291,     0,   708,   752,
       0,     0,   752,     0,   752,   664,   664,   307,   691,   692,
     693,   457,   584,     0,   584,   694,   492,   387,   584,   387,
     816,   197,     0,     0,   343,   890,   712,   424,   425,   713,
     843,   426,    74,   427,    92,   230,   585,     0,   585,    94,
       0,    96,   585,     0,   330,   702,     0,   899,     0,   863,
     197,   332,   350,   187,   651,   259,   259,   101,   318,   355,
       0,   259,   187,   259,     0,     0,   695,   696,     0,    78,
     334,   335,   336,   112,   113,   175,     0,   554,   176,     0,
       0,   321,    34,   254,   370,   232,   -55,     0,   664,    74,
     112,   113,   179,     0,   484,   180,    37,   112,   113,     0,
      74,     0,    22,     0,   429,   425,     0,   235,   426,   754,
     427,     0,   843,     0,     0,    10,    11,     0,     0,    22,
       0,   387,     0,    13,    14,     0,    15,    16,   721,   337,
       0,    19,    20,   755,     0,     0,     0,     0,    25,   520,
     521,   652,    96,   426,     0,   427,   723,   521,     0,     0,
     426,   387,   427,     0,   664,     0,     0,     0,   101,   102,
     271,    34,     0,   376,   509,   510,   511,   105,   512,   456,
       0,   752,     0,   594,   100,   111,   112,   113,   338,   104,
      74,   339,   340,   341,     0,   342,   106,   107,   108,   109,
       0,   595,   387,    34,   752,   319,   596,   115,   320,     0,
     776,   821,     0,   322,   822,     0,   823,    37,   112,   113,
     777,     0,   112,   113,   185,     0,   584,   186,   778,     0,
       0,   754,    74,     0,   754,    74,   754,   259,   259,     0,
       0,    78,   334,   335,   336,     0,     0,     0,     0,     0,
     585,     0,     0,    22,     0,   755,     0,     0,   755,     0,
     755,     0,   845,     0,     0,     0,   259,    74,   259,    74,
     177,     0,     0,     0,    22,     0,     0,     0,   448,   449,
       0,     0,     0,    74,     0,    74,   846,   478,     0,   479,
       0,     0,     0,     0,   480,     0,     0,    74,    74,     0,
       0,   337,     0,     0,   665,   680,   682,   701,   651,   706,
       0,     0,     0,     0,    96,   450,     0,     0,   451,   401,
       0,     0,     0,     0,   452,     0,     0,   112,   113,   481,
     101,   318,   482,    34,     0,     0,   779,     0,     0,    35,
       0,     0,     0,   483,   845,     0,   584,    37,   112,   113,
     338,   374,     0,   339,   340,   341,     0,   342,     0,    78,
      79,    80,     0,   679,    74,   792,     0,   453,   846,    34,
     585,   821,   822,   708,     0,   454,     0,     0,   375,     0,
     376,   259,   259,   111,   112,   113,     0,     0,     0,    74,
     455,     0,   376,     0,     0,   652,     0,   823,     0,     0,
       0,     0,     0,   754,     0,     0,     0,     0,     0,     0,
     271,    74,   229,   230,     0,     0,   259,   259,     0,   467,
       0,     0,     0,   594,   100,    92,   754,   755,     0,   259,
      94,     0,    96,     0,   779,     0,   106,   107,   108,   109,
       0,     0,     0,     0,     0,   468,   596,   115,   101,   318,
     755,    34,     0,     0,     0,     0,     0,    35,   469,   106,
      34,   108,   231,   232,     0,    37,   112,   113,     0,     0,
     115,     0,   321,     0,    37,   112,   113,   233,     0,     0,
     234,     0,     0,     0,     0,   235,   631,     0,     0,     0,
       0,   259,   259,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   -51,    77,     0,     0,     0,
      78,    79,    80,     0,     0,     0,   216,     0,     0,   376,
       7,     8,     9,    81,    10,    11,     0,    82,     0,     0,
       0,     0,    13,    14,     0,    15,    16,   -64,    83,    18,
      19,    20,    21,    22,    23,    24,     0,    25,    84,    26,
       0,    85,     0,    86,    28,     0,    29,    87,    30,    88,
       0,    89,    90,    31,     0,     0,   120,     0,     0,    91,
       0,    32,     0,     0,     0,     0,    92,     0,    93,     0,
       0,    94,    95,    96,    97,   229,   230,     0,     0,     0,
       0,     0,     0,     0,     0,    98,    99,     0,   100,   101,
     102,   103,    34,   104,     0,     0,     0,     0,   105,    36,
     106,   107,   108,   109,   110,     0,   111,   112,   113,   114,
       0,   115,   116,   117,   -56,   381,     0,    42,   -51,    78,
      79,    80,     0,    34,     0,   231,   232,     0,     0,     7,
       0,     0,    81,    10,    11,     0,    12,    37,   112,   113,
     233,    13,    14,   234,    15,    16,     0,     0,   235,    19,
      20,    21,    22,     0,     0,     0,    25,   316,     0,     0,
      27,     0,    86,     0,     0,    29,   317,    30,    88,     0,
      89,     0,    31,     0,     0,     0,     0,     0,    91,     0,
      32,     0,     0,     0,     0,    92,     0,    93,     0,     0,
      94,    95,    96,   271,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    98,    99,     0,   100,   101,   318,
       0,    34,   104,     0,     0,     0,     0,    35,    36,   106,
       0,   108,     0,   110,     0,    37,   112,   113,   319,     0,
     115,   320,   321,   -51,    77,     0,    42,   -56,    78,    79,
      80,     0,     0,     0,     0,     0,     0,     0,     7,     8,
       9,    81,    10,    11,     0,    82,     0,     0,     0,     0,
      13,    14,     0,    15,    16,   -64,    83,    18,    19,    20,
      21,    22,    23,    24,     0,    25,    84,    26,     0,    85,
       0,    86,    28,     0,    29,    87,    30,    88,     0,    89,
      90,    31,     0,     0,     0,     0,     0,    91,     0,    32,
       0,     0,     0,     0,    92,     0,    93,     0,     0,    94,
      95,    96,    97,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    98,    99,     0,   100,   101,   102,   103,
      34,   104,     0,     0,     0,     0,   105,    36,   106,   107,
     108,   109,   110,     0,   111,   112,   113,   114,    77,   115,
     116,   117,    78,    79,    80,    42,     0,     0,     0,     0,
       0,     0,     7,     8,     9,    81,    10,    11,     0,    82,
       0,     0,     0,     0,    13,    14,     0,    15,    16,   -64,
      83,    18,    19,    20,    21,    22,    23,    24,     0,    25,
      84,    26,     0,    85,     0,    86,    28,     0,    29,    87,
      30,    88,     0,    89,    90,    31,     0,     0,     0,     0,
       0,    91,     0,    32,     0,     0,     0,     0,    92,     0,
      93,     0,     0,    94,    95,    96,    97,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    98,    99,     0,
     100,   101,   102,   103,    34,   104,     0,     0,     0,     0,
     105,    36,   106,   107,   108,   109,   110,     0,   111,   112,
     113,   114,   381,   115,   116,   117,    78,    79,    80,    42,
     -51,     0,     0,     0,     0,     0,     7,     0,     0,    81,
      10,    11,     0,    12,     0,     0,     0,     0,    13,    14,
       0,    15,    16,     0,     0,     0,    19,    20,    21,    22,
       0,     0,     0,    25,   316,     0,     0,    27,     0,    86,
       0,     0,    29,   317,    30,    88,     0,    89,     0,    31,
       0,     0,     0,     0,     0,    91,     0,    32,     0,     0,
       0,     0,    92,     0,    93,     0,     0,    94,    95,    96,
     271,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    98,    99,     0,   100,   101,   318,     0,    34,   104,
       0,     0,     0,     0,    35,    36,   106,     0,   108,     0,
     110,   210,    37,   112,   113,   319,     0,   115,   320,   321,
       0,     0,     0,    42,   393,  -169,    22,     0,  -169,  -169,
    -169,     0,  -169,     0,     0,     0,     0,  -169,  -169,     0,
    -169,  -169,     0,     0,     0,  -169,  -169,  -169,    22,     0,
       0,     0,  -169,  -169,     0,     0,  -169,     0,  -169,     0,
       0,  -169,  -169,  -169,  -169,     0,  -169,   271,  -169,     0,
       0,     0,     0,     0,  -169,     0,  -169,     0,     0,     0,
     594,   100,     0,  -169,     0,     0,   104,  -169,     0,     0,
       0,     0,     0,   106,   107,   108,   109,     0,   603,     0,
    -169,  -169,   319,   596,   115,   320,     0,    34,     0,     0,
       0,     0,     0,  -169,  -169,     0,     0,     0,     0,  -169,
       0,    37,    38,   211,    40,    -2,     6,    41,     0,     0,
       0,     0,  -169,   212,     0,     0,     0,     0,     0,     0,
       7,     8,     9,     0,    10,    11,     0,    12,     0,     0,
       0,     0,    13,    14,     0,    15,    16,   -64,    17,    18,
      19,    20,    21,    22,    23,    24,   525,    25,     0,    26,
       0,    27,     0,     0,    28,     0,    29,     0,    30,     0,
       7,     0,     9,    31,    10,    11,     0,    12,     0,     0,
       0,    32,    13,    14,     0,    15,    16,  -131,     0,    18,
      19,    20,    21,    22,    23,    24,     0,    25,     0,    26,
       0,    27,     0,    33,    28,     0,    29,     0,    30,     0,
       0,     0,    34,    31,     0,     0,     0,     0,    35,    36,
       0,    32,     0,     0,     0,     0,    37,    38,    39,    40,
       0,     0,    41,     0,     0,     0,     0,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    34,     0,     0,   537,     0,     0,    35,    36,
     229,   230,     0,     0,     0,     0,    37,    38,   526,     7,
       0,     0,     0,    10,    11,     0,    12,    42,   527,   229,
     230,    13,    14,     0,    15,    16,  -144,     0,    18,    19,
      20,    21,    22,    23,    24,     0,    25,     0,    26,     0,
      27,     0,     0,    28,     0,    29,     0,    30,    34,     0,
     357,   232,    31,     0,     0,     0,     0,     0,     0,     0,
      32,     0,    37,   112,   113,   233,     0,    34,   234,   524,
     232,     0,     0,   235,     0,     0,     0,     0,     0,     0,
       0,    37,   112,   113,   233,     0,     0,   234,     0,     0,
       0,    34,   235,     0,     0,     0,     0,    35,    36,     0,
       0,     0,     0,     0,   381,    37,    38,   538,    78,    79,
      80,     0,     0,     0,     0,     0,    42,   539,     7,     0,
       0,    81,    10,    11,     0,    12,     0,     0,     0,     0,
      13,    14,     0,    15,    16,     0,     0,     0,    19,    20,
      21,    22,     0,     0,     0,    25,   316,     0,     0,    27,
       0,    86,     0,     0,    29,   317,    30,    88,     0,    89,
       0,    31,     0,     0,     0,     0,     0,    91,     0,    32,
     382,     0,     0,     0,    92,     0,    93,     0,     0,    94,
      95,    96,   271,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    98,    99,     0,   100,   101,   318,     0,
      34,   104,     0,     0,     0,     0,    35,    36,   106,     0,
     108,     0,   110,     0,    37,   112,   113,   319,     0,   115,
     320,   321,    78,    79,    80,    42,     0,     0,     0,     0,
       0,     0,     7,     8,     9,    81,    10,    11,     0,    82,
       0,     0,     0,     0,    13,    14,  -303,    15,    16,   -64,
       0,    18,    19,    20,    21,    22,    23,    24,     0,    25,
     316,    26,     0,    27,     0,    86,    28,     0,    29,   317,
      30,    88,     0,    89,    90,    31,     0,     0,     0,     0,
       0,    91,     0,    32,     0,     0,     0,     0,    92,     0,
      93,     0,     0,    94,    95,    96,   835,     0,     0,     0,
     561,     0,     0,     0,     0,     0,     0,    98,    99,     0,
     836,   101,   318,   564,    34,     0,     0,     0,     0,     0,
      35,    36,   106,   837,   108,   838,   110,   565,    37,   839,
     567,   840,     0,   115,   841,   842,    78,    79,    80,    42,
       0,     0,     0,     0,     0,     0,     7,     8,     9,    81,
      10,    11,     0,    82,  -295,     0,     0,     0,    13,    14,
    -299,    15,    16,     0,     0,    18,    19,    20,    21,    22,
      23,    24,     0,    25,    84,    26,     0,    85,     0,    86,
      28,     0,    29,    87,    30,    88,     0,    89,    90,    31,
       0,     0,     0,     0,     0,    91,     0,    32,     0,     0,
       0,     0,    92,     0,    93,     0,     0,    94,    95,    96,
     746,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    98,    99,     0,   747,   101,   102,   564,    34,     0,
       0,     0,     0,     0,   105,    36,   106,   107,   108,   109,
     110,   565,   111,   748,   567,   749,     0,   115,   750,   751,
      78,    79,    80,    42,     0,     0,     0,     0,     0,     0,
       7,     8,     9,    81,    10,    11,     0,    82,     0,     0,
       0,     0,    13,    14,     0,    15,    16,   -64,     0,    18,
      19,    20,    21,    22,    23,    24,     0,    25,   316,    26,
       0,    27,     0,    86,    28,     0,    29,   317,    30,    88,
       0,    89,    90,    31,     0,     0,     0,     0,     0,    91,
       0,    32,     0,     0,     0,     0,    92,     0,    93,     0,
       0,    94,    95,    96,   835,     0,     0,     0,   561,     0,
       0,     0,     0,     0,     0,    98,    99,     0,   836,   101,
     318,   564,    34,     0,     0,     0,     0,     0,    35,    36,
     106,   837,   108,   838,   110,   565,    37,   839,   567,   840,
       0,   115,   841,   842,    78,    79,    80,    42,     0,     0,
       0,     0,     0,     0,     7,     8,     9,    81,    10,    11,
       0,    82,  -295,     0,     0,     0,    13,    14,  -299,    15,
      16,     0,     0,    18,    19,    20,    21,    22,    23,    24,
       0,    25,   316,    26,     0,    27,     0,    86,    28,     0,
      29,   317,    30,    88,     0,    89,    90,    31,     0,     0,
       0,     0,     0,    91,     0,    32,     0,     0,     0,     0,
      92,     0,    93,     0,     0,    94,    95,    96,   746,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    98,
      99,     0,   747,   101,   318,   564,    34,     0,     0,     0,
       0,     0,    35,    36,   106,   107,   108,   109,   110,   565,
      37,   748,   567,   749,     0,   115,   750,   751,    78,    79,
      80,    42,     0,     0,     0,     0,     0,     0,     7,     8,
       9,    81,    10,    11,     0,    82,     0,     0,     0,     0,
      13,    14,  -297,    15,    16,     0,     0,    18,    19,    20,
      21,    22,    23,    24,     0,    25,    84,    26,     0,    85,
       0,    86,    28,     0,    29,    87,    30,    88,     0,    89,
      90,    31,     0,     0,     0,     0,     0,    91,     0,    32,
       0,     0,     0,     0,    92,     0,    93,     0,     0,    94,
      95,    96,   562,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    98,    99,     0,   563,   101,   102,   564,
      34,     0,     0,     0,     0,     0,   105,    36,   106,   107,
     108,   109,   110,   565,   111,   566,   567,   568,     0,   115,
     569,   570,    78,    79,    80,    42,     0,     0,     0,     0,
       0,     0,     7,     8,     9,    81,    10,    11,     0,    82,
    -295,     0,     0,     0,    13,    14,     0,    15,    16,     0,
       0,    18,    19,    20,    21,    22,    23,    24,     0,    25,
     316,    26,     0,    27,     0,    86,    28,     0,    29,   317,
      30,    88,     0,    89,    90,    31,     0,     0,     0,     0,
       0,    91,     0,    32,     0,     0,     0,     0,    92,     0,
      93,     0,     0,    94,    95,    96,   746,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    98,    99,     0,
     747,   101,   318,   564,    34,     0,     0,     0,     0,     0,
      35,    36,   106,   107,   108,   109,   110,   565,    37,   748,
     567,   749,     0,   115,   750,   751,    78,    79,    80,    42,
       0,     0,     0,     0,     0,     0,     7,     8,     9,    81,
      10,    11,     0,    82,     0,     0,     0,     0,    13,    14,
    -301,    15,    16,     0,     0,    18,    19,    20,    21,    22,
      23,    24,     0,    25,   316,    26,     0,    27,     0,    86,
      28,     0,    29,   317,    30,    88,     0,    89,    90,    31,
       0,     0,     0,     0,     0,    91,     0,    32,     0,     0,
       0,     0,    92,     0,    93,     0,     0,    94,    95,    96,
     562,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    98,    99,     0,   563,   101,   318,   564,    34,     0,
       0,     0,     0,     0,    35,    36,   106,   107,   108,   109,
     110,   565,    37,   566,   567,   568,     0,   115,   569,   570,
      78,    79,    80,    42,     0,     0,     0,     0,     0,     0,
       7,     8,     9,    81,    10,    11,     0,    82,     0,     0,
       0,     0,    13,    14,  -297,    15,    16,     0,     0,    18,
      19,    20,    21,    22,    23,    24,     0,    25,   316,    26,
       0,    27,     0,    86,    28,     0,    29,   317,    30,    88,
       0,    89,    90,    31,     0,     0,     0,     0,     0,    91,
       0,    32,     0,     0,     0,     0,    92,     0,    93,     0,
       0,    94,    95,    96,   562,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    98,    99,     0,   563,   101,
     318,   564,    34,     0,     0,     0,     0,     0,    35,    36,
     106,   107,   108,   109,   110,   565,    37,   566,   567,   568,
       0,   115,   569,   570,    78,    79,    80,    42,     0,     0,
       0,     0,     0,     0,     7,     8,     9,    81,    10,    11,
       0,    82,     0,     0,     0,     0,    13,    14,  -299,    15,
      16,     0,     0,    18,    19,    20,    21,    22,    23,    24,
       0,    25,   316,    26,     0,    27,     0,    86,    28,     0,
      29,   317,    30,    88,     0,    89,    90,    31,     0,     0,
       0,     0,     0,    91,     0,    32,     0,     0,     0,     0,
      92,     0,    93,     0,     0,    94,    95,    96,   746,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    98,
      99,     0,   747,   101,   318,   564,    34,     0,     0,     0,
       0,     0,    35,    36,   106,   107,   108,   109,   110,   565,
      37,   748,   567,   749,     0,   115,   750,   751,    78,    79,
      80,    42,     0,     0,     0,     0,     0,     0,     7,     8,
       9,    81,    10,    11,     0,    82,     0,     0,     0,     0,
      13,    14,     0,    15,    16,     0,     0,    18,    19,    20,
      21,    22,    23,    24,     0,    25,   316,    26,     0,    27,
       0,    86,    28,     0,    29,   317,    30,    88,     0,    89,
      90,    31,     0,     0,     0,     0,     0,    91,     0,    32,
       0,     0,     0,     0,    92,     0,    93,     0,     0,    94,
      95,    96,   562,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    98,    99,     0,   563,   101,   318,   564,
      34,     0,     0,     0,     0,     0,    35,    36,   106,   107,
     108,   109,   110,   565,    37,   566,   567,   568,     0,   115,
     569,   570,    78,    79,    80,    42,     0,     0,     0,     0,
       0,     0,     7,     8,     9,    81,    10,    11,     0,    82,
       0,     0,     0,     0,    13,    14,     0,    15,    16,     0,
       0,    18,    19,    20,    21,    22,    23,    24,     0,    25,
      84,    26,     0,    85,     0,    86,    28,     0,    29,    87,
      30,    88,     0,    89,    90,    31,     0,     0,     0,     0,
       0,    91,     0,    32,     0,     0,     0,     0,    92,     0,
      93,     0,     0,    94,    95,    96,   397,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    98,    99,     0,
       0,   101,   102,   103,    34,     0,     0,     0,     0,     0,
     105,    36,   106,   107,   108,   109,   110,     0,   111,   112,
     113,   398,     0,   115,   399,   400,    78,    79,    80,    42,
       0,     0,     0,     0,     0,     0,     7,     0,     0,    81,
      10,    11,     0,    12,     0,     0,     0,     0,    13,    14,
       0,    15,    16,     0,     0,     0,    19,    20,    21,    22,
       0,     0,     0,    25,   316,     0,     0,    27,     0,    86,
       0,     0,    29,   317,    30,    88,     0,    89,     0,    31,
       0,     0,     0,     0,     0,    91,     0,    32,     0,     0,
       0,     0,    92,     0,    93,     0,     0,    94,    95,    96,
     271,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    98,    99,     0,   100,   101,   318,     0,    34,   104,
       0,     0,     0,     0,    35,    36,   106,     0,   108,     0,
     110,     0,    37,   112,   113,   319,     0,   115,   320,   321,
     448,   449,     0,    42,     0,     0,     0,     0,     0,     7,
       8,     9,    81,    10,    11,     0,    82,     0,     0,     0,
       0,    13,    14,  -101,    15,    16,     0,     0,    18,    19,
      20,    21,    22,    23,    24,     0,    25,    84,    26,     0,
      85,     0,    86,    28,     0,    29,    87,    30,    88,     0,
      89,    90,    31,     0,     0,     0,     0,     0,    91,     0,
      32,     0,     0,     0,     0,     0,     0,    93,     0,     0,
       0,    95,     0,   397,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    98,    99,     0,     0,     0,   453,
     564,    34,     0,     0,     0,     0,     0,   105,    36,   106,
     107,   108,   109,   110,   565,   111,   662,   567,   398,     0,
     115,   399,   663,   448,   449,     0,    42,     0,     0,     0,
       0,     0,     7,     8,     9,    81,    10,    11,     0,    82,
       0,     0,     0,     0,    13,    14,  -102,    15,    16,     0,
       0,    18,    19,    20,    21,    22,    23,    24,     0,    25,
      84,    26,     0,    85,     0,    86,    28,     0,    29,    87,
      30,    88,     0,    89,    90,    31,     0,     0,     0,     0,
       0,    91,     0,    32,     0,     0,     0,     0,     0,     0,
      93,     0,     0,     0,    95,     0,   397,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    98,    99,     0,
       0,     0,   453,   564,    34,     0,     0,     0,     0,     0,
     105,    36,   106,   107,   108,   109,   110,   565,   111,   662,
     567,   398,     0,   115,   399,   663,   448,   449,     0,    42,
       0,     0,     0,     0,     0,     7,     0,     0,    81,    10,
      11,     0,    12,     0,     0,     0,     0,    13,    14,     0,
      15,    16,     0,     0,     0,    19,    20,    21,    22,     0,
       0,     0,    25,    84,     0,     0,    85,     0,    86,     0,
       0,    29,    87,    30,    88,     0,    89,     0,    31,     0,
       0,     0,     0,     0,    91,     0,    32,     0,     0,     0,
       0,     0,     0,    93,     0,     0,     0,    95,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      98,    99,     0,     0,     0,   453,     0,     0,   104,     0,
       0,     0,     0,   105,    36,   106,     0,   108,     0,   110,
       0,   678,     0,     0,   319,     0,   115,   320,   455,   638,
       0,   639,    42,     0,     0,     0,     0,     0,   640,     0,
       0,   641,   642,   643,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   638,     0,   639,     0,   644,     0,
     645,     0,   646,   640,     0,   647,   641,   642,   643,     0,
       0,     0,   648,   649,    90,     0,     0,     0,     0,     0,
       0,     0,     0,   644,     0,   645,     0,   646,     0,     0,
     647,     0,     0,     0,     0,     0,     0,   648,   649,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    34,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    37,   112,
     113,   175,     0,     0,   176,     0,     0,     0,     0,    34,
     650,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    37,   112,   113,   175,     0,     0,   176,
       0,     0,     0,     0,     0,   812,     7,     8,     9,    81,
      10,    11,     0,    82,     0,     0,     0,     0,    13,    14,
       0,    15,    16,     0,     0,    18,    19,    20,    21,    22,
      23,    24,     0,    25,   316,    26,     0,    27,     0,    86,
      28,     0,    29,   317,    30,    88,     0,    89,    90,    31,
       0,     0,     0,     0,     0,    91,     0,    32,     0,     0,
       0,     0,     0,     0,    93,     0,     0,     0,    95,     0,
     397,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    98,    99,     0,     0,     0,     0,   564,    34,     0,
       0,     0,     0,     0,    35,    36,   106,   107,   108,   109,
     110,   565,    37,   662,   567,   398,     0,   115,   399,   824,
       0,     7,     0,    42,    81,    10,    11,     0,    12,     0,
       0,     0,     0,    13,    14,     0,    15,    16,  -155,     0,
      18,    19,    20,    21,    22,     0,    24,     0,    25,   316,
      26,     0,    27,     0,    86,     0,     0,    29,   317,    30,
      88,     0,    89,     0,    31,     0,     0,     0,     0,     0,
      91,     0,    32,     0,     0,     0,     0,     0,     0,    93,
       0,     0,     0,    95,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    98,    99,     0,     0,
       0,     0,     0,    34,   104,     0,     0,     0,     0,    35,
      36,   106,     0,   108,     0,   110,     0,    37,   112,   113,
     319,     0,   115,   320,     0,     0,     7,     0,    42,    81,
      10,    11,     0,    12,     0,     0,     0,     0,    13,    14,
       0,    15,    16,     0,     0,     0,    19,    20,    21,    22,
       0,     0,     0,    25,   316,     0,     0,    27,     0,    86,
       0,     0,    29,   317,    30,    88,     0,    89,     0,    31,
       0,     0,     0,     0,     0,    91,     0,    32,     0,     0,
       0,     0,     0,     0,    93,     0,     0,     0,    95,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    98,    99,     0,     0,     0,     0,     0,     0,   104,
       0,     0,     0,     0,    35,    36,   106,     0,   108,     7,
     110,     0,    81,    10,    11,   319,    82,   115,   320,     0,
       0,    13,    14,    42,    15,    16,     0,     0,     0,    19,
      20,    21,     0,     0,     0,     0,    25,   316,     0,     0,
      27,     0,    86,     0,     0,    29,   317,    30,    88,     0,
      89,     0,    31,     0,     0,     0,     0,     0,    91,     0,
      32,     0,     0,     0,     0,     0,     0,    93,     0,     0,
       0,    95,     0,     0,     7,     0,     0,     0,    10,    11,
       0,    12,     0,     0,    98,    99,    13,    14,     0,    15,
      16,     0,     0,     0,    19,    20,    21,    35,    36,     0,
       0,    25,     0,   110,     0,    27,     0,     0,     0,     0,
      29,     0,    30,    88,     0,     0,    42,    31,     0,     0,
       0,     0,     0,    91,     0,    32,     0,     0,     0,     0,
       0,     0,    93,     0,     0,     0,    95,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    98,
      99,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,    36,   106,     0,   108,     7,   110,     0,
       0,    10,    11,     0,    12,   115,     0,     0,     0,    13,
      14,    42,    15,    16,     0,     0,     0,    19,    20,    21,
       0,     0,     0,     0,    25,     0,     0,     0,    27,     0,
       0,     0,     0,    29,     0,    30,     0,     0,     0,     0,
      31,     0,     0,     0,     0,     0,     0,     0,    32,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    35,    36,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    42
};

static const yytype_int16 yycheck[] =
{
       3,     4,     3,     4,    83,   184,     3,     3,     4,     3,
       3,     3,     4,    74,   154,     3,     4,     4,     3,   245,
      57,     3,     4,     4,     4,   184,     3,     4,   245,     4,
      57,   560,   100,   188,     4,   208,     4,   447,     4,   108,
     245,   560,   156,   208,   161,   102,   115,   164,   105,   231,
     492,    27,   208,   463,   111,    71,   264,    88,   316,     4,
      89,   248,   463,    57,    57,     4,   392,    86,    42,   418,
     400,   136,    57,   293,   447,   248,    37,   297,     1,     0,
      83,   224,    83,   248,    10,    88,     0,    83,   308,   628,
     463,    83,   248,   520,   521,    83,    83,   524,    87,   745,
       0,    83,    83,    83,   329,     0,    83,   156,    83,    85,
      21,   266,   122,    83,   392,    83,   156,    83,     0,    10,
      31,    62,    74,   184,     1,    10,    74,     0,   193,    84,
     121,    38,    87,   359,    89,     1,   101,   102,    83,   204,
      10,   102,   359,   377,    83,   379,   125,   117,   127,   136,
     111,    79,   529,   156,   359,     0,   373,    32,   424,   425,
     426,   136,     0,   429,   541,   122,   391,   392,   373,   286,
      81,   700,   104,   290,   820,   357,    10,    13,   119,   556,
     106,   700,    10,    10,   112,   113,   114,   726,    95,   117,
     122,   136,   450,    81,   373,   121,   103,    85,    86,   124,
     123,   550,   123,   122,   111,   208,   193,   208,    79,   123,
     327,   227,   208,   330,   122,   167,   208,   204,   193,   167,
     208,    81,   365,   123,   458,    85,   208,   208,   208,   204,
     121,   208,   388,   122,   215,   561,   121,   380,   355,   194,
     208,   123,   208,   283,   275,   248,   123,   248,   193,   268,
     123,   121,   248,   663,   520,   521,   248,   123,   700,   204,
     248,    15,   228,   208,   216,    79,   248,   248,   248,   208,
     215,   248,   492,   432,   447,   624,   419,   326,   123,    93,
     248,   284,   248,   561,   614,   123,   326,   121,   317,   406,
     463,   621,   622,   121,   121,     7,   723,    51,    79,    53,
     710,   711,    79,   248,   121,   834,   124,   124,   283,   248,
     711,   129,    66,     9,    10,   834,    97,    29,    30,    96,
     645,    79,   647,   326,   361,   106,   363,   266,   110,   106,
     111,   112,   113,   115,    79,   112,   113,   710,   711,   495,
      81,   497,   524,   457,    85,   501,   875,   106,   106,   323,
     108,   468,   368,    79,   106,   681,   875,   318,   361,    81,
     363,   316,   317,    85,   361,   361,   363,   361,   122,   363,
      29,   432,    79,   361,   114,   363,   361,   117,   363,   361,
     106,   363,   108,   793,   361,   388,   363,    82,   364,    88,
      79,   379,   793,   369,   388,    88,   453,   454,   350,   106,
     124,   108,   350,   388,   391,   392,   124,   633,   616,   617,
      79,   391,   392,   124,   824,   124,   633,   106,   388,   108,
     793,   391,   392,   452,   611,   444,   445,   104,   633,   118,
      38,    81,   377,   875,   379,    83,   592,   106,   611,   108,
     505,   868,   869,   124,   447,    79,   611,     6,     7,   859,
     629,   630,   195,   447,   674,   611,   676,   723,   859,    83,
     463,   122,   447,    38,    82,    83,   442,   447,    13,   463,
     629,    79,   106,    57,   108,   451,   122,   443,   463,   124,
     483,   124,   702,   463,    43,    93,   859,    46,   390,   118,
     119,   124,   495,    52,   497,   450,   124,   452,   501,    80,
      81,   495,   121,   497,   112,   113,   114,   501,   447,   117,
     495,    81,   497,   458,   625,   626,   501,   672,   505,   458,
      81,    79,    80,    98,   463,   495,   594,   497,     9,    81,
     505,   501,   443,    85,    86,    10,    95,   710,   711,   114,
      81,    81,   117,   699,   103,    85,    86,     8,   704,   125,
     293,   707,   111,   709,   297,    29,   495,   783,   497,   118,
     505,    81,   501,    12,    80,   308,   783,   102,   629,   630,
      82,    81,    21,   610,   561,    85,    86,   717,    27,   735,
     124,   561,    31,   610,   804,   619,   620,   795,   796,   592,
     807,   561,   122,   122,   496,    82,   498,    82,   592,   124,
     502,    81,   868,   124,   783,    49,   124,   592,   611,    81,
     611,   116,    15,    85,    86,   611,   610,   610,   679,   611,
     793,   678,   592,   611,    81,   610,   645,    23,   647,   611,
     611,   611,    81,    82,   611,    84,    85,    86,    87,    88,
      89,   106,     4,   611,    97,   611,   715,   124,   124,    10,
      81,   104,    81,    97,   833,    99,   811,   654,   111,   112,
     113,   817,   124,   819,    99,    81,   611,   111,   112,   113,
     114,    81,   611,   117,    29,    85,    86,    97,   118,    59,
      60,    61,   447,    63,    81,    23,   859,   101,     5,     6,
       7,   111,   112,   113,   114,    81,   699,   117,   463,    79,
     124,   704,    81,   266,   707,   699,   709,   710,   711,    89,
     704,    99,    38,   707,   699,   709,   710,   711,    79,   704,
     876,    83,   707,   121,   709,   710,   711,    81,    90,   699,
     710,   711,   735,   672,   704,    79,   853,   707,   649,   709,
     283,   735,    81,   899,    47,   194,    85,    86,   123,   492,
     735,   112,   113,   114,    71,    63,   117,   874,   207,    76,
     121,    78,    38,   832,   283,   704,   117,   687,   707,   363,
     709,    97,   833,   551,   136,   220,   687,    94,    95,   858,
     897,    63,    63,   192,   687,   111,   112,   113,   114,   808,
     793,   117,    63,   815,   156,   759,   483,   123,    74,   793,
     684,   118,   714,    79,   879,   760,   761,    81,   793,   477,
     689,    85,    86,   793,   817,   264,   819,   560,   167,   268,
      59,    60,    61,   817,    63,   819,   188,   592,   112,   113,
     114,   193,   817,   117,   819,   284,   112,   113,   114,     3,
     432,   117,   204,   745,    -1,   388,   208,    -1,    -1,   819,
      -1,   870,   871,    -1,    -1,   858,   859,   858,   797,   798,
     799,   800,   858,   802,    -1,   859,   858,   316,   317,   388,
     858,   858,    -1,   876,   859,    -1,   858,   858,   858,   859,
      -1,   858,   876,   858,   447,    -1,   248,    -1,   858,    -1,
     858,   876,   858,    57,    -1,   458,   899,    -1,    -1,   801,
     463,   803,    -1,     0,   266,   899,   876,    81,     5,     6,
       7,    85,    86,   858,   899,   364,    -1,    -1,   820,   858,
     369,   283,    -1,    -1,    88,   864,   865,   866,    -1,   899,
      -1,   674,   495,   676,   497,    98,    99,    -1,   501,   704,
      -1,    -1,   707,    -1,   709,   710,   711,   110,    68,    69,
      70,   890,   495,    -1,   497,    75,    81,   700,   501,   702,
      85,    86,    -1,    -1,   326,   867,   509,    80,    81,   512,
     735,    84,   136,    86,    71,    50,   495,    -1,   497,    76,
      -1,    78,   501,    -1,   147,    81,    -1,   889,    -1,    85,
      86,   154,   156,   442,   443,   444,   445,    94,    95,   162,
      -1,   450,   451,   452,    -1,    -1,   126,   127,    -1,     5,
       6,     7,     8,   112,   113,   114,    -1,   379,   117,    -1,
      -1,   118,    97,   122,    99,   100,   123,    -1,   793,   193,
     112,   113,   114,    -1,   483,   117,   111,   112,   113,    -1,
     204,    -1,    38,    -1,    80,    81,    -1,   122,    84,   592,
      86,    -1,   817,    -1,    -1,    19,    20,    -1,    -1,    38,
      -1,   804,    -1,    27,    28,    -1,    30,    31,   517,    65,
      -1,    35,    36,   592,    -1,    -1,    -1,    -1,    42,    80,
      81,   443,    78,    84,    -1,    86,    80,    81,    -1,    -1,
      84,   834,    86,    -1,   859,    -1,    -1,    -1,    94,    95,
      79,    97,    -1,   465,    59,    60,    61,   103,    63,   672,
      -1,   876,    -1,    92,    93,   111,   112,   113,   114,    98,
     284,   117,   118,   119,    -1,   121,   105,   106,   107,   108,
      -1,   110,   875,    97,   899,   114,   115,   116,   117,    -1,
     104,   704,    -1,   505,   707,    -1,   709,   111,   112,   113,
     114,    -1,   112,   113,   114,    -1,   699,   117,   122,    -1,
      -1,   704,   326,    -1,   707,   329,   709,   616,   617,    -1,
      -1,     5,     6,     7,     8,    -1,    -1,    -1,    -1,    -1,
     699,    -1,    -1,    38,    -1,   704,    -1,    -1,   707,    -1,
     709,    -1,   735,    -1,    -1,    -1,   645,   361,   647,   363,
     649,    -1,    -1,    -1,    38,    -1,    -1,    -1,     6,     7,
      -1,    -1,    -1,   377,    -1,   379,   735,    72,    -1,    74,
      -1,    -1,    -1,    -1,    79,    -1,    -1,   391,   392,    -1,
      -1,    65,    -1,    -1,   797,   798,   799,   800,   687,   802,
      -1,    -1,    -1,    -1,    78,    43,    -1,    -1,    46,   611,
      -1,    -1,    -1,    -1,    52,    -1,    -1,   112,   113,   114,
      94,    95,   117,    97,    -1,    -1,   628,    -1,    -1,   103,
      -1,    -1,    -1,   128,   817,    -1,   819,   111,   112,   113,
     114,    79,    -1,   117,   118,   119,    -1,   121,    -1,     5,
       6,     7,    -1,   457,   458,   657,    -1,    95,   817,    97,
     819,   864,   865,   866,    -1,   103,    -1,    -1,   106,    -1,
     672,   760,   761,   111,   112,   113,    -1,    -1,    -1,   483,
     118,    -1,   684,    -1,    -1,   687,    -1,   890,    -1,    -1,
      -1,    -1,    -1,   876,    -1,    -1,    -1,    -1,    -1,    -1,
      79,   505,    49,    50,    -1,    -1,   795,   796,    -1,    65,
      -1,    -1,    -1,    92,    93,    71,   899,   876,    -1,   808,
      76,    -1,    78,    -1,   726,    -1,   105,   106,   107,   108,
      -1,    -1,    -1,    -1,    -1,    91,   115,   116,    94,    95,
     899,    97,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
      97,   107,    99,   100,    -1,   111,   112,   113,    -1,    -1,
     116,    -1,   118,    -1,   111,   112,   113,   114,    -1,    -1,
     117,    -1,    -1,    -1,    -1,   122,   123,    -1,    -1,    -1,
      -1,   870,   871,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     0,     1,    -1,    -1,    -1,
       5,     6,     7,    -1,    -1,    -1,   610,    -1,    -1,   811,
      15,    16,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      -1,    -1,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      -1,    46,    -1,    48,    49,    -1,    51,    52,    53,    54,
      -1,    56,    57,    58,    -1,    -1,   858,    -1,    -1,    64,
      -1,    66,    -1,    -1,    -1,    -1,    71,    -1,    73,    -1,
      -1,    76,    77,    78,    79,    49,    50,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,    -1,   111,   112,   113,   114,
      -1,   116,   117,   118,     0,     1,    -1,   122,   123,     5,
       6,     7,    -1,    97,    -1,    99,   100,    -1,    -1,    15,
      -1,    -1,    18,    19,    20,    -1,    22,   111,   112,   113,
     114,    27,    28,   117,    30,    31,    -1,    -1,   122,    35,
      36,    37,    38,    -1,    -1,    -1,    42,    43,    -1,    -1,
      46,    -1,    48,    -1,    -1,    51,    52,    53,    54,    -1,
      56,    -1,    58,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    -1,    -1,    -1,    71,    -1,    73,    -1,    -1,
      76,    77,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    -1,    93,    94,    95,
      -1,    97,    98,    -1,    -1,    -1,    -1,   103,   104,   105,
      -1,   107,    -1,   109,    -1,   111,   112,   113,   114,    -1,
     116,   117,   118,     0,     1,    -1,   122,   123,     5,     6,
       7,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    15,    16,
      17,    18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,
      27,    28,    -1,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    46,
      -1,    48,    49,    -1,    51,    52,    53,    54,    -1,    56,
      57,    58,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    -1,    -1,    -1,    71,    -1,    73,    -1,    -1,    76,
      77,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,    -1,   111,   112,   113,   114,     1,   116,
     117,   118,     5,     6,     7,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    15,    16,    17,    18,    19,    20,    -1,    22,
      -1,    -1,    -1,    -1,    27,    28,    -1,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    46,    -1,    48,    49,    -1,    51,    52,
      53,    54,    -1,    56,    57,    58,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    -1,    -1,    -1,    71,    -1,
      73,    -1,    -1,    76,    77,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,    -1,   111,   112,
     113,   114,     1,   116,   117,   118,     5,     6,     7,   122,
     123,    -1,    -1,    -1,    -1,    -1,    15,    -1,    -1,    18,
      19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,    28,
      -1,    30,    31,    -1,    -1,    -1,    35,    36,    37,    38,
      -1,    -1,    -1,    42,    43,    -1,    -1,    46,    -1,    48,
      -1,    -1,    51,    52,    53,    54,    -1,    56,    -1,    58,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    -1,
      -1,    -1,    71,    -1,    73,    -1,    -1,    76,    77,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    -1,    93,    94,    95,    -1,    97,    98,
      -1,    -1,    -1,    -1,   103,   104,   105,    -1,   107,    -1,
     109,     1,   111,   112,   113,   114,    -1,   116,   117,   118,
      -1,    -1,    -1,   122,   123,    15,    38,    -1,    18,    19,
      20,    -1,    22,    -1,    -1,    -1,    -1,    27,    28,    -1,
      30,    31,    -1,    -1,    -1,    35,    36,    37,    38,    -1,
      -1,    -1,    42,    43,    -1,    -1,    46,    -1,    48,    -1,
      -1,    51,    52,    53,    54,    -1,    56,    79,    58,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    -1,    -1,
      92,    93,    -1,    73,    -1,    -1,    98,    77,    -1,    -1,
      -1,    -1,    -1,   105,   106,   107,   108,    -1,   110,    -1,
      90,    91,   114,   115,   116,   117,    -1,    97,    -1,    -1,
      -1,    -1,    -1,   103,   104,    -1,    -1,    -1,    -1,   109,
      -1,   111,   112,   113,   114,     0,     1,   117,    -1,    -1,
      -1,    -1,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      15,    16,    17,    -1,    19,    20,    -1,    22,    -1,    -1,
      -1,    -1,    27,    28,    -1,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,     1,    42,    -1,    44,
      -1,    46,    -1,    -1,    49,    -1,    51,    -1,    53,    -1,
      15,    -1,    17,    58,    19,    20,    -1,    22,    -1,    -1,
      -1,    66,    27,    28,    -1,    30,    31,    32,    -1,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    -1,    44,
      -1,    46,    -1,    88,    49,    -1,    51,    -1,    53,    -1,
      -1,    -1,    97,    58,    -1,    -1,    -1,    -1,   103,   104,
      -1,    66,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
      -1,    -1,   117,    -1,    -1,    -1,    -1,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    -1,    -1,     1,    -1,    -1,   103,   104,
      49,    50,    -1,    -1,    -1,    -1,   111,   112,   113,    15,
      -1,    -1,    -1,    19,    20,    -1,    22,   122,   123,    49,
      50,    27,    28,    -1,    30,    31,    32,    -1,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    -1,    44,    -1,
      46,    -1,    -1,    49,    -1,    51,    -1,    53,    97,    -1,
      99,   100,    58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,    -1,   111,   112,   113,   114,    -1,    97,   117,    99,
     100,    -1,    -1,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,    -1,    -1,   117,    -1,    -1,
      -1,    97,   122,    -1,    -1,    -1,    -1,   103,   104,    -1,
      -1,    -1,    -1,    -1,     1,   111,   112,   113,     5,     6,
       7,    -1,    -1,    -1,    -1,    -1,   122,   123,    15,    -1,
      -1,    18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,
      27,    28,    -1,    30,    31,    -1,    -1,    -1,    35,    36,
      37,    38,    -1,    -1,    -1,    42,    43,    -1,    -1,    46,
      -1,    48,    -1,    -1,    51,    52,    53,    54,    -1,    56,
      -1,    58,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      67,    -1,    -1,    -1,    71,    -1,    73,    -1,    -1,    76,
      77,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    -1,    93,    94,    95,    -1,
      97,    98,    -1,    -1,    -1,    -1,   103,   104,   105,    -1,
     107,    -1,   109,    -1,   111,   112,   113,   114,    -1,   116,
     117,   118,     5,     6,     7,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    15,    16,    17,    18,    19,    20,    -1,    22,
      -1,    -1,    -1,    -1,    27,    28,    29,    30,    31,    32,
      -1,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    46,    -1,    48,    49,    -1,    51,    52,
      53,    54,    -1,    56,    57,    58,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    -1,    -1,    -1,    71,    -1,
      73,    -1,    -1,    76,    77,    78,    79,    -1,    -1,    -1,
      83,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,
      93,    94,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,    -1,   116,   117,   118,     5,     6,     7,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    15,    16,    17,    18,
      19,    20,    -1,    22,    23,    -1,    -1,    -1,    27,    28,
      29,    30,    31,    -1,    -1,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    46,    -1,    48,
      49,    -1,    51,    52,    53,    54,    -1,    56,    57,    58,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    -1,
      -1,    -1,    71,    -1,    73,    -1,    -1,    76,    77,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    -1,    93,    94,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,    -1,   116,   117,   118,
       5,     6,     7,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      15,    16,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      -1,    -1,    27,    28,    -1,    30,    31,    32,    -1,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      -1,    46,    -1,    48,    49,    -1,    51,    52,    53,    54,
      -1,    56,    57,    58,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    -1,    -1,    -1,    71,    -1,    73,    -1,
      -1,    76,    77,    78,    79,    -1,    -1,    -1,    83,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    93,    94,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
      -1,   116,   117,   118,     5,     6,     7,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    15,    16,    17,    18,    19,    20,
      -1,    22,    23,    -1,    -1,    -1,    27,    28,    29,    30,
      31,    -1,    -1,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    -1,    46,    -1,    48,    49,    -1,
      51,    52,    53,    54,    -1,    56,    57,    58,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    -1,    -1,    -1,
      71,    -1,    73,    -1,    -1,    76,    77,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    -1,    93,    94,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,    -1,   116,   117,   118,     5,     6,
       7,   122,    -1,    -1,    -1,    -1,    -1,    -1,    15,    16,
      17,    18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,
      27,    28,    29,    30,    31,    -1,    -1,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    46,
      -1,    48,    49,    -1,    51,    52,    53,    54,    -1,    56,
      57,    58,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    -1,    -1,    -1,    71,    -1,    73,    -1,    -1,    76,
      77,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    -1,    93,    94,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,    -1,   116,
     117,   118,     5,     6,     7,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    15,    16,    17,    18,    19,    20,    -1,    22,
      23,    -1,    -1,    -1,    27,    28,    -1,    30,    31,    -1,
      -1,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    46,    -1,    48,    49,    -1,    51,    52,
      53,    54,    -1,    56,    57,    58,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    -1,    -1,    -1,    71,    -1,
      73,    -1,    -1,    76,    77,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,
      93,    94,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,    -1,   116,   117,   118,     5,     6,     7,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    15,    16,    17,    18,
      19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,    28,
      29,    30,    31,    -1,    -1,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    46,    -1,    48,
      49,    -1,    51,    52,    53,    54,    -1,    56,    57,    58,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    -1,
      -1,    -1,    71,    -1,    73,    -1,    -1,    76,    77,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    -1,    93,    94,    95,    96,    97,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,    -1,   116,   117,   118,
       5,     6,     7,   122,    -1,    -1,    -1,    -1,    -1,    -1,
      15,    16,    17,    18,    19,    20,    -1,    22,    -1,    -1,
      -1,    -1,    27,    28,    29,    30,    31,    -1,    -1,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      -1,    46,    -1,    48,    49,    -1,    51,    52,    53,    54,
      -1,    56,    57,    58,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    66,    -1,    -1,    -1,    -1,    71,    -1,    73,    -1,
      -1,    76,    77,    78,    79,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    93,    94,
      95,    96,    97,    -1,    -1,    -1,    -1,    -1,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
      -1,   116,   117,   118,     5,     6,     7,   122,    -1,    -1,
      -1,    -1,    -1,    -1,    15,    16,    17,    18,    19,    20,
      -1,    22,    -1,    -1,    -1,    -1,    27,    28,    29,    30,
      31,    -1,    -1,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    -1,    46,    -1,    48,    49,    -1,
      51,    52,    53,    54,    -1,    56,    57,    58,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    -1,    -1,    -1,
      71,    -1,    73,    -1,    -1,    76,    77,    78,    79,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    -1,    93,    94,    95,    96,    97,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,    -1,   116,   117,   118,     5,     6,
       7,   122,    -1,    -1,    -1,    -1,    -1,    -1,    15,    16,
      17,    18,    19,    20,    -1,    22,    -1,    -1,    -1,    -1,
      27,    28,    -1,    30,    31,    -1,    -1,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    -1,    46,
      -1,    48,    49,    -1,    51,    52,    53,    54,    -1,    56,
      57,    58,    -1,    -1,    -1,    -1,    -1,    64,    -1,    66,
      -1,    -1,    -1,    -1,    71,    -1,    73,    -1,    -1,    76,
      77,    78,    79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    90,    91,    -1,    93,    94,    95,    96,
      97,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,    -1,   116,
     117,   118,     5,     6,     7,   122,    -1,    -1,    -1,    -1,
      -1,    -1,    15,    16,    17,    18,    19,    20,    -1,    22,
      -1,    -1,    -1,    -1,    27,    28,    -1,    30,    31,    -1,
      -1,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    46,    -1,    48,    49,    -1,    51,    52,
      53,    54,    -1,    56,    57,    58,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    -1,    -1,    -1,    71,    -1,
      73,    -1,    -1,    76,    77,    78,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,
      -1,    94,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,    -1,   111,   112,
     113,   114,    -1,   116,   117,   118,     5,     6,     7,   122,
      -1,    -1,    -1,    -1,    -1,    -1,    15,    -1,    -1,    18,
      19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,    28,
      -1,    30,    31,    -1,    -1,    -1,    35,    36,    37,    38,
      -1,    -1,    -1,    42,    43,    -1,    -1,    46,    -1,    48,
      -1,    -1,    51,    52,    53,    54,    -1,    56,    -1,    58,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    -1,
      -1,    -1,    71,    -1,    73,    -1,    -1,    76,    77,    78,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    -1,    93,    94,    95,    -1,    97,    98,
      -1,    -1,    -1,    -1,   103,   104,   105,    -1,   107,    -1,
     109,    -1,   111,   112,   113,   114,    -1,   116,   117,   118,
       6,     7,    -1,   122,    -1,    -1,    -1,    -1,    -1,    15,
      16,    17,    18,    19,    20,    -1,    22,    -1,    -1,    -1,
      -1,    27,    28,    29,    30,    31,    -1,    -1,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    -1,
      46,    -1,    48,    49,    -1,    51,    52,    53,    54,    -1,
      56,    57,    58,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    -1,    -1,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    77,    -1,    79,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    90,    91,    -1,    -1,    -1,    95,
      96,    97,    -1,    -1,    -1,    -1,    -1,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,    -1,
     116,   117,   118,     6,     7,    -1,   122,    -1,    -1,    -1,
      -1,    -1,    15,    16,    17,    18,    19,    20,    -1,    22,
      -1,    -1,    -1,    -1,    27,    28,    29,    30,    31,    -1,
      -1,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    -1,    46,    -1,    48,    49,    -1,    51,    52,
      53,    54,    -1,    56,    57,    58,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,
      73,    -1,    -1,    -1,    77,    -1,    79,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,
      -1,    -1,    95,    96,    97,    -1,    -1,    -1,    -1,    -1,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,    -1,   116,   117,   118,     6,     7,    -1,   122,
      -1,    -1,    -1,    -1,    -1,    15,    -1,    -1,    18,    19,
      20,    -1,    22,    -1,    -1,    -1,    -1,    27,    28,    -1,
      30,    31,    -1,    -1,    -1,    35,    36,    37,    38,    -1,
      -1,    -1,    42,    43,    -1,    -1,    46,    -1,    48,    -1,
      -1,    51,    52,    53,    54,    -1,    56,    -1,    58,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    -1,    -1,
      -1,    -1,    -1,    73,    -1,    -1,    -1,    77,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      90,    91,    -1,    -1,    -1,    95,    -1,    -1,    98,    -1,
      -1,    -1,    -1,   103,   104,   105,    -1,   107,    -1,   109,
      -1,   111,    -1,    -1,   114,    -1,   116,   117,   118,    12,
      -1,    14,   122,    -1,    -1,    -1,    -1,    -1,    21,    -1,
      -1,    24,    25,    26,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    12,    -1,    14,    -1,    41,    -1,
      43,    -1,    45,    21,    -1,    48,    24,    25,    26,    -1,
      -1,    -1,    55,    56,    57,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    41,    -1,    43,    -1,    45,    -1,    -1,
      48,    -1,    -1,    -1,    -1,    -1,    -1,    55,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,    -1,    -1,   117,    -1,    -1,    -1,    -1,    97,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,    -1,    -1,   117,
      -1,    -1,    -1,    -1,    -1,   123,    15,    16,    17,    18,
      19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,    28,
      -1,    30,    31,    -1,    -1,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    46,    -1,    48,
      49,    -1,    51,    52,    53,    54,    -1,    56,    57,    58,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    73,    -1,    -1,    -1,    77,    -1,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    -1,    -1,    -1,    -1,    96,    97,    -1,
      -1,    -1,    -1,    -1,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,    -1,   116,   117,   118,
      -1,    15,    -1,   122,    18,    19,    20,    -1,    22,    -1,
      -1,    -1,    -1,    27,    28,    -1,    30,    31,    32,    -1,
      34,    35,    36,    37,    38,    -1,    40,    -1,    42,    43,
      44,    -1,    46,    -1,    48,    -1,    -1,    51,    52,    53,
      54,    -1,    56,    -1,    58,    -1,    -1,    -1,    -1,    -1,
      64,    -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    73,
      -1,    -1,    -1,    77,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    90,    91,    -1,    -1,
      -1,    -1,    -1,    97,    98,    -1,    -1,    -1,    -1,   103,
     104,   105,    -1,   107,    -1,   109,    -1,   111,   112,   113,
     114,    -1,   116,   117,    -1,    -1,    15,    -1,   122,    18,
      19,    20,    -1,    22,    -1,    -1,    -1,    -1,    27,    28,
      -1,    30,    31,    -1,    -1,    -1,    35,    36,    37,    38,
      -1,    -1,    -1,    42,    43,    -1,    -1,    46,    -1,    48,
      -1,    -1,    51,    52,    53,    54,    -1,    56,    -1,    58,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    66,    -1,    -1,
      -1,    -1,    -1,    -1,    73,    -1,    -1,    -1,    77,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    90,    91,    -1,    -1,    -1,    -1,    -1,    -1,    98,
      -1,    -1,    -1,    -1,   103,   104,   105,    -1,   107,    15,
     109,    -1,    18,    19,    20,   114,    22,   116,   117,    -1,
      -1,    27,    28,   122,    30,    31,    -1,    -1,    -1,    35,
      36,    37,    -1,    -1,    -1,    -1,    42,    43,    -1,    -1,
      46,    -1,    48,    -1,    -1,    51,    52,    53,    54,    -1,
      56,    -1,    58,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      66,    -1,    -1,    -1,    -1,    -1,    -1,    73,    -1,    -1,
      -1,    77,    -1,    -1,    15,    -1,    -1,    -1,    19,    20,
      -1,    22,    -1,    -1,    90,    91,    27,    28,    -1,    30,
      31,    -1,    -1,    -1,    35,    36,    37,   103,   104,    -1,
      -1,    42,    -1,   109,    -1,    46,    -1,    -1,    -1,    -1,
      51,    -1,    53,    54,    -1,    -1,   122,    58,    -1,    -1,
      -1,    -1,    -1,    64,    -1,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    73,    -1,    -1,    -1,    77,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    90,
      91,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   103,   104,   105,    -1,   107,    15,   109,    -1,
      -1,    19,    20,    -1,    22,   116,    -1,    -1,    -1,    27,
      28,   122,    30,    31,    -1,    -1,    -1,    35,    36,    37,
      -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    46,    -1,
      -1,    -1,    -1,    51,    -1,    53,    -1,    -1,    -1,    -1,
      58,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    66,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   122
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,    87,   131,   133,   132,     0,     1,    15,    16,    17,
      19,    20,    22,    27,    28,    30,    31,    33,    34,    35,
      36,    37,    38,    39,    40,    42,    44,    46,    49,    51,
      53,    58,    66,    88,    97,   103,   104,   111,   112,   113,
     114,   117,   122,   134,   135,   137,   141,   146,   147,   148,
     149,   158,   161,   164,   170,   171,   172,   174,   178,   184,
     185,   186,   187,   195,   197,   199,   200,   201,   202,   220,
     224,   225,   226,   304,   306,   307,   308,     1,     5,     6,
       7,    18,    22,    33,    43,    46,    48,    52,    54,    56,
      57,    64,    71,    73,    76,    77,    78,    79,    90,    91,
      93,    94,    95,    96,    98,   103,   105,   106,   107,   108,
     109,   111,   112,   113,   114,   116,   117,   118,   135,   136,
     139,   141,   142,   143,   146,   151,   152,   153,   154,   158,
     161,   164,   170,   176,   179,   180,   181,   182,   183,   188,
     189,   200,   227,   239,   240,   245,   246,   247,   251,   253,
     254,   255,   256,   263,   264,   265,   270,   273,   274,   278,
     285,   286,   287,   288,   289,   299,   304,   306,   307,   308,
     309,   104,   178,   122,   122,   114,   117,   136,   243,   114,
     117,   136,   242,   243,   305,   114,   117,   136,   242,   122,
     178,   178,   243,   177,   121,    81,    85,    86,   208,   210,
     212,   216,   217,   212,   177,    32,   145,   121,   124,   122,
       1,   113,   123,   137,   149,   175,   306,   307,   180,   197,
     198,   199,   245,   285,    13,   196,   202,   192,   193,    49,
      50,    99,   100,   114,   117,   122,   139,   310,   311,   313,
     314,   316,   317,   319,   325,   326,   327,   329,   124,    79,
      79,   268,   268,   243,   122,   143,    79,   114,   117,   136,
     204,   205,   206,   207,   235,   236,   242,   205,   238,   204,
     237,    79,   114,   117,   136,   241,   273,   308,   237,   104,
     139,   190,   191,   248,   283,   271,   272,   274,   106,   275,
     272,   272,   275,    81,    85,   212,   214,    81,    85,   214,
       9,    10,   259,   261,   262,   259,   106,   272,    81,    85,
     214,   259,    79,   142,   268,    29,    43,    52,    95,   114,
     117,   118,   139,   181,   183,   254,   270,   274,   308,    82,
     272,   271,   272,   302,     6,     7,     8,    65,   114,   117,
     118,   119,   121,   139,   152,   220,   256,   257,   267,   269,
     306,   308,   277,   252,   252,   272,   252,    99,   323,   326,
      88,   159,    88,   162,   124,   221,   104,   222,   223,   124,
      99,   311,   313,   326,    79,   106,   139,   301,   165,   167,
     221,     1,    67,   181,   204,    85,   211,   216,   218,   219,
      81,    83,    83,   123,   122,   204,   228,    79,   114,   117,
     118,   139,   150,   151,   183,   207,   253,   285,   296,   297,
     298,   299,   300,   308,   154,   173,   183,   196,   192,    13,
     202,   189,   330,   315,    80,    81,    84,    86,   320,    80,
     320,   322,   318,   312,   101,   102,   314,   325,   327,   328,
     329,   150,   124,   157,    10,   121,   228,   124,     6,     7,
      43,    46,    52,    95,   103,   118,   153,   270,   301,   205,
     230,   231,   232,   124,   273,   124,   122,    65,    91,   104,
     139,   220,   249,   250,   254,   264,   265,   266,    72,    74,
      79,   114,   117,   128,   136,   279,   280,   282,   308,   252,
     121,   252,    81,    85,   215,   218,    81,   218,    81,     9,
      10,   218,    81,   236,   237,   177,   252,   288,   252,    59,
      60,    61,    63,   291,     8,   303,   323,   125,   254,   252,
      80,    81,   324,    29,    99,     1,   113,   123,   137,   160,
     161,   164,   169,   170,   200,   304,   308,     1,   113,   123,
     137,   163,   164,   169,   200,   304,   308,   242,   192,   202,
     242,   179,     1,   123,   139,   166,   168,   170,   179,   192,
      81,    83,    79,    93,    96,   110,   112,   113,   114,   117,
     118,   135,   138,   140,   141,   146,   154,   158,   161,   164,
     170,   183,   189,   253,   264,   265,   299,   304,   308,   309,
      82,    85,   208,   213,    92,   110,   115,   203,   209,   274,
     285,   288,   299,   110,   203,   209,   274,   285,   288,   299,
     144,   124,   106,    79,   118,   298,    10,   121,   252,   118,
     119,   125,   127,   222,   192,   122,   122,   322,   322,   322,
     322,   123,   313,   326,   328,   331,    82,   242,    12,    14,
      21,    24,    25,    26,    41,    43,    45,    48,    55,    56,
     123,   136,   139,   155,   156,   189,   229,   233,   234,   243,
     205,   205,   112,   118,   140,   153,   207,   240,   244,   285,
     300,   236,   242,   237,    81,    85,    81,    85,   111,   306,
     153,    82,   153,   244,   124,   295,   301,   194,   252,   302,
     280,    68,    69,    70,    75,   126,   127,   281,   215,   218,
      81,   153,    81,    85,   208,   214,   153,   208,   153,   208,
     124,   124,   264,   264,   290,   124,   129,   258,    79,    96,
     106,   136,   276,    80,   322,   324,   322,   324,   324,   145,
     145,   222,   185,   145,    85,   211,   219,   203,   209,   274,
     285,   299,    79,   106,   108,    81,    79,    93,   112,   114,
     117,   118,   140,   253,   264,   265,   299,   308,    23,   275,
      10,   121,   113,   123,   137,   149,   150,   228,   228,   297,
     297,   298,   298,   222,   165,   165,   104,   114,   122,   139,
     224,   313,   311,   326,   331,   328,   230,   230,   243,   200,
     114,   117,   139,   124,   300,    10,   121,   124,   301,   124,
     218,    81,   218,    81,    81,    85,    99,   326,   110,   203,
     295,   118,   123,   155,   234,   303,    85,   211,   215,   218,
      81,   153,   153,   153,   118,    79,    89,   291,   292,   293,
     294,   259,   271,   322,    81,    79,    93,   106,   108,   112,
     114,   117,   118,   140,   253,   264,   265,   308,    23,   213,
      79,   106,   108,   277,   204,   204,   123,   123,   321,   124,
     244,   228,   228,    85,   208,   208,   218,    81,    81,    99,
      10,   121,   205,   301,   258,    81,   208,    62,   119,   121,
     259,   260,   219,    79,   106,   108,   252,   143,   244,    81,
     208,   322,   205,   205,   252,   294,    47,   284,   123,   208,
     252
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   130,   131,   132,   131,   133,   133,   133,   133,   133,
     134,   134,   134,   134,   134,   134,   134,   134,   134,   134,
     134,   135,   135,   136,   136,   137,   137,   137,   138,   138,
     138,   138,   138,   138,   138,   138,   138,   138,   138,   138,
     138,   139,   139,   139,   140,   140,   140,   141,   142,   142,
     142,   143,   143,   143,   143,   143,   143,   143,   143,   144,
     144,   144,   144,   145,   147,   146,   148,   148,   149,   149,
     149,   150,   150,   150,   150,   150,   151,   151,   151,   151,
     151,   151,   151,   151,   151,   151,   151,   151,   151,   151,
     151,   152,   152,   152,   152,   152,   152,   152,   152,   152,
     153,   153,   153,   153,   153,   153,   153,   153,   153,   153,
     153,   153,   154,   155,   156,   155,   157,   157,   157,   157,
     158,   159,   159,   159,   159,   159,   159,   159,   159,   159,
     159,   160,   159,   159,   161,   162,   162,   162,   162,   162,
     162,   162,   162,   162,   163,   162,   162,   164,   165,   165,
     166,   166,   166,   167,   167,   168,   167,   169,   170,   171,
     171,   171,   172,   173,   173,   174,   174,   174,   174,   175,
     174,   174,   176,   176,   176,   177,   177,   177,   178,   179,
     179,   179,   180,   181,   181,   181,   181,   181,   182,   183,
     183,   184,   184,   185,   185,   186,   186,   186,   187,   187,
     188,   188,   188,   190,   189,   189,   191,   191,   192,   193,
     193,   194,   194,   194,   195,   195,   196,   196,   197,   197,
     197,   197,   197,   198,   198,   198,   199,   199,   199,   200,
     200,   200,   201,   201,   201,   202,   202,   203,   203,   203,
     204,   204,   204,   205,   205,   206,   206,   207,   207,   208,
     208,   208,   208,   208,   208,   208,   208,   208,   208,   208,
     208,   208,   208,   209,   210,   210,   210,   210,   210,   210,
     210,   210,   211,   211,   211,   211,   211,   211,   211,   211,
     211,   211,   211,   211,   211,   211,   211,   211,   211,   211,
     211,   211,   211,   212,   212,   213,   213,   214,   214,   214,
     214,   215,   215,   215,   215,   216,   216,   216,   216,   216,
     216,   216,   216,   216,   216,   216,   216,   217,   217,   217,
     217,   217,   217,   217,   217,   217,   217,   218,   218,   218,
     219,   219,   220,   221,   221,   223,   222,   222,   224,   224,
     225,   225,   225,   225,   225,   226,   226,   226,   226,   227,
     228,   229,   229,   229,   229,   230,   231,   232,   232,   232,
     232,   233,   233,   233,   233,   233,   233,   233,   233,   233,
     234,   234,   234,   234,   235,   236,   236,   237,   238,   239,
     239,   239,   239,   240,   240,   240,   241,   241,   241,   241,
     242,   242,   242,   243,   243,   243,   244,   244,   244,   244,
     244,   244,   244,   244,   245,   245,   245,   245,   245,   246,
     247,   247,   248,   248,   249,   249,   249,   249,   250,   250,
     250,   251,   252,   252,   253,   253,   253,   253,   253,   253,
     253,   253,   254,   254,   255,   256,   256,   256,   256,   257,
     257,   258,   258,   259,   259,   259,   260,   261,   261,   262,
     262,   263,   264,   265,   265,   266,   266,   267,   267,   267,
     267,   268,   269,   269,   269,   269,   269,   269,   269,   270,
     270,   270,   271,   271,   272,   273,   273,   274,   275,   275,
     276,   276,   277,   277,   277,   277,   278,   278,   279,   279,
     279,   279,   279,   280,   280,   280,   280,   280,   281,   281,
     281,   281,   282,   282,   283,   283,   284,   284,   285,   285,
     286,   286,   287,   287,   287,   287,   288,   289,   289,   290,
     290,   291,   291,   291,   291,   292,   292,   292,   293,   293,
     294,   294,   294,   295,   295,   296,   296,   296,   297,   297,
     297,   298,   298,   299,   299,   299,   300,   300,   300,   301,
     301,   301,   302,   302,   303,   303,   305,   304,   306,   307,
     308,   308,   309,   310,   310,   310,   312,   311,   313,   313,
     314,   314,   314,   315,   314,   316,   317,   318,   318,   318,
     319,   320,   320,   321,   320,   320,   320,   320,   320,   322,
     322,   323,   323,   324,   324,   324,   324,   325,   326,   326,
     327,   327,   328,   328,   330,   329,   329,   329,   331,   331
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     0,     3,     0,     2,     2,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     1,
       2,     0,     1,     1,     1,     2,     3,     1,     2,     0,
       2,     2,     2,     4,     0,     2,     1,     1,     3,     5,
       3,     1,     1,     3,     3,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     4,     4,     4,     5,     5,     5,
       1,     3,     3,     4,     4,     3,     4,     2,     3,     3,
       2,     1,     4,     1,     0,     2,     0,     2,     2,     2,
       4,     0,     1,     2,     2,     2,     2,     2,     2,     2,
       2,     0,     3,     2,     4,     0,     1,     2,     2,     2,
       2,     2,     2,     2,     0,     3,     2,     4,     1,     2,
       1,     1,     1,     0,     2,     0,     3,     1,     2,     1,
       1,     1,     1,     1,     1,     2,     2,     2,     2,     0,
       3,     2,     4,     5,     2,     0,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     2,     1,     1,
       1,     4,     5,     2,     2,     1,     2,     1,     2,     3,
       1,     1,     1,     0,     5,     2,     1,     1,     1,     0,
       2,     0,     2,     2,     4,     4,     3,     4,     1,     1,
       1,     3,     5,     1,     1,     1,     3,     2,     2,     1,
       1,     2,     1,     1,     1,     1,     1,     1,     3,     3,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       4,     5,     5,     5,     4,     4,     3,     3,     3,     3,
       3,     3,     3,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     1,     4,     4,     4,     4,     4,     4,     4,
       4,     5,     5,     5,     4,     4,     4,     4,     3,     3,
       3,     3,     3,     1,     4,     1,     3,     2,     2,     3,
       3,     2,     2,     3,     3,     1,     3,     3,     3,     4,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     4,     4,     1,     4,     2,
       1,     3,     2,     0,     2,     0,     2,     1,     2,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       1,     3,     2,     4,     2,     3,     1,     1,     5,     5,
       4,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     2,     2,     1,     1,     2,     1,     1,     4,
       3,     4,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     3,     3,     2,     3,     3,     1,     1,     3,
       3,     3,     0,     2,     5,     2,     1,     1,     1,     1,
       1,     2,     0,     2,     1,     2,     1,     1,     2,     2,
       2,     2,     1,     2,     1,     1,     1,     1,     1,     1,
       1,     0,     2,     0,     1,     1,     1,     1,     2,     1,
       2,     2,     2,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     0,     1,     1,     2,     2,     2,     0,     2,
       1,     1,     0,     3,     3,     3,     1,     2,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     2,     1,     1,
       1,     1,     1,     2,     0,     2,     0,     1,     8,     2,
       2,     2,     1,     1,     1,     1,     3,     2,     4,     0,
       2,     1,     1,     2,     2,     1,     1,     1,     1,     3,
       1,     2,     2,     1,     3,     3,     3,     1,     1,     3,
       3,     2,     1,     1,     1,     2,     1,     1,     2,     1,
       1,     1,     0,     2,     0,     2,     0,     3,     1,     2,
       2,     1,     3,     1,     2,     1,     0,     3,     1,     1,
       1,     1,     2,     0,     5,     2,     3,     0,     2,     2,
       2,     3,     3,     0,     6,     3,     3,     3,     1,     1,
       3,     2,     3,     2,     2,     2,     2,     3,     1,     2,
       1,     1,     1,     1,     0,     5,     2,     2,     2,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (&yylloc, parser, retval, YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF

/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YYLOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

# ifndef YYLOCATION_PRINT

#  if defined YY_LOCATION_PRINT

   /* Temporary convenience wrapper in case some people defined the
      undocumented and private YY_LOCATION_PRINT macros.  */
#   define YYLOCATION_PRINT(File, Loc)  YY_LOCATION_PRINT(File, *(Loc))

#  elif defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static int
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  int res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
}

#   define YYLOCATION_PRINT  yy_location_print_

    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT(File, Loc)  YYLOCATION_PRINT(File, &(Loc))

#  else

#   define YYLOCATION_PRINT(File, Loc) ((void) 0)
    /* Temporary convenience wrapper in case some people defined the
       undocumented and private YY_LOCATION_PRINT macros.  */
#   define YY_LOCATION_PRINT  YYLOCATION_PRINT

#  endif
# endif /* !defined YYLOCATION_PRINT */


# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value, Location, parser, retval); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, Lily_parser *parser, SCM *retval)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  YY_USE (yylocationp);
  YY_USE (parser);
  YY_USE (retval);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, Lily_parser *parser, SCM *retval)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  YYLOCATION_PRINT (yyo, yylocationp);
  YYFPRINTF (yyo, ": ");
  yy_symbol_value_print (yyo, yykind, yyvaluep, yylocationp, parser, retval);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp,
                 int yyrule, Lily_parser *parser, SCM *retval)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)],
                       &(yylsp[(yyi + 1) - (yynrhs)]), parser, retval);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, parser, retval); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yysymbol_kind_t yytoken;
  YYLTYPE *yylloc;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  int yyn = yypact[+*yyctx->yyssp];
  if (!yypact_value_is_default (yyn))
    {
      /* Start YYX at -YYN if negative to avoid negative indexes in
         YYCHECK.  In other words, skip the first -YYN actions for
         this state because they are default actions.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;
      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yyx;
      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
        if (yycheck[yyx + yyn] == yyx && yyx != YYSYMBOL_YYerror
            && !yytable_value_is_error (yytable[yyx + yyn]))
          {
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = YY_CAST (yysymbol_kind_t, yyx);
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, Lily_parser *parser, SCM *retval)
{
  YY_USE (yyvaluep);
  YY_USE (yylocationp);
  YY_USE (parser);
  YY_USE (retval);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}






/*----------.
| yyparse.  |
`----------*/

int
yyparse (Lily_parser *parser, SCM *retval)
{
/* Lookahead token kind.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs = 0;

    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    /* The location stack: array, bottom, top.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls = yylsa;
    YYLTYPE *yylsp = yyls;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* The locations where the error started and ended.  */
  YYLTYPE yyerror_range[3];

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  yylsp[0] = yylloc;
  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yyls1, yysize * YYSIZEOF (*yylsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
        yyls = yyls1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex (&yylval, &yylloc, parser);
    }

  if (yychar <= END_OF_FILE)
    {
      yychar = END_OF_FILE;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      yyerror_range[1] = yylloc;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  yyerror_range[1] = yyloc;
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 3: /* $@1: %empty  */
#line 409 "parser.yy"
                        {
		parser->lexer_->push_note_state ();
	}
#line 3530 "./out/parser.cc"
    break;

  case 4: /* start_symbol: "#{" $@1 embedded_lilypond  */
#line 411 "parser.yy"
                            {
		parser->lexer_->pop_state ();
                *retval = yyvsp[0];
 	}
#line 3539 "./out/parser.cc"
    break;

  case 5: /* lilypond: %empty  */
#line 417 "parser.yy"
                            { yyval = SCM_UNSPECIFIED; }
#line 3545 "./out/parser.cc"
    break;

  case 6: /* lilypond: lilypond toplevel_expression  */
#line 418 "parser.yy"
                                       {
	}
#line 3552 "./out/parser.cc"
    break;

  case 7: /* lilypond: lilypond assignment  */
#line 420 "parser.yy"
                              {
	}
#line 3559 "./out/parser.cc"
    break;

  case 8: /* lilypond: lilypond error  */
#line 422 "parser.yy"
                         {
		parser->error_level_ = 1;
	}
#line 3567 "./out/parser.cc"
    break;

  case 9: /* lilypond: lilypond "\\version-error"  */
#line 425 "parser.yy"
                                {
		parser->error_level_ = 1;
	}
#line 3575 "./out/parser.cc"
    break;

  case 10: /* toplevel_expression: header_block  */
#line 432 "parser.yy"
                     {
		parser->lexer_->set_identifier (ly_symbol2scm ("$defaultheader"), yyvsp[0]);
	}
#line 3583 "./out/parser.cc"
    break;

  case 11: /* toplevel_expression: book_block  */
#line 435 "parser.yy"
                     {
		SCM proc = parser->lexer_->lookup_identifier ("toplevel-book-handler");
		ly_call (proc, yyvsp[0]);
	}
#line 3592 "./out/parser.cc"
    break;

  case 12: /* toplevel_expression: bookpart_block  */
#line 439 "parser.yy"
                         {
		SCM proc = parser->lexer_->lookup_identifier ("toplevel-bookpart-handler");
		ly_call (proc, yyvsp[0]);
	}
#line 3601 "./out/parser.cc"
    break;

  case 13: /* toplevel_expression: BOOK_IDENTIFIER  */
#line 443 "parser.yy"
                          {
		SCM sym = unsmob<Book>(yyvsp[0])->paper_
			? ly_symbol2scm ("toplevel-book-handler")
			: ly_symbol2scm ("toplevel-bookpart-handler");

		SCM proc = parser->lexer_->lookup_identifier_symbol (sym);
		ly_call (proc, yyvsp[0]);
	}
#line 3614 "./out/parser.cc"
    break;

  case 14: /* toplevel_expression: score_block  */
#line 451 "parser.yy"
                      {
		SCM proc = parser->lexer_->lookup_identifier ("toplevel-score-handler");
		ly_call (proc, yyvsp[0]);
	}
#line 3623 "./out/parser.cc"
    break;

  case 15: /* toplevel_expression: composite_music  */
#line 455 "parser.yy"
                          {
		SCM proc = parser->lexer_->lookup_identifier ("toplevel-music-handler");
		ly_call (proc, yyvsp[0]);
	}
#line 3632 "./out/parser.cc"
    break;

  case 16: /* toplevel_expression: full_markup  */
#line 459 "parser.yy"
                      {
		SCM proc = parser->lexer_->lookup_identifier ("toplevel-text-handler");
		ly_call (proc, ly_list (yyvsp[0]));
	}
#line 3641 "./out/parser.cc"
    break;

  case 17: /* toplevel_expression: full_markup_list  */
#line 463 "parser.yy"
                           {
		SCM proc = parser->lexer_->lookup_identifier ("toplevel-text-handler");
		ly_call (proc, yyvsp[0]);
	}
#line 3650 "./out/parser.cc"
    break;

  case 18: /* toplevel_expression: SCM_TOKEN  */
#line 467 "parser.yy"
                    {
		// Evaluate and ignore #xxx, as opposed to \xxx
		parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 3659 "./out/parser.cc"
    break;

  case 19: /* toplevel_expression: embedded_scm_active  */
#line 472 "parser.yy"
        {
		SCM out = SCM_UNDEFINED;
		if (Text_interface::is_markup (yyvsp[0]))
			out = ly_list (yyvsp[0]);
		else if (Text_interface::is_markup_list (yyvsp[0]))
			out = yyvsp[0];
		if (scm_is_pair (out))
		{
			SCM proc = parser->lexer_->lookup_identifier ("toplevel-text-handler");
			ly_call (proc, out);
		} else if (unsmob<Score> (yyvsp[0]))
		{
			SCM proc = parser->lexer_->lookup_identifier ("toplevel-score-handler");
			ly_call (proc, yyvsp[0]);
		} else if (Output_def * od = unsmob<Output_def> (yyvsp[0])) {
			SCM id = SCM_EOL;
			SCM kind = od->c_variable ("output-def-kind");
			if (scm_is_eq (kind, ly_symbol2scm ("paper")))
				id = ly_symbol2scm ("$defaultpaper");
			else if (scm_is_eq (kind, ly_symbol2scm ("midi")))
				id = ly_symbol2scm ("$defaultmidi");
			else if (scm_is_eq (kind, ly_symbol2scm ("layout")))
				id = ly_symbol2scm ("$defaultlayout");

			parser->lexer_->set_identifier (id, yyvsp[0]);
		} else if (ly_is_module (yyvsp[0]))
		{
			SCM module = get_header (parser);
			ly_module_copy (module, yyvsp[0]);
			parser->lexer_->set_identifier
				(ly_symbol2scm ("$defaultheader"), module);
		} else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _("bad expression type"));
	}
#line 3698 "./out/parser.cc"
    break;

  case 20: /* toplevel_expression: output_def  */
#line 506 "parser.yy"
                     {
		SCM id = SCM_EOL;
		Output_def * od = unsmob<Output_def> (yyvsp[0]);
		SCM kind = od->c_variable ("output-def-kind");
		if (scm_is_eq (kind, ly_symbol2scm ("paper")))
			id = ly_symbol2scm ("$defaultpaper");
		else if (scm_is_eq (kind, ly_symbol2scm ("midi")))
			id = ly_symbol2scm ("$defaultmidi");
		else if (scm_is_eq (kind, ly_symbol2scm ("layout")))
			id = ly_symbol2scm ("$defaultlayout");

		parser->lexer_->set_identifier (id, yyvsp[0]);
	}
#line 3716 "./out/parser.cc"
    break;

  case 22: /* lookup: LOOKUP_IDENTIFIER '.' symbol_list_rev  */
#line 524 "parser.yy"
        {
		yyval = loc_on_copy (parser, (yyloc),
				  nested_property (yyvsp[-2], scm_reverse_x (yyvsp[0], SCM_EOL)));
	}
#line 3725 "./out/parser.cc"
    break;

  case 23: /* embedded_scm_bare: SCM_TOKEN  */
#line 532 "parser.yy"
        {
		yyval = parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 3733 "./out/parser.cc"
    break;

  case 29: /* embedded_scm_bare_arg: SCM_TOKEN  */
#line 547 "parser.yy"
        {
		yyval = parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 3741 "./out/parser.cc"
    break;

  case 47: /* scm_function_call: SCM_FUNCTION function_arglist  */
#line 578 "parser.yy"
                                      {
		yyval = MAKE_SYNTAX (music_function, (yyloc),
				  yyvsp[-1], yyvsp[0]);
	}
#line 3750 "./out/parser.cc"
    break;

  case 48: /* embedded_lilypond_number: '-' embedded_lilypond_number  */
#line 586 "parser.yy"
        {
		yyval = scm_difference (yyvsp[0], SCM_UNDEFINED);
	}
#line 3758 "./out/parser.cc"
    break;

  case 50: /* embedded_lilypond_number: UNSIGNED NUMBER_IDENTIFIER  */
#line 591 "parser.yy"
        {
		yyval = scm_product (yyvsp[-1], yyvsp[0]);
	}
#line 3766 "./out/parser.cc"
    break;

  case 51: /* embedded_lilypond: %empty  */
#line 598 "parser.yy"
        {
		// FIXME: @$ does not contain a useful source location
		// for empty rules, and the only token in the whole
		// production, EMBEDDED_LILY, is synthetic and also
		// contains no source location.
		yyval = MAKE_SYNTAX (void_music, (yyloc));
	}
#line 3778 "./out/parser.cc"
    break;

  case 54: /* embedded_lilypond: post_event  */
#line 608 "parser.yy"
        {
		if (!unsmob<Music> (yyvsp[0]))
			yyval = MY_MAKE_MUSIC ("PostEvents", (yyloc))->unprotect ();
	}
#line 3787 "./out/parser.cc"
    break;

  case 55: /* embedded_lilypond: duration post_events  */
#line 613 "parser.yy"
        {
		if (scm_is_pair (yyvsp[0])) {
			Music *n = MY_MAKE_MUSIC ("NoteEvent", (yyloc));

			parser->default_duration_ = *unsmob<Duration> (yyvsp[-1]);
			set_property (n, "duration", yyvsp[-1]);
			set_property (n, "articulations",
					 scm_reverse_x (yyvsp[0], SCM_EOL));
			yyval = n->unprotect ();
		}
	}
#line 3803 "./out/parser.cc"
    break;

  case 56: /* embedded_lilypond: music_embedded music_embedded music_list  */
#line 624 "parser.yy"
                                                   {
		SCM tail = SCM_EOL;
		if (unsmob<Music> (yyvsp[-2]))
			tail = scm_cons (yyvsp[-2], tail);
		if (unsmob<Music> (yyvsp[-1]))
			tail = scm_cons (yyvsp[-1], tail);
		yyval = reverse_music_list (parser, (yyloc),
					 scm_append_x (ly_list (yyvsp[0], tail)),
					 true, true);
		if (scm_is_pair (yyval)) // unpackaged list
			if (scm_is_null (scm_cdr (yyval)))
				yyval = scm_car (yyval); // single expression
			else
				yyval = MAKE_SYNTAX (sequential_music, (yyloc), yyval);
		else if (scm_is_null (yyval))
			yyval = MAKE_SYNTAX (void_music, (yyloc));
		// else already packaged post-event
	}
#line 3826 "./out/parser.cc"
    break;

  case 57: /* embedded_lilypond: error  */
#line 642 "parser.yy"
                {
		parser->error_level_ = 1;
                yyval = SCM_UNSPECIFIED;
	}
#line 3835 "./out/parser.cc"
    break;

  case 58: /* embedded_lilypond: "\\version-error" embedded_lilypond  */
#line 646 "parser.yy"
                                    {
		parser->error_level_ = 1;
                yyval = yyvsp[0];
	}
#line 3844 "./out/parser.cc"
    break;

  case 59: /* lilypond_header_body: %empty  */
#line 654 "parser.yy"
                    { yyval = SCM_UNSPECIFIED; }
#line 3850 "./out/parser.cc"
    break;

  case 60: /* lilypond_header_body: lilypond_header_body assignment  */
#line 655 "parser.yy"
                                           {

	}
#line 3858 "./out/parser.cc"
    break;

  case 61: /* lilypond_header_body: lilypond_header_body SCM_TOKEN  */
#line 658 "parser.yy"
                                         {
		// Evaluate and ignore #xxx, as opposed to \xxx
		parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 3867 "./out/parser.cc"
    break;

  case 62: /* lilypond_header_body: lilypond_header_body embedded_scm_active  */
#line 662 "parser.yy"
                                                   {
		if (ly_is_module (yyvsp[0]))
			ly_module_copy (scm_current_module (), yyvsp[0]);
		else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _("bad expression type"));
	}
#line 3878 "./out/parser.cc"
    break;

  case 63: /* lilypond_header: "\\header" '{' lilypond_header_body '}'  */
#line 671 "parser.yy"
                                                {
		yyval = parser->lexer_->remove_scope ();
	}
#line 3886 "./out/parser.cc"
    break;

  case 64: /* $@2: %empty  */
#line 677 "parser.yy"
        {
		parser->lexer_->add_scope (get_header (parser));
	}
#line 3894 "./out/parser.cc"
    break;

  case 65: /* header_block: $@2 lilypond_header  */
#line 679 "parser.yy"
                          {
		yyval = yyvsp[0];
	}
#line 3902 "./out/parser.cc"
    break;

  case 66: /* assignment_id: STRING  */
#line 689 "parser.yy"
        {
		yyval = scm_string_to_symbol (yyvsp[0]);
	}
#line 3910 "./out/parser.cc"
    break;

  case 67: /* assignment_id: SYMBOL  */
#line 693 "parser.yy"
        {
		yyval = scm_string_to_symbol (yyvsp[0]);
	}
#line 3918 "./out/parser.cc"
    break;

  case 68: /* assignment: assignment_id '=' identifier_init  */
#line 699 "parser.yy"
                                           {
	        parser->lexer_->set_identifier (yyvsp[-2], yyvsp[0]);
                yyval = SCM_UNSPECIFIED;
	}
#line 3927 "./out/parser.cc"
    break;

  case 69: /* assignment: assignment_id '.' property_path '=' identifier_init  */
#line 703 "parser.yy"
                                                              {
		SCM path = scm_cons (yyvsp[-4], yyvsp[-2]);
		parser->lexer_->set_identifier (path, yyvsp[0]);
                yyval = SCM_UNSPECIFIED;
	}
#line 3937 "./out/parser.cc"
    break;

  case 70: /* assignment: markup_mode_word '=' identifier_init  */
#line 709 "parser.yy"
        {
		if (scm_is_false (Lily::markup_function_p (yyvsp[0])))
		{
			parser->parser_error ((yylsp[0]), _ ("Not a markup function"));
		} else {
			Lily::define_markup_command_internal
 				(scm_string_to_symbol (yyvsp[-2]), yyvsp[0], SCM_BOOL_F);
		}
		yyval = SCM_UNSPECIFIED;
	}
#line 3952 "./out/parser.cc"
    break;

  case 73: /* identifier_init: symbol_list_part_bare '.' property_path  */
#line 726 "parser.yy"
        {
		yyval = scm_reverse_x (yyvsp[-2], yyvsp[0]);
	}
#line 3960 "./out/parser.cc"
    break;

  case 74: /* identifier_init: symbol_list_part_bare ',' property_path  */
#line 730 "parser.yy"
        {
		yyval = scm_reverse_x (yyvsp[-2], yyvsp[0]);
	}
#line 3968 "./out/parser.cc"
    break;

  case 75: /* identifier_init: post_event_nofinger post_events  */
#line 734 "parser.yy"
        {
		yyval = post_event_cons (yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL));
		if (scm_is_pair (yyval)
		    && scm_is_null (scm_cdr (yyval)))
			yyval = scm_car (yyval);
		else
		{
			Music * m = MY_MAKE_MUSIC ("PostEvents", (yyloc));
			set_property (m, "elements", yyval);
			yyval = m->unprotect ();
		}
	}
#line 3985 "./out/parser.cc"
    break;

  case 90: /* identifier_init_nonumber: partial_function "\\etc"  */
#line 764 "parser.yy"
        {
		yyval = MAKE_SYNTAX (partial_music_function, (yyloc),
				  scm_reverse_x (yyvsp[-1], SCM_EOL));
	}
#line 3994 "./out/parser.cc"
    break;

  case 91: /* partial_function_scriptable: MUSIC_FUNCTION function_arglist_partial  */
#line 774 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-1], yyvsp[0], SCM_EOL);
	}
#line 4002 "./out/parser.cc"
    break;

  case 92: /* partial_function_scriptable: EVENT_FUNCTION function_arglist_partial  */
#line 778 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-1], yyvsp[0], SCM_EOL);
	}
#line 4010 "./out/parser.cc"
    break;

  case 93: /* partial_function_scriptable: SCM_FUNCTION function_arglist_partial  */
#line 782 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-1], yyvsp[0], SCM_EOL);
	}
#line 4018 "./out/parser.cc"
    break;

  case 94: /* partial_function_scriptable: MUSIC_FUNCTION "scheme?" function_arglist_optional partial_function  */
#line 786 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-3], yyvsp[-1], yyvsp[0]);
	}
#line 4026 "./out/parser.cc"
    break;

  case 95: /* partial_function_scriptable: EVENT_FUNCTION "scheme?" function_arglist_optional partial_function  */
#line 790 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-3], yyvsp[-1], yyvsp[0]);
	}
#line 4034 "./out/parser.cc"
    break;

  case 96: /* partial_function_scriptable: SCM_FUNCTION "scheme?" function_arglist_optional partial_function  */
#line 794 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-3], yyvsp[-1], yyvsp[0]);
	}
#line 4042 "./out/parser.cc"
    break;

  case 97: /* partial_function_scriptable: MUSIC_FUNCTION "optional?" "scheme?" function_arglist_nonbackup partial_function  */
#line 798 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-4], yyvsp[-1], yyvsp[0]);
	}
#line 4050 "./out/parser.cc"
    break;

  case 98: /* partial_function_scriptable: EVENT_FUNCTION "optional?" "scheme?" function_arglist_nonbackup partial_function  */
#line 802 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-4], yyvsp[-1], yyvsp[0]);
	}
#line 4058 "./out/parser.cc"
    break;

  case 99: /* partial_function_scriptable: SCM_FUNCTION "optional?" "scheme?" function_arglist_nonbackup partial_function  */
#line 806 "parser.yy"
        {
		yyval = scm_acons (yyvsp[-4], yyvsp[-1], yyvsp[0]);
	}
#line 4066 "./out/parser.cc"
    break;

  case 101: /* partial_function: "\\override" grob_prop_path '='  */
#line 814 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[-1]))
			yyval = ly_list (SCM_BOOL_F);
		else
			yyval = scm_cons
				(ly_list (Syntax::property_override,
			                  scm_cdr (yyvsp[-1]), scm_car (yyvsp[-1])),
				 SCM_EOL);
	}
#line 4080 "./out/parser.cc"
    break;

  case 102: /* partial_function: "\\set" context_prop_spec '='  */
#line 824 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[-1]))
			yyval = ly_list (SCM_BOOL_F);
		else
			yyval = scm_cons
				(ly_list (Syntax::property_set,
				          scm_cadr (yyvsp[-1]), scm_car (yyvsp[-1])),
				 SCM_EOL);
	}
#line 4094 "./out/parser.cc"
    break;

  case 103: /* partial_function: "\\override" grob_prop_path '=' partial_function  */
#line 834 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[-2]))
			yyval = ly_list (SCM_BOOL_F);
		else
			yyval = scm_cons
				(ly_list (Syntax::property_override,
			       	          scm_cdr (yyvsp[-2]), scm_car (yyvsp[-2])),
				 yyvsp[0]);
	}
#line 4108 "./out/parser.cc"
    break;

  case 104: /* partial_function: "\\set" context_prop_spec '=' partial_function  */
#line 844 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[-2]))
			yyval = ly_list (SCM_BOOL_F);
		else
			yyval = scm_cons
				(ly_list (Syntax::property_set,
					  scm_cadr (yyvsp[-2]), scm_car (yyvsp[-2])),
				 yyvsp[0]);
	}
#line 4122 "./out/parser.cc"
    break;

  case 105: /* partial_function: "\\repeat" simple_string unsigned_number  */
#line 854 "parser.yy"
        {
		yyval = scm_cons (ly_list (Syntax::repeat, yyvsp[0], yyvsp[-1]), SCM_EOL);
	}
#line 4130 "./out/parser.cc"
    break;

  case 106: /* partial_function: "\\repeat" simple_string unsigned_number partial_function  */
#line 858 "parser.yy"
        {
		yyval = scm_cons (ly_list (Syntax::repeat, yyvsp[-1], yyvsp[-2]), yyvsp[0]);
	}
#line 4138 "./out/parser.cc"
    break;

  case 107: /* partial_function: "\\repeat" simple_string  */
#line 862 "parser.yy"
        {
		yyval = scm_cons (ly_list (Syntax::repeat, yyvsp[0]), SCM_EOL);
	}
#line 4146 "./out/parser.cc"
    break;

  case 108: /* partial_function: "\\repeat" simple_string partial_function  */
#line 866 "parser.yy"
        {
		yyval = scm_cons (ly_list (Syntax::repeat, yyvsp[-1]), yyvsp[0]);
	}
#line 4154 "./out/parser.cc"
    break;

  case 109: /* partial_function: script_dir markup_mode markup_partial_function  */
#line 871 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[-2]))
			yyvsp[-2] = SCM_INUM0;
		yyvsp[0] = MAKE_SYNTAX (partial_markup, (yylsp[0]), yyvsp[0]);
		parser->lexer_->pop_state ();
// This relies on partial_function always being followed by ETC
		yyval = ly_list (ly_list (MAKE_SYNTAX (partial_text_script, (yyloc), yyvsp[0]),
				       yyvsp[0], yyvsp[-2]));
	}
#line 4168 "./out/parser.cc"
    break;

  case 110: /* partial_function: script_dir partial_function_scriptable  */
#line 881 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[-1]))
			yyvsp[-1] = SCM_INUM0;
		yyval = scm_acons (Syntax::create_script_function, ly_list (yyvsp[-1]), yyvsp[0]);
	}
#line 4178 "./out/parser.cc"
    break;

  case 111: /* partial_function: script_dir  */
#line 887 "parser.yy"
        {
		if (SCM_UNBNDP (yyvsp[0]))
			yyvsp[0] = SCM_INUM0;
		yyval = scm_acons (Syntax::create_script_function, ly_list (yyvsp[0]), SCM_EOL);
	}
#line 4188 "./out/parser.cc"
    break;

  case 112: /* context_def_spec_block: "\\context" '{' context_def_spec_body '}'  */
#line 896 "parser.yy"
        {
		yyval = yyvsp[-1];
		Context_def *td = unsmob<Context_def> (yyval);
		if (!td) {
			yyval = Context_def::make_scm ();
			td = unsmob<Context_def> (yyval);
		}
		td->origin ()->set_spot ((yyloc));
	}
#line 4202 "./out/parser.cc"
    break;

  case 114: /* $@3: %empty  */
#line 910 "parser.yy"
        {
		parser->lexer_->push_note_state ();
	}
#line 4210 "./out/parser.cc"
    break;

  case 115: /* context_mod_arg: $@3 composite_music  */
#line 914 "parser.yy"
        {
		parser->lexer_->pop_state ();
		yyval = yyvsp[0];
	}
#line 4219 "./out/parser.cc"
    break;

  case 116: /* context_def_spec_body: %empty  */
#line 922 "parser.yy"
             {
		yyval = SCM_UNSPECIFIED;
	}
#line 4227 "./out/parser.cc"
    break;

  case 117: /* context_def_spec_body: context_def_spec_body context_mod  */
#line 925 "parser.yy"
                                            {
		if (!SCM_UNBNDP (yyvsp[0])) {
			Context_def *td = unsmob<Context_def> (yyval);
			if (!td) {
				yyval = Context_def::make_scm ();
				td = unsmob<Context_def> (yyval);
			}
			unsmob<Context_def> (yyval)->add_context_mod (yyvsp[0]);
		}
	}
#line 4242 "./out/parser.cc"
    break;

  case 118: /* context_def_spec_body: context_def_spec_body context_modification  */
#line 935 "parser.yy"
                                                     {
                Context_def *td = unsmob<Context_def> (yyval);
		if (!td) {
			yyval = Context_def::make_scm ();
			td = unsmob<Context_def> (yyval);
		}
                SCM new_mods = unsmob<Context_mod> (yyvsp[0])->get_mods ();
                for (SCM m = new_mods; scm_is_pair (m); m = scm_cdr (m)) {
                    td->add_context_mod (scm_car (m));
                }
	}
#line 4258 "./out/parser.cc"
    break;

  case 119: /* context_def_spec_body: context_def_spec_body context_mod_arg  */
#line 946 "parser.yy"
                                                {
		Context_def *td = unsmob<Context_def> (yyvsp[-1]);
		if (scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			;
		else if (!td && unsmob<Context_def> (yyvsp[0]))
			yyval = yyvsp[0];
		else {
			if (!td) {
				yyval = Context_def::make_scm ();
				td = unsmob<Context_def> (yyval);
			}
			if (unsmob<Music> (yyvsp[0])) {
				SCM proc = parser->lexer_->lookup_identifier ("context-mod-music-handler");
				yyvsp[0] = ly_call (proc, yyvsp[0]);
			}
			if (Context_mod *cm = unsmob<Context_mod> (yyvsp[0])) {
				for (SCM m = cm->get_mods (); scm_is_pair (m); m = scm_cdr (m)) {
					td->add_context_mod (scm_car (m));
				}
			} else
				parser->parser_error ((yylsp[0]), _ ("not a context mod"));
		}
	}
#line 4286 "./out/parser.cc"
    break;

  case 120: /* book_block: "\\book" '{' book_body '}'  */
#line 974 "parser.yy"
                                {
		yyval = yyvsp[-1];
		unsmob<Book> (yyval)->origin ()->set_spot ((yyloc));
		pop_paper (parser);
		parser->lexer_->set_identifier (ly_symbol2scm ("$current-book"), SCM_BOOL_F);
	}
#line 4297 "./out/parser.cc"
    break;

  case 121: /* book_body: %empty  */
#line 986 "parser.yy"
        {
		Book *book = new Book;
		init_papers (parser);
		book->paper_ = unsmob<Output_def> (parser->lexer_->lookup_identifier ("$defaultpaper"))->clone ();
		book->paper_->unprotect ();
		push_paper (parser, book->paper_);
		book->header_ = get_header (parser);
                yyval = book->unprotect ();
		parser->lexer_->set_identifier (ly_symbol2scm ("$current-book"), yyval);
	}
#line 4312 "./out/parser.cc"
    break;

  case 122: /* book_body: BOOK_IDENTIFIER  */
#line 996 "parser.yy"
                          {
		parser->lexer_->set_identifier (ly_symbol2scm ("$current-book"), yyvsp[0]);
	}
#line 4320 "./out/parser.cc"
    break;

  case 123: /* book_body: book_body paper_block  */
#line 999 "parser.yy"
                                {
		unsmob<Book> (yyvsp[-1])->paper_ = unsmob<Output_def> (yyvsp[0]);
		set_paper (parser, unsmob<Output_def> (yyvsp[0]));
	}
#line 4329 "./out/parser.cc"
    break;

  case 124: /* book_body: book_body bookpart_block  */
#line 1003 "parser.yy"
                                   {
		SCM proc = parser->lexer_->lookup_identifier ("book-bookpart-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4338 "./out/parser.cc"
    break;

  case 125: /* book_body: book_body score_block  */
#line 1007 "parser.yy"
                                {
		SCM proc = parser->lexer_->lookup_identifier ("book-score-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4347 "./out/parser.cc"
    break;

  case 126: /* book_body: book_body composite_music  */
#line 1011 "parser.yy"
                                    {
		SCM proc = parser->lexer_->lookup_identifier ("book-music-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4356 "./out/parser.cc"
    break;

  case 127: /* book_body: book_body full_markup  */
#line 1015 "parser.yy"
                                {
		SCM proc = parser->lexer_->lookup_identifier ("book-text-handler");
		ly_call (proc, yyvsp[-1], ly_list (yyvsp[0]));
	}
#line 4365 "./out/parser.cc"
    break;

  case 128: /* book_body: book_body full_markup_list  */
#line 1019 "parser.yy"
                                     {
		SCM proc = parser->lexer_->lookup_identifier ("book-text-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4374 "./out/parser.cc"
    break;

  case 129: /* book_body: book_body SCM_TOKEN  */
#line 1023 "parser.yy"
                              {
		// Evaluate and ignore #xxx, as opposed to \xxx
		parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 4383 "./out/parser.cc"
    break;

  case 130: /* book_body: book_body embedded_scm_active  */
#line 1028 "parser.yy"
        {
		SCM out = SCM_UNDEFINED;
		if (Text_interface::is_markup (yyvsp[0]))
			out = ly_list (yyvsp[0]);
		else if (Text_interface::is_markup_list (yyvsp[0]))
			out = yyvsp[0];
		if (scm_is_pair (out))
		{
			SCM proc = parser->lexer_->lookup_identifier ("book-text-handler");
			ly_call (proc, yyvsp[-1], out);
		} else if (unsmob<Score> (yyvsp[0]))
		{
			SCM proc = parser->lexer_->lookup_identifier ("book-score-handler");
			ly_call (proc, yyvsp[-1], yyvsp[0]);
		} else if (Output_def *od = unsmob<Output_def> (yyvsp[0])) {
			if (scm_is_eq (od->lookup_variable (ly_symbol2scm ("output-def-kind")),
				       ly_symbol2scm ("paper"))) {
				unsmob<Book> (yyvsp[-1])->paper_ = od;
				set_paper (parser, od);
			} else {
				parser->parser_error ((yylsp[0]), _ ("need \\paper for paper block"));
			}
		} else if (ly_is_module (yyvsp[0]))
		{
			ly_module_copy (unsmob<Book> (yyvsp[-1])->header_, yyvsp[0]);
		} else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _("bad expression type"));
	}
#line 4416 "./out/parser.cc"
    break;

  case 131: /* $@4: %empty  */
#line 1057 "parser.yy"
        {
		parser->lexer_->add_scope (unsmob<Book> (yyvsp[0])->header_);
	}
#line 4424 "./out/parser.cc"
    break;

  case 133: /* book_body: book_body error  */
#line 1060 "parser.yy"
                          {
                Book *book = unsmob<Book> (yyvsp[-1]);
		book->paper_ = 0;
		book->scores_ = SCM_EOL;
		book->bookparts_ = SCM_EOL;
	}
#line 4435 "./out/parser.cc"
    break;

  case 134: /* bookpart_block: "\\bookpart" '{' bookpart_body '}'  */
#line 1069 "parser.yy"
                                       {
		yyval = yyvsp[-1];
		unsmob<Book> (yyval)->origin ()->set_spot ((yyloc));
		parser->lexer_->set_identifier (ly_symbol2scm ("$current-bookpart"), SCM_BOOL_F);
	}
#line 4445 "./out/parser.cc"
    break;

  case 135: /* bookpart_body: %empty  */
#line 1077 "parser.yy"
        {
		Book *book = new Book;
                yyval = book->unprotect ();
		parser->lexer_->set_identifier (ly_symbol2scm ("$current-bookpart"), yyval);
	}
#line 4455 "./out/parser.cc"
    break;

  case 136: /* bookpart_body: BOOK_IDENTIFIER  */
#line 1082 "parser.yy"
                          {
		parser->lexer_->set_identifier (ly_symbol2scm ("$current-bookpart"), yyvsp[0]);
	}
#line 4463 "./out/parser.cc"
    break;

  case 137: /* bookpart_body: bookpart_body paper_block  */
#line 1085 "parser.yy"
                                    {
		unsmob<Book> (yyval)->paper_ = unsmob<Output_def> (yyvsp[0]);
	}
#line 4471 "./out/parser.cc"
    break;

  case 138: /* bookpart_body: bookpart_body score_block  */
#line 1088 "parser.yy"
                                    {
		SCM proc = parser->lexer_->lookup_identifier ("bookpart-score-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4480 "./out/parser.cc"
    break;

  case 139: /* bookpart_body: bookpart_body composite_music  */
#line 1092 "parser.yy"
                                        {
		SCM proc = parser->lexer_->lookup_identifier ("bookpart-music-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4489 "./out/parser.cc"
    break;

  case 140: /* bookpart_body: bookpart_body full_markup  */
#line 1096 "parser.yy"
                                    {
		SCM proc = parser->lexer_->lookup_identifier ("bookpart-text-handler");
		ly_call (proc, yyvsp[-1], ly_list (yyvsp[0]));
	}
#line 4498 "./out/parser.cc"
    break;

  case 141: /* bookpart_body: bookpart_body full_markup_list  */
#line 1100 "parser.yy"
                                         {
		SCM proc = parser->lexer_->lookup_identifier ("bookpart-text-handler");
		ly_call (proc, yyvsp[-1], yyvsp[0]);
	}
#line 4507 "./out/parser.cc"
    break;

  case 142: /* bookpart_body: bookpart_body SCM_TOKEN  */
#line 1104 "parser.yy"
                                  {
		// Evaluate and ignore #xxx, as opposed to \xxx
		parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 4516 "./out/parser.cc"
    break;

  case 143: /* bookpart_body: bookpart_body embedded_scm_active  */
#line 1109 "parser.yy"
        {
		SCM out = SCM_UNDEFINED;
		if (Text_interface::is_markup (yyvsp[0]))
			out = ly_list (yyvsp[0]);
		else if (Text_interface::is_markup_list (yyvsp[0]))
			out = yyvsp[0];
		if (scm_is_pair (out))
		{
			SCM proc = parser->lexer_->lookup_identifier ("bookpart-text-handler");
			ly_call (proc, yyvsp[-1], out);
		} else if (unsmob<Score> (yyvsp[0]))
		{
			SCM proc = parser->lexer_->lookup_identifier ("bookpart-score-handler");
			ly_call (proc, yyvsp[-1], yyvsp[0]);
		} else if (Output_def *od = unsmob<Output_def> (yyvsp[0])) {
			if (scm_is_eq (od->lookup_variable (ly_symbol2scm ("output-def-kind")),
				       ly_symbol2scm ("paper"))) {
				unsmob<Book> (yyvsp[-1])->paper_ = od;
			} else {
				parser->parser_error ((yylsp[0]), _ ("need \\paper for paper block"));
			}
		} else if (ly_is_module (yyvsp[0])) {
			Book *book = unsmob<Book> (yyvsp[-1]);
			if (!ly_is_module (book->header_))
				book->header_ = ly_make_module ();
			ly_module_copy (book->header_, yyvsp[0]);
		} else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _("bad expression type"));
	}
#line 4550 "./out/parser.cc"
    break;

  case 144: /* $@5: %empty  */
#line 1139 "parser.yy"
        {
                Book *book = unsmob<Book> (yyvsp[0]);
		if (!ly_is_module (book->header_))
			book->header_ = ly_make_module ();
		parser->lexer_->add_scope (book->header_);
	}
#line 4561 "./out/parser.cc"
    break;

  case 146: /* bookpart_body: bookpart_body error  */
#line 1145 "parser.yy"
                              {
                Book *book = unsmob<Book> (yyvsp[-1]);
		book->paper_ = 0;
		book->scores_ = SCM_EOL;
	}
#line 4571 "./out/parser.cc"
    break;

  case 147: /* score_block: "\\score" '{' score_body '}'  */
#line 1153 "parser.yy"
                                        {
		unsmob<Score> (yyvsp[-1])->origin ()->set_spot ((yyloc));
		yyval = yyvsp[-1];
	}
#line 4580 "./out/parser.cc"
    break;

  case 148: /* score_body: score_items  */
#line 1160 "parser.yy"
                    {
		if (!unsmob<Score> (yyvsp[0])) {
			parser->parser_error ((yylsp[0]), _("Missing music in \\score"));
			yyval = (new Score)->unprotect ();
			if (scm_is_pair (yyvsp[0]) && ly_is_module (scm_car (yyvsp[0])))
			{
				unsmob<Score> (yyval)->set_header (scm_car (yyvsp[0]));
				yyvsp[0] = scm_cdr (yyvsp[0]);
			}
			for (SCM p = scm_reverse_x (yyvsp[0], SCM_EOL);
			     scm_is_pair (p); p = scm_cdr (p))
			{
				unsmob<Score> (yyval)->
					add_output_def (unsmob<Output_def> (scm_car (p)));
			}
		}
	}
#line 4602 "./out/parser.cc"
    break;

  case 149: /* score_body: score_body error  */
#line 1177 "parser.yy"
                           {
		unsmob<Score> (yyval)->error_found_ = true;
	}
#line 4610 "./out/parser.cc"
    break;

  case 153: /* score_items: %empty  */
#line 1190 "parser.yy"
        {
		yyval = SCM_EOL;
	}
#line 4618 "./out/parser.cc"
    break;

  case 154: /* score_items: score_items score_item  */
#line 1194 "parser.yy"
        {
		Output_def *od = unsmob<Output_def> (yyvsp[0]);
		if (od) {
			if (scm_is_eq (od->lookup_variable (ly_symbol2scm ("output-def-kind")),
				       ly_symbol2scm ("paper")))
			{
				parser->parser_error ((yylsp[0]), _("\\paper cannot be used in \\score, use \\layout instead"));
				od = 0;
				yyvsp[0] = SCM_UNSPECIFIED;
			}
		} else if (!unsmob<Score> (yyval)) {
			if (unsmob<Music> (yyvsp[0])) {
				yyvsp[0] = Lily::scorify_music (yyvsp[0]);
			}
			if (unsmob<Score> (yyvsp[0]))
			{
				yyval = yyvsp[0];
				yyvsp[0] = SCM_UNSPECIFIED;
			}
		}
		Score *score = unsmob<Score> (yyval);
		if (score && scm_is_pair (yyvsp[-1])) {
			if (ly_is_module (scm_car (yyvsp[-1])))
			{
				score->set_header (scm_car (yyvsp[-1]));
				yyvsp[-1] = scm_cdr (yyvsp[-1]);
			}
			for (SCM p = scm_reverse_x (yyvsp[-1], SCM_EOL);
			     scm_is_pair (p); p = scm_cdr (p))
			{
				score->add_output_def (unsmob<Output_def> (scm_car (p)));
			}
		}
		if (od) {
			if (score)
				score->add_output_def (od);
			else if (scm_is_pair (yyval) && ly_is_module (scm_car (yyval)))
				scm_set_cdr_x (yyval, scm_cons (yyvsp[0], scm_cdr (yyval)));
			else
				yyval = scm_cons (yyvsp[0], yyval);
		} else if (ly_is_module (yyvsp[0])) {
			SCM module = SCM_UNSPECIFIED;
			if (score) {
				module = score->get_header ();
				if (!ly_is_module (module))
				{
					module = ly_make_module ();
					score->set_header (module);
				}
			} else if (scm_is_pair (yyval) && ly_is_module (scm_car (yyval)))
				module = scm_car (yyval);
			else {
				module = ly_make_module ();
				yyval = scm_cons (module, yyval);
			}
			ly_module_copy (module, yyvsp[0]);
		} else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _("Spurious expression in \\score"));
	}
#line 4682 "./out/parser.cc"
    break;

  case 155: /* $@6: %empty  */
#line 1254 "parser.yy"
        {
		if (Score *score = unsmob<Score> (yyvsp[0])) {
			if (!ly_is_module (score->get_header ()))
				score->set_header (ly_make_module ());
			parser->lexer_->add_scope (score->get_header ());
		} else {
			if (!scm_is_pair (yyvsp[0]) || !ly_is_module (scm_car (yyvsp[0])))
				yyvsp[0] = scm_cons (ly_make_module (), yyvsp[0]);
			parser->lexer_->add_scope (scm_car (yyvsp[0]));
		}
	}
#line 4698 "./out/parser.cc"
    break;

  case 156: /* score_items: score_items $@6 lilypond_header  */
#line 1265 "parser.yy"
        {
		yyval = yyvsp[-2];
	}
#line 4706 "./out/parser.cc"
    break;

  case 157: /* paper_block: output_def  */
#line 1276 "parser.yy"
                   {
                Output_def *od = unsmob<Output_def> (yyvsp[0]);

		if (!scm_is_eq (od->lookup_variable (ly_symbol2scm ("output-def-kind")),
				ly_symbol2scm ("paper")))
		{
			parser->parser_error ((yylsp[0]), _ ("need \\paper for paper block"));
			yyval = get_paper (parser)->unprotect ();
		}
	}
#line 4721 "./out/parser.cc"
    break;

  case 158: /* output_def: output_def_body '}'  */
#line 1290 "parser.yy"
                            {
		if (scm_is_pair (yyvsp[-1]))
			yyval = scm_car (yyvsp[-1]);

		parser->lexer_->remove_scope ();
		parser->lexer_->pop_state ();
	}
#line 4733 "./out/parser.cc"
    break;

  case 159: /* output_def_head: "\\paper"  */
#line 1300 "parser.yy"
              {
                Output_def *p = get_paper (parser);
		p->input_origin_ = (yyloc);
		parser->lexer_->add_scope (p->scope_);
                yyval = p->unprotect ();
	}
#line 4744 "./out/parser.cc"
    break;

  case 160: /* output_def_head: "\\midi"  */
#line 1306 "parser.yy"
                  {
		Output_def *p = get_midi (parser);
		yyval = p->unprotect ();
		parser->lexer_->add_scope (p->scope_);
	}
#line 4754 "./out/parser.cc"
    break;

  case 161: /* output_def_head: "\\layout"  */
#line 1311 "parser.yy"
                        {
		Output_def *p = get_layout (parser);

		parser->lexer_->add_scope (p->scope_);
		yyval = p->unprotect ();
	}
#line 4765 "./out/parser.cc"
    break;

  case 162: /* output_def_head_with_mode_switch: output_def_head  */
#line 1320 "parser.yy"
                        {
		parser->lexer_->push_initial_state ();
		yyval = yyvsp[0];
	}
#line 4774 "./out/parser.cc"
    break;

  case 165: /* output_def_body: output_def_head_with_mode_switch '{'  */
#line 1337 "parser.yy"
                                             {
		unsmob<Output_def> (yyvsp[-1])->input_origin_.set_spot ((yyloc));
		// This is a stupid trick to mark the beginning of the
		// body for deciding whether to allow
		// embedded_scm_active to have an output definition
		yyval = ly_list (yyvsp[-1]);
	}
#line 4786 "./out/parser.cc"
    break;

  case 166: /* output_def_body: output_def_body assignment  */
#line 1344 "parser.yy"
                                      {
		if (scm_is_pair (yyvsp[-1]))
			yyval = scm_car (yyvsp[-1]);
	}
#line 4795 "./out/parser.cc"
    break;

  case 167: /* output_def_body: output_def_body embedded_scm_active  */
#line 1349 "parser.yy"
        {
		// We don't switch into note mode for Scheme functions
		// here.  Does not seem warranted/required in output
		// definitions.
		if (scm_is_pair (yyvsp[-1]))
		{
			Output_def *o = unsmob<Output_def> (yyvsp[0]);
			if (o) {
				o->input_origin_.set_spot ((yyloc));
				yyvsp[-1] = o->self_scm ();
				parser->lexer_->remove_scope ();
				parser->lexer_->add_scope (o->scope_);
				yyvsp[0] = SCM_UNSPECIFIED;
			} else
				yyvsp[-1] = scm_car (yyvsp[-1]);
		}
		if (unsmob<Context_def> (yyvsp[0]))
			assign_context_def (unsmob<Output_def> (yyvsp[-1]), yyvsp[0]);
		// Seems unlikely, but let's be complete:
		else if (unsmob<Music> (yyvsp[0]))
		{
			SCM proc = parser->lexer_->lookup_identifier ("output-def-music-handler");
			ly_call (proc, yyvsp[-1], yyvsp[0]);
		} else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _("bad expression type"));
		yyval = yyvsp[-1];
	}
#line 4827 "./out/parser.cc"
    break;

  case 168: /* output_def_body: output_def_body SCM_TOKEN  */
#line 1376 "parser.yy"
                                    {
		if (scm_is_pair (yyvsp[-1]))
			yyval = scm_car (yyvsp[-1]);
		// Evaluate and ignore #xxx, as opposed to \xxx
		parser->lexer_->eval_scm_token (yyvsp[0], (yylsp[0]));
	}
#line 4838 "./out/parser.cc"
    break;

  case 169: /* $@7: %empty  */
#line 1383 "parser.yy"
        {
		if (scm_is_pair (yyvsp[0]))
			yyvsp[0] = scm_car (yyvsp[0]);
		parser->lexer_->push_note_state ();
	}
#line 4848 "./out/parser.cc"
    break;

  case 170: /* output_def_body: output_def_body $@7 music_or_context_def  */
#line 1388 "parser.yy"
        {
		parser->lexer_->pop_state ();
		if (unsmob<Context_def> (yyvsp[0]))
			assign_context_def (unsmob<Output_def> (yyvsp[-2]), yyvsp[0]);
		else {

			SCM proc = parser->lexer_->lookup_identifier ("output-def-music-handler");
			ly_call (proc, yyvsp[-2], yyvsp[0]);
		}
		yyval = yyvsp[-2];
	}
#line 4864 "./out/parser.cc"
    break;

  case 171: /* output_def_body: output_def_body error  */
#line 1399 "parser.yy"
                                {

	}
#line 4872 "./out/parser.cc"
    break;

  case 172: /* tempo_event: "\\tempo" steno_duration '=' tempo_range  */
#line 1405 "parser.yy"
                                                {
		yyval = MAKE_SYNTAX (tempo, (yyloc), SCM_EOL, yyvsp[-2], yyvsp[0]);
	}
#line 4880 "./out/parser.cc"
    break;

  case 173: /* tempo_event: "\\tempo" text steno_duration '=' tempo_range  */
#line 1408 "parser.yy"
                                                        {
		yyval = MAKE_SYNTAX (tempo, (yyloc), yyvsp[-3], yyvsp[-2], yyvsp[0]);
	}
#line 4888 "./out/parser.cc"
    break;

  case 174: /* tempo_event: "\\tempo" text  */
#line 1411 "parser.yy"
                     {
		yyval = MAKE_SYNTAX (tempo, (yyloc), yyvsp[0]);
	}
#line 4896 "./out/parser.cc"
    break;

  case 175: /* music_list: %empty  */
#line 1420 "parser.yy"
                    {
		yyval = SCM_EOL;
	}
#line 4904 "./out/parser.cc"
    break;

  case 176: /* music_list: music_list music_embedded  */
#line 1423 "parser.yy"
                                    {
		if (unsmob<Music> (yyvsp[0]))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 4913 "./out/parser.cc"
    break;

  case 177: /* music_list: music_list error  */
#line 1427 "parser.yy"
                           {
		Music *m = MY_MAKE_MUSIC("Music", (yyloc));
		// ugh. code dup
		set_property (m, "error-found", SCM_BOOL_T);
		yyval = scm_cons (m->self_scm (), yyvsp[-1]);
		m->unprotect (); /* UGH */
	}
#line 4925 "./out/parser.cc"
    break;

  case 178: /* braced_music_list: '{' music_list '}'  */
#line 1438 "parser.yy"
        {
		yyval = reverse_music_list (parser, (yyloc), yyvsp[-1], true, false);
	}
#line 4933 "./out/parser.cc"
    break;

  case 182: /* pitch_as_music: pitch_or_music  */
#line 1450 "parser.yy"
        {
	        yyval = make_music_from_simple (parser, (yylsp[0]), yyvsp[0]);
                if (!unsmob<Music> (yyval))
		{
                        parser->parser_error ((yylsp[0]), _ ("music expected"));
			yyval = MAKE_SYNTAX (void_music, (yyloc));
		}
	}
#line 4946 "./out/parser.cc"
    break;

  case 185: /* music_embedded: music_embedded_backup  */
#line 1464 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 4954 "./out/parser.cc"
    break;

  case 186: /* music_embedded: music_embedded_backup "(backed-up?)" lyric_element_music  */
#line 1468 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 4962 "./out/parser.cc"
    break;

  case 187: /* music_embedded: duration post_events  */
#line 1472 "parser.yy"
        {
		Music *n = MY_MAKE_MUSIC ("NoteEvent", (yyloc));

		parser->default_duration_ = *unsmob<Duration> (yyvsp[-1]);
		set_property (n, "duration", yyvsp[-1]);

		if (scm_is_pair (yyvsp[0]))
			set_property (n, "articulations",
					 scm_reverse_x (yyvsp[0], SCM_EOL));
		yyval = n->unprotect ();
	}
#line 4978 "./out/parser.cc"
    break;

  case 188: /* music_embedded_backup: embedded_scm  */
#line 1487 "parser.yy"
        {
		if (scm_is_eq (yyvsp[0], SCM_UNSPECIFIED)
		    || unsmob<Music> (yyvsp[0]))
			yyval = yyvsp[0];
		else if (parser->lexer_->is_lyric_state ()
			   && Text_interface::is_markup (yyvsp[0]))
			MYBACKUP (LYRIC_ELEMENT, yyvsp[0], (yylsp[0]));
		else {
			(yyloc).warning (_ ("Ignoring non-music expression"));
			yyval = SCM_UNSPECIFIED;
		}
	}
#line 4995 "./out/parser.cc"
    break;

  case 191: /* repeated_music: "\\repeat" simple_string unsigned_number music  */
#line 1510 "parser.yy"
        {
		yyval = MAKE_SYNTAX (repeat, (yyloc), yyvsp[-2], yyvsp[-1], yyvsp[0]);
	}
#line 5003 "./out/parser.cc"
    break;

  case 192: /* repeated_music: "\\repeat" simple_string unsigned_number music sequential_alternative_music  */
#line 1514 "parser.yy"
        {
		yyval = MAKE_SYNTAX (repeat_alt, (yyloc), yyvsp[-3], yyvsp[-2], yyvsp[-1], yyvsp[0]);
	}
#line 5011 "./out/parser.cc"
    break;

  case 193: /* sequential_alternative_music: "\\alternative" braced_music_list  */
#line 1520 "parser.yy"
                                      {
		yyval = MAKE_SYNTAX (sequential_alternative_music, (yyloc), yyvsp[0]);
	}
#line 5019 "./out/parser.cc"
    break;

  case 194: /* sequential_alternative_music: "\\alternative" MUSIC_IDENTIFIER  */
#line 1524 "parser.yy"
                                     { yyval = yyvsp[0]; }
#line 5025 "./out/parser.cc"
    break;

  case 195: /* sequential_music: sequential_alternative_music  */
#line 1528 "parser.yy"
                                     {
		yyval = yyvsp[0];
	}
#line 5033 "./out/parser.cc"
    break;

  case 196: /* sequential_music: "\\sequential" braced_music_list  */
#line 1531 "parser.yy"
                                       {
		yyval = MAKE_SYNTAX (sequential_music, (yyloc), yyvsp[0]);
	}
#line 5041 "./out/parser.cc"
    break;

  case 197: /* sequential_music: braced_music_list  */
#line 1534 "parser.yy"
                            {
		yyval = MAKE_SYNTAX (sequential_music, (yyloc), yyvsp[0]);
	}
#line 5049 "./out/parser.cc"
    break;

  case 198: /* simultaneous_music: "\\simultaneous" braced_music_list  */
#line 1540 "parser.yy"
                                       {
		yyval = MAKE_SYNTAX (simultaneous_music, (yyloc), yyvsp[0]);
	}
#line 5057 "./out/parser.cc"
    break;

  case 199: /* simultaneous_music: "<<" music_list ">>"  */
#line 1543 "parser.yy"
                                                                {
		yyval = MAKE_SYNTAX (simultaneous_music, (yyloc),
				  reverse_music_list (parser, (yyloc), yyvsp[-1],
						      true, false));
	}
#line 5067 "./out/parser.cc"
    break;

  case 203: /* $@8: %empty  */
#line 1558 "parser.yy"
        {
		parser->lexer_->push_note_state ();
	}
#line 5075 "./out/parser.cc"
    break;

  case 204: /* context_modification: "\\with" $@8 '{' context_mod_list '}'  */
#line 1561 "parser.yy"
        {
                parser->lexer_->pop_state ();
                yyval = yyvsp[-1];
        }
#line 5084 "./out/parser.cc"
    break;

  case 205: /* context_modification: "\\with" context_modification_arg  */
#line 1566 "parser.yy"
        {
		if (unsmob<Music> (yyvsp[0])) {
			SCM proc = parser->lexer_->lookup_identifier ("context-mod-music-handler");
			yyvsp[0] = ly_call (proc, yyvsp[0]);
		}
		if (unsmob<Context_mod> (yyvsp[0]))
			yyval = yyvsp[0];
		else {
			// let's permit \with #*unspecified* to go for
			// an empty context mod
			if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
				parser->parser_error ((yylsp[0]), _ ("not a context mod"));
			yyval = Context_mod ().smobbed_copy ();
		}
	}
#line 5104 "./out/parser.cc"
    break;

  case 208: /* optional_context_mods: context_modification_mods_list  */
#line 1594 "parser.yy"
        {
		if (scm_is_pair (yyvsp[0]))
			yyval = scm_append_x (scm_reverse_x (yyvsp[0], SCM_EOL));
        }
#line 5113 "./out/parser.cc"
    break;

  case 209: /* context_modification_mods_list: %empty  */
#line 1607 "parser.yy"
             {
		yyval = SCM_EOL;
	}
#line 5121 "./out/parser.cc"
    break;

  case 210: /* context_modification_mods_list: context_modification_mods_list context_modification  */
#line 1611 "parser.yy"
        {
		if (Context_mod *m = unsmob<Context_mod> (yyvsp[0]))
			yyval = scm_cons (m->get_mods (), yyvsp[-1]);
	}
#line 5130 "./out/parser.cc"
    break;

  case 211: /* context_mod_list: %empty  */
#line 1623 "parser.yy"
             {
            yyval = Context_mod ().smobbed_copy ();
        }
#line 5138 "./out/parser.cc"
    break;

  case 212: /* context_mod_list: context_mod_list context_mod  */
#line 1626 "parser.yy"
                                        {
		if (!SCM_UNBNDP (yyvsp[0]))
			unsmob<Context_mod> (yyvsp[-1])->add_context_mod (yyvsp[0]);
        }
#line 5147 "./out/parser.cc"
    break;

  case 213: /* context_mod_list: context_mod_list context_mod_arg  */
#line 1630 "parser.yy"
                                           {
		if (unsmob<Music> (yyvsp[0])) {
			SCM proc = parser->lexer_->lookup_identifier ("context-mod-music-handler");
			yyvsp[0] = ly_call (proc, yyvsp[0]);
		}
		if (unsmob<Context_mod> (yyvsp[0]))
			unsmob<Context_mod> (yyval)->add_context_mods
				(unsmob<Context_mod> (yyvsp[0])->get_mods ());
		else if (!scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			parser->parser_error ((yylsp[0]), _ ("not a context mod"));
        }
#line 5163 "./out/parser.cc"
    break;

  case 214: /* context_prefix: "\\context" symbol optional_id optional_context_mods  */
#line 1644 "parser.yy"
                                                         {
		yyval = START_MAKE_SYNTAX (context_find_or_create, yyvsp[-2], yyvsp[-1], yyvsp[0]);
	}
#line 5171 "./out/parser.cc"
    break;

  case 215: /* context_prefix: "\\new" symbol optional_id optional_context_mods  */
#line 1647 "parser.yy"
                                                              {
		yyval = START_MAKE_SYNTAX (context_create, yyvsp[-2], yyvsp[-1], yyvsp[0]);
	}
#line 5179 "./out/parser.cc"
    break;

  case 216: /* new_lyrics: "\\addlyrics" optional_context_mods lyric_mode_music  */
#line 1653 "parser.yy"
                                                         {
		yyval = scm_acons (yyvsp[0], yyvsp[-1], SCM_EOL);
	}
#line 5187 "./out/parser.cc"
    break;

  case 217: /* new_lyrics: new_lyrics "\\addlyrics" optional_context_mods lyric_mode_music  */
#line 1656 "parser.yy"
                                                                      {
		yyval = scm_acons (yyvsp[0], yyvsp[-1], yyvsp[-3]);
	}
#line 5195 "./out/parser.cc"
    break;

  case 221: /* basic_music: "\\lyricsto" simple_string lyric_mode_music  */
#line 1681 "parser.yy"
                                                  {
		yyval = MAKE_SYNTAX (lyric_combine, (yyloc), yyvsp[-1], SCM_EOL, yyvsp[0]);
	}
#line 5203 "./out/parser.cc"
    break;

  case 222: /* basic_music: "\\lyricsto" symbol '=' simple_string lyric_mode_music  */
#line 1685 "parser.yy"
        {
		yyval = MAKE_SYNTAX (lyric_combine, (yyloc), yyvsp[-1], yyvsp[-3], yyvsp[0]);
	}
#line 5211 "./out/parser.cc"
    break;

  case 226: /* contexted_basic_music: context_prefix contextable_music new_lyrics  */
#line 1698 "parser.yy"
        {
		Input i;
		i.set_location ((yylsp[-2]), (yylsp[-1]));
		yyval = FINISH_MAKE_SYNTAX (yyvsp[-2], i, yyvsp[-1]);
		yyval = MAKE_SYNTAX (add_lyrics, (yyloc), yyval, scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 5222 "./out/parser.cc"
    break;

  case 227: /* contexted_basic_music: context_prefix contextable_music  */
#line 1705 "parser.yy"
        {
		yyval = FINISH_MAKE_SYNTAX (yyvsp[-1], (yyloc), yyvsp[0]);
	}
#line 5230 "./out/parser.cc"
    break;

  case 228: /* contexted_basic_music: context_prefix contexted_basic_music  */
#line 1709 "parser.yy"
        {
		yyval = FINISH_MAKE_SYNTAX (yyvsp[-1], (yyloc), yyvsp[0]);
	}
#line 5238 "./out/parser.cc"
    break;

  case 231: /* composite_music: basic_music new_lyrics  */
#line 1718 "parser.yy"
        {
		yyval = MAKE_SYNTAX (add_lyrics, (yyloc), yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 5246 "./out/parser.cc"
    break;

  case 235: /* grouped_music_list: simultaneous_music  */
#line 1730 "parser.yy"
                                        { yyval = yyvsp[0]; }
#line 5252 "./out/parser.cc"
    break;

  case 236: /* grouped_music_list: sequential_music  */
#line 1731 "parser.yy"
                                        { yyval = yyvsp[0]; }
#line 5258 "./out/parser.cc"
    break;

  case 238: /* symbol_list_arg: SYMBOL_LIST '.' symbol_list_rev  */
#line 1790 "parser.yy"
        {
		yyval = ly_append (yyvsp[-2], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 5266 "./out/parser.cc"
    break;

  case 239: /* symbol_list_arg: SYMBOL_LIST ',' symbol_list_rev  */
#line 1794 "parser.yy"
        {
		yyval = ly_append (yyvsp[-2], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 5274 "./out/parser.cc"
    break;

  case 241: /* symbol_list_rev: symbol_list_rev '.' symbol_list_part  */
#line 1802 "parser.yy"
        {
		yyval = scm_append_x (ly_list (yyvsp[0], yyvsp[-2]));
	}
#line 5282 "./out/parser.cc"
    break;

  case 242: /* symbol_list_rev: symbol_list_rev ',' symbol_list_part  */
#line 1806 "parser.yy"
        {
		yyval = scm_append_x (ly_list (yyvsp[0], yyvsp[-2]));
	}
#line 5290 "./out/parser.cc"
    break;

  case 244: /* symbol_list_part: embedded_scm_bare  */
#line 1816 "parser.yy"
        {
		yyval = make_reverse_key_list (yyvsp[0]);
		if (SCM_UNBNDP (yyval)) {
			parser->parser_error ((yylsp[0]), _("not a key"));
			yyval = SCM_EOL;
		}
	}
#line 5302 "./out/parser.cc"
    break;

  case 245: /* symbol_list_element: STRING  */
#line 1828 "parser.yy"
        {
		yyval = scm_string_to_symbol (yyvsp[0]);
	}
#line 5310 "./out/parser.cc"
    break;

  case 247: /* symbol_list_part_bare: SYMBOL  */
#line 1837 "parser.yy"
        {
		yyval = try_word_variants (Lily::key_list_p, yyvsp[0]);
		if (SCM_UNBNDP (yyval)) {
			parser->parser_error ((yylsp[0]), _("not a key"));
			yyval = SCM_EOL;
		} else
			yyval = scm_reverse (yyval);
	}
#line 5323 "./out/parser.cc"
    break;

  case 248: /* symbol_list_part_bare: symbol_list_element  */
#line 1846 "parser.yy"
        {
		yyval = ly_list (yyvsp[0]);
	}
#line 5331 "./out/parser.cc"
    break;

  case 250: /* function_arglist_nonbackup: "optional?" "scheme?" function_arglist_nonbackup post_event_nofinger  */
#line 1854 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 5339 "./out/parser.cc"
    break;

  case 251: /* function_arglist_nonbackup: "optional?" "scheme?" function_arglist_nonbackup '-' UNSIGNED  */
#line 1858 "parser.yy"
        {
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		if (scm_is_true (ly_call (yyvsp[-3], n)))
			yyval = scm_cons (n, yyvsp[-2]);
		else {
			Music *t = MY_MAKE_MUSIC ("FingeringEvent", (yylsp[0]));
			set_property (t, "digit", yyvsp[0]);
			yyval = check_scheme_arg (parser, (yylsp[-1]), t->unprotect (),
					       yyvsp[-2], yyvsp[-3], n);
		}
	}
#line 5355 "./out/parser.cc"
    break;

  case 252: /* function_arglist_nonbackup: "optional?" "scheme?" function_arglist_nonbackup '-' REAL  */
#line 1870 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[-1]),
				       scm_difference (yyvsp[0], SCM_UNDEFINED),
				       yyvsp[-2], yyvsp[-3]);
	}
#line 5365 "./out/parser.cc"
    break;

  case 253: /* function_arglist_nonbackup: "optional?" "scheme?" function_arglist_nonbackup '-' NUMBER_IDENTIFIER  */
#line 1876 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[-1]),
				       scm_difference (yyvsp[0], SCM_UNDEFINED),
				       yyvsp[-2], yyvsp[-3]);
	}
#line 5375 "./out/parser.cc"
    break;

  case 254: /* function_arglist_nonbackup: "optional?" "scheme?" function_arglist_nonbackup embedded_scm_arg  */
#line 1882 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		else
			yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 5386 "./out/parser.cc"
    break;

  case 255: /* function_arglist_nonbackup: "optional?" "scheme?" function_arglist_nonbackup bare_number_common  */
#line 1889 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 5394 "./out/parser.cc"
    break;

  case 256: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" pitch_or_music  */
#line 1893 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-1], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-2]);
		else
			yyval = check_scheme_arg (parser, (yylsp[0]),
					       make_music_from_simple
					       (parser, (yylsp[0]), yyvsp[0]),
					       yyvsp[-2], yyvsp[-1], yyvsp[0]);
	}
#line 5408 "./out/parser.cc"
    break;

  case 257: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" duration  */
#line 1903 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5416 "./out/parser.cc"
    break;

  case 258: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" reparsed_rhythm  */
#line 1907 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5424 "./out/parser.cc"
    break;

  case 259: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" bare_number_common  */
#line 1911 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5432 "./out/parser.cc"
    break;

  case 260: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" SCM_ARG  */
#line 1915 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5440 "./out/parser.cc"
    break;

  case 261: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" lyric_element_music  */
#line 1919 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5448 "./out/parser.cc"
    break;

  case 262: /* function_arglist_nonbackup: function_arglist_nonbackup_reparse "(reparsed?)" symbol_list_arg  */
#line 1923 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5456 "./out/parser.cc"
    break;

  case 263: /* reparsed_rhythm: DURATION_ARG dots multipliers post_events  */
#line 1931 "parser.yy"
        {
		SCM d = make_duration (yyvsp[-3], from_scm<int> (yyvsp[-2]), yyvsp[-1]);
		parser->default_duration_ = *unsmob<Duration> (d);
		yyval = make_music_from_simple (parser, (yyloc), d);
		Music *m = unsmob<Music> (yyval);
		assert (m);
		if (scm_is_pair (yyvsp[0]))
			set_property (m, "articulations",
					 scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 5471 "./out/parser.cc"
    break;

  case 264: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup SCM_IDENTIFIER  */
#line 1945 "parser.yy"
        {
		yyval = yyvsp[-1];
		SCM res = try_string_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res))
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, res);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple
			   (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], STRING, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 5492 "./out/parser.cc"
    break;

  case 265: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup pitch  */
#line 1962 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true
		    (ly_call
		     (yyvsp[-2], make_music_from_simple
		      (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], PITCH_IDENTIFIER, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 5507 "./out/parser.cc"
    break;

  case 266: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup steno_tonic_pitch  */
#line 1973 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true
		    (ly_call
		     (yyvsp[-2], make_music_from_simple
		      (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], TONICNAME_PITCH, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 5522 "./out/parser.cc"
    break;

  case 267: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup STRING  */
#line 1984 "parser.yy"
        {
		yyval = yyvsp[-1];
		SCM res = try_string_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res))
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, res);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple
			   (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], STRING, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 5543 "./out/parser.cc"
    break;

  case 268: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup SYMBOL  */
#line 2001 "parser.yy"
        {
		yyval = yyvsp[-1];
		SCM res = try_word_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res))
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, res);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple
			   (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], STRING, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 5564 "./out/parser.cc"
    break;

  case 269: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup full_markup  */
#line 2018 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple
			   (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], STRING, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 5581 "./out/parser.cc"
    break;

  case 270: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup UNSIGNED  */
#line 2031 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			// May be 3 \cm or similar
			MYREPARSE ((yylsp[0]), yyvsp[-2], REAL, yyvsp[0]);
		else if (scm_is_true (ly_call (yyvsp[-2], ly_list (yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, ly_list (yyvsp[0]));
		else {
			SCM d = make_duration (yyvsp[0]);
			if (!SCM_UNBNDP (d)) {
				if (scm_is_true (ly_call (yyvsp[-2], d)))
					MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_IDENTIFIER, d);
				else if (scm_is_true
					 (ly_call
					  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), d))))
					MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_ARG, d);
				else
					MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]); // trigger error
			} else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]); // trigger error
		}
	}
#line 5608 "./out/parser.cc"
    break;

  case 271: /* function_arglist_nonbackup_reparse: "optional?" "scheme?" function_arglist_nonbackup DURATION_IDENTIFIER  */
#line 2054 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_IDENTIFIER, yyvsp[0]);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_ARG, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]); // trigger error
	}
#line 5624 "./out/parser.cc"
    break;

  case 273: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup embedded_scm_arg  */
#line 2073 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (SCM_ARG, yyvsp[0], (yylsp[0]));
		}
	}
#line 5637 "./out/parser.cc"
    break;

  case 274: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup post_event_nofinger  */
#line 2082 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
		{
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		} else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (EVENT_IDENTIFIER, yyvsp[0], (yylsp[0]));
		}
	}
#line 5651 "./out/parser.cc"
    break;

  case 275: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup pitch  */
#line 2092 "parser.yy"
        {
		if (scm_is_true
		    (ly_call
		     (yyvsp[-2], make_music_from_simple
		      (parser, (yylsp[0]), yyvsp[0]))))
		{
			yyval = yyvsp[-1];
			MYREPARSE ((yylsp[0]), yyvsp[-2], PITCH_IDENTIFIER, yyvsp[0]);
		} else if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (PITCH_IDENTIFIER, yyvsp[0], (yylsp[0]));
		}
	}
#line 5671 "./out/parser.cc"
    break;

  case 276: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup steno_tonic_pitch  */
#line 2108 "parser.yy"
        {
		if (scm_is_true
		    (ly_call
		     (yyvsp[-2], make_music_from_simple
		      (parser, (yylsp[0]), yyvsp[0]))))
		{
			yyval = yyvsp[-1];
			MYREPARSE ((yylsp[0]), yyvsp[-2], TONICNAME_PITCH, yyvsp[0]);
		} else if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (TONICNAME_PITCH, yyvsp[0], (yylsp[0]));
		}
	}
#line 5691 "./out/parser.cc"
    break;

  case 277: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup full_markup  */
#line 2124 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (SCM_IDENTIFIER, yyvsp[0], (yylsp[0]));
		}
	}
#line 5704 "./out/parser.cc"
    break;

  case 278: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup UNSIGNED  */
#line 2133 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			// May be 3 \cm or similar
			MYREPARSE ((yylsp[0]), yyvsp[-2], REAL, yyvsp[0]);
		else if (scm_is_true (ly_call (yyvsp[-2], ly_list (yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, ly_list (yyvsp[0]));
		else {
			SCM d = make_duration (yyvsp[0]);
			if (!SCM_UNBNDP (d)) {
				if (scm_is_true (ly_call (yyvsp[-2], d)))
					MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_IDENTIFIER, d);
				else if (scm_is_true
					 (ly_call
					  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), d))))
					MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_ARG, d);
				else {
					yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
					MYBACKUP (UNSIGNED, yyvsp[0], (yylsp[0]));
				}
			} else {
				yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
				MYBACKUP (UNSIGNED, yyvsp[0], (yylsp[0]));
			}
		}
	}
#line 5735 "./out/parser.cc"
    break;

  case 279: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup REAL  */
#line 2160 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
		{
			yyval = yyvsp[-1];
			MYREPARSE ((yylsp[0]), yyvsp[-2], REAL, yyvsp[0]);
		} else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (REAL, yyvsp[0], (yylsp[0]));
		}
	}
#line 5750 "./out/parser.cc"
    break;

  case 280: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup NUMBER_IDENTIFIER  */
#line 2171 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
		{
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		} else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (NUMBER_IDENTIFIER, yyvsp[0], (yylsp[0]));
		}
	}
#line 5764 "./out/parser.cc"
    break;

  case 281: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup '-' UNSIGNED  */
#line 2181 "parser.yy"
        {
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		if (scm_is_true (ly_call (yyvsp[-3], n))) {
			yyval = yyvsp[-2];
			MYREPARSE ((yylsp[0]), yyvsp[-3], REAL, n);
		} else {
			Music *t = MY_MAKE_MUSIC ("FingeringEvent", (yylsp[0]));
			set_property (t, "digit", yyvsp[0]);
			yyval = t->unprotect ();
			if (scm_is_true (ly_call (yyvsp[-3], yyval)))
				yyval = scm_cons (yyval, yyvsp[-2]);
			else {
				yyval = scm_cons (loc_on_copy (parser, (yylsp[-2]), yyvsp[-4]), yyvsp[-2]);
				MYBACKUP (UNSIGNED, yyvsp[0], (yylsp[0]));
				parser->lexer_->push_extra_token ((yylsp[-1]), '-');
			}
		}
	}
#line 5787 "./out/parser.cc"
    break;

  case 282: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup '-' REAL  */
#line 2200 "parser.yy"
        {
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		if (scm_is_true (ly_call (yyvsp[-3], n))) {
			MYREPARSE ((yylsp[0]), yyvsp[-3], REAL, n);
			yyval = yyvsp[-2];
		} else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-2]), yyvsp[-4]), yyvsp[-2]);
			MYBACKUP (REAL, n, (yylsp[0]));
		}
	}
#line 5802 "./out/parser.cc"
    break;

  case 283: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup '-' NUMBER_IDENTIFIER  */
#line 2211 "parser.yy"
        {
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		if (scm_is_true (ly_call (yyvsp[-3], n))) {
			yyval = scm_cons (n, yyvsp[-2]);
		} else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-2]), yyvsp[-4]), yyvsp[-2]);
			MYBACKUP (NUMBER_IDENTIFIER, n, (yylsp[0]));
		}
	}
#line 5816 "./out/parser.cc"
    break;

  case 284: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup DURATION_IDENTIFIER  */
#line 2221 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_IDENTIFIER, yyvsp[0]);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_ARG, yyvsp[0]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (DURATION_IDENTIFIER, yyvsp[0], (yylsp[0]));
		}
	}
#line 5834 "./out/parser.cc"
    break;

  case 285: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup SCM_IDENTIFIER  */
#line 2235 "parser.yy"
        {
		SCM res = try_string_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res)) {
				yyval = yyvsp[-1];
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			}
			else
				yyval = scm_cons (res, yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (SCM_IDENTIFIER, yyvsp[0], (yylsp[0]));
		}
	}
#line 5853 "./out/parser.cc"
    break;

  case 286: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup STRING  */
#line 2250 "parser.yy"
        {
		SCM res = try_string_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res)) {
				yyval = yyvsp[-1];
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			}
			else
				yyval = scm_cons (res, yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (STRING, yyvsp[0], (yylsp[0]));
		}
	}
#line 5872 "./out/parser.cc"
    break;

  case 287: /* function_arglist_backup: "optional?" "scheme?" function_arglist_backup SYMBOL  */
#line 2265 "parser.yy"
        {
		SCM res = try_word_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res)) {
				yyval = yyvsp[-1];
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			}
			else
				yyval = scm_cons (res, yyvsp[-1]);
		else {
			yyval = scm_cons (loc_on_copy (parser, (yylsp[-1]), yyvsp[-3]), yyvsp[-1]);
			MYBACKUP (STRING, yyvsp[0], (yylsp[0]));
		}
	}
#line 5891 "./out/parser.cc"
    break;

  case 288: /* function_arglist_backup: function_arglist_backup "(reparsed?)" pitch_or_music  */
#line 2280 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-1], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-2]);
		else
			yyval = check_scheme_arg (parser, (yylsp[0]),
					       make_music_from_simple
					       (parser, (yylsp[0]), yyvsp[0]),
					       yyvsp[-2], yyvsp[-1]);
	}
#line 5905 "./out/parser.cc"
    break;

  case 289: /* function_arglist_backup: function_arglist_backup "(reparsed?)" bare_number_common  */
#line 2290 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5914 "./out/parser.cc"
    break;

  case 290: /* function_arglist_backup: function_arglist_backup "(reparsed?)" duration  */
#line 2295 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5923 "./out/parser.cc"
    break;

  case 291: /* function_arglist_backup: function_arglist_backup "(reparsed?)" reparsed_rhythm  */
#line 2300 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5932 "./out/parser.cc"
    break;

  case 292: /* function_arglist_backup: function_arglist_backup "(reparsed?)" symbol_list_arg  */
#line 2305 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 5940 "./out/parser.cc"
    break;

  case 294: /* function_arglist: "optional?" "scheme?" function_arglist_skip_nonbackup "\\default"  */
#line 2313 "parser.yy"
        {
		yyval = scm_cons (loc_on_copy (parser, (yylsp[0]), yyvsp[-3]), yyvsp[-1]);
	}
#line 5948 "./out/parser.cc"
    break;

  case 296: /* function_arglist_skip_nonbackup: "optional?" "scheme?" function_arglist_skip_nonbackup  */
#line 2321 "parser.yy"
        {
		yyval = scm_cons (loc_on_copy (parser, (yylsp[0]), yyvsp[-2]), yyvsp[0]);
	}
#line 5956 "./out/parser.cc"
    break;

  case 297: /* function_arglist_partial: "scheme?" function_arglist_optional  */
#line 2340 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 5964 "./out/parser.cc"
    break;

  case 298: /* function_arglist_partial: "scheme?" function_arglist_partial_optional  */
#line 2344 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 5972 "./out/parser.cc"
    break;

  case 299: /* function_arglist_partial: "optional?" "scheme?" function_arglist_nonbackup  */
#line 2348 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 5980 "./out/parser.cc"
    break;

  case 300: /* function_arglist_partial: "optional?" "scheme?" function_arglist_partial  */
#line 2352 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 5988 "./out/parser.cc"
    break;

  case 301: /* function_arglist_partial_optional: "scheme?" function_arglist_optional  */
#line 2359 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 5996 "./out/parser.cc"
    break;

  case 302: /* function_arglist_partial_optional: "scheme?" function_arglist_partial_optional  */
#line 2363 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 6004 "./out/parser.cc"
    break;

  case 303: /* function_arglist_partial_optional: "optional?" "scheme?" function_arglist_backup  */
#line 2367 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 6012 "./out/parser.cc"
    break;

  case 304: /* function_arglist_partial_optional: "optional?" "scheme?" function_arglist_partial_optional  */
#line 2371 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 6020 "./out/parser.cc"
    break;

  case 305: /* function_arglist_common: EXPECT_NO_MORE_ARGS  */
#line 2377 "parser.yy"
                            {
		yyval = SCM_EOL;
	}
#line 6028 "./out/parser.cc"
    break;

  case 306: /* function_arglist_common: "scheme?" function_arglist_optional embedded_scm_arg  */
#line 2381 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
		else
			yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 6039 "./out/parser.cc"
    break;

  case 307: /* function_arglist_common: "scheme?" function_arglist_optional bare_number_common  */
#line 2388 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 6048 "./out/parser.cc"
    break;

  case 308: /* function_arglist_common: "scheme?" function_arglist_optional post_event_nofinger  */
#line 2393 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 6057 "./out/parser.cc"
    break;

  case 309: /* function_arglist_common: "scheme?" function_arglist_optional '-' NUMBER_IDENTIFIER  */
#line 2398 "parser.yy"
        {
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		yyval = check_scheme_arg (parser, (yylsp[0]), n, yyvsp[-2], yyvsp[-3]);
	}
#line 6066 "./out/parser.cc"
    break;

  case 310: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" SCM_ARG  */
#line 2403 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 6075 "./out/parser.cc"
    break;

  case 311: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" lyric_element_music  */
#line 2408 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 6084 "./out/parser.cc"
    break;

  case 312: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" pitch_or_music  */
#line 2413 "parser.yy"
        {
		if (scm_is_true (ly_call (yyvsp[-1], yyvsp[0])))
			yyval = scm_cons (yyvsp[0], yyvsp[-2]);
		else
			yyval = check_scheme_arg (parser, (yylsp[0]),
					       make_music_from_simple
					       (parser, (yylsp[0]), yyvsp[0]),
					       yyvsp[-2], yyvsp[-1], yyvsp[0]);
	}
#line 6098 "./out/parser.cc"
    break;

  case 313: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" bare_number_common  */
#line 2423 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 6107 "./out/parser.cc"
    break;

  case 314: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" duration  */
#line 2428 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 6116 "./out/parser.cc"
    break;

  case 315: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" reparsed_rhythm  */
#line 2433 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]),
				       yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 6125 "./out/parser.cc"
    break;

  case 316: /* function_arglist_common: function_arglist_common_reparse "(reparsed?)" symbol_list_arg  */
#line 2438 "parser.yy"
        {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-2], yyvsp[-1]);
	}
#line 6133 "./out/parser.cc"
    break;

  case 317: /* function_arglist_common_reparse: "scheme?" function_arglist_optional SCM_IDENTIFIER  */
#line 2445 "parser.yy"
        {
		yyval = yyvsp[-1];
		SCM res = try_string_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res))
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, res);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], LYRIC_ELEMENT, yyvsp[0]);
		else
			// This is going to flag a syntax error, we
			// know the predicate to be false.
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 6155 "./out/parser.cc"
    break;

  case 318: /* function_arglist_common_reparse: "scheme?" function_arglist_optional pitch  */
#line 2463 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true
		    (ly_call
		     (yyvsp[-2], make_music_from_simple
		      (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], PITCH_IDENTIFIER, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 6170 "./out/parser.cc"
    break;

  case 319: /* function_arglist_common_reparse: "scheme?" function_arglist_optional steno_tonic_pitch  */
#line 2474 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true
		    (ly_call
		     (yyvsp[-2], make_music_from_simple
		      (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], TONICNAME_PITCH, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 6185 "./out/parser.cc"
    break;

  case 320: /* function_arglist_common_reparse: "scheme?" function_arglist_optional STRING  */
#line 2485 "parser.yy"
        {
		yyval = yyvsp[-1];
		SCM res = try_string_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res))
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, res);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], LYRIC_ELEMENT, yyvsp[0]);
		else
			// This is going to flag a syntax error, we
			// know the predicate to be false.
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 6207 "./out/parser.cc"
    break;

  case 321: /* function_arglist_common_reparse: "scheme?" function_arglist_optional SYMBOL  */
#line 2503 "parser.yy"
        {
		yyval = yyvsp[-1];
		SCM res = try_word_variants (yyvsp[-2], yyvsp[0]);
		if (!SCM_UNBNDP (res))
			if (scm_is_pair (res))
				MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, res);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, res);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], LYRIC_ELEMENT, yyvsp[0]);
		else
			// This is going to flag a syntax error, we
			// know the predicate to be false.
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 6229 "./out/parser.cc"
    break;

  case 322: /* function_arglist_common_reparse: "scheme?" function_arglist_optional full_markup  */
#line 2521 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], LYRIC_ELEMENT, yyvsp[0]);
		else
			// This is going to flag a syntax error, we
			// know the predicate to be false.
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]);
	}
#line 6247 "./out/parser.cc"
    break;

  case 323: /* function_arglist_common_reparse: "scheme?" function_arglist_optional UNSIGNED  */
#line 2535 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			// May be 3 \cm or similar
			MYREPARSE ((yylsp[0]), yyvsp[-2], REAL, yyvsp[0]);
		else if (scm_is_true (ly_call (yyvsp[-2], ly_list (yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], SYMBOL_LIST, ly_list (yyvsp[0]));
		else {
			SCM d = make_duration (yyvsp[0]);
			if (!SCM_UNBNDP (d)) {
				if (scm_is_true (ly_call (yyvsp[-2], d)))
					MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_IDENTIFIER, d);
				else if (scm_is_true
					 (ly_call
					  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), d))))
					MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_ARG, d);
				else
					MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]); // trigger error
			} else
				MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]); // trigger error
		}
	}
#line 6274 "./out/parser.cc"
    break;

  case 324: /* function_arglist_common_reparse: "scheme?" function_arglist_optional DURATION_IDENTIFIER  */
#line 2558 "parser.yy"
        {
		yyval = yyvsp[-1];
		if (scm_is_true (ly_call (yyvsp[-2], yyvsp[0])))
			MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_IDENTIFIER, yyvsp[0]);
		else if (scm_is_true
			 (ly_call
			  (yyvsp[-2], make_music_from_simple (parser, (yylsp[0]), yyvsp[0]))))
			MYREPARSE ((yylsp[0]), yyvsp[-2], DURATION_ARG, yyvsp[0]);
		else
			MYREPARSE ((yylsp[0]), yyvsp[-2], SCM_ARG, yyvsp[0]); // trigger error
	}
#line 6290 "./out/parser.cc"
    break;

  case 325: /* function_arglist_common_reparse: "scheme?" function_arglist_optional '-' UNSIGNED  */
#line 2570 "parser.yy"
        {
		yyval = yyvsp[-2];
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		if (scm_is_true (ly_call (yyvsp[-3], n)))
			MYREPARSE ((yylsp[0]), yyvsp[-3], REAL, n);
		else {
			Music *t = MY_MAKE_MUSIC ("FingeringEvent", (yylsp[0]));
			set_property (t, "digit", yyvsp[0]);
			SCM m = t->unprotect ();
			if (scm_is_true (ly_call (yyvsp[-3], m)))
				MYREPARSE ((yylsp[0]), yyvsp[-3], SCM_ARG, m);
			else
				MYREPARSE ((yylsp[0]), yyvsp[-3], SCM_ARG, yyvsp[0]);
		}
	}
#line 6310 "./out/parser.cc"
    break;

  case 326: /* function_arglist_common_reparse: "scheme?" function_arglist_optional '-' REAL  */
#line 2586 "parser.yy"
        {
		yyval = yyvsp[-2];
		SCM n = scm_difference (yyvsp[0], SCM_UNDEFINED);
		MYREPARSE ((yylsp[0]), yyvsp[-3], REAL, n);
	}
#line 6320 "./out/parser.cc"
    break;

  case 328: /* function_arglist_optional: "optional?" "scheme?" function_arglist_skip_backup "\\default"  */
#line 2596 "parser.yy"
        {
		yyval = scm_cons (loc_on_copy (parser, (yylsp[0]), yyvsp[-3]), yyvsp[-1]);
	}
#line 6328 "./out/parser.cc"
    break;

  case 331: /* function_arglist_skip_backup: "optional?" "scheme?" function_arglist_skip_backup  */
#line 2605 "parser.yy"
        {
		yyval = scm_cons (loc_on_copy (parser, (yylsp[0]), yyvsp[-2]), yyvsp[0]);
	}
#line 6336 "./out/parser.cc"
    break;

  case 332: /* music_function_call: MUSIC_FUNCTION function_arglist  */
#line 2611 "parser.yy"
                                        {
		yyval = MAKE_SYNTAX (music_function, (yyloc),
				  yyvsp[-1], yyvsp[0]);
	}
#line 6345 "./out/parser.cc"
    break;

  case 333: /* optional_id: %empty  */
#line 2619 "parser.yy"
             { yyval = SCM_EOL; }
#line 6351 "./out/parser.cc"
    break;

  case 334: /* optional_id: '=' simple_string  */
#line 2620 "parser.yy"
                            {
		yyval = yyvsp[0];
	}
#line 6359 "./out/parser.cc"
    break;

  case 335: /* $@9: %empty  */
#line 2632 "parser.yy"
        {
		parser->lexer_->push_lyric_state ();
	}
#line 6367 "./out/parser.cc"
    break;

  case 336: /* lyric_mode_music: $@9 grouped_music_list  */
#line 2635 "parser.yy"
        {
		parser->lexer_->pop_state ();
		yyval = yyvsp[0];
	}
#line 6376 "./out/parser.cc"
    break;

  case 338: /* mode_changed_music: mode_changing_head grouped_music_list  */
#line 2643 "parser.yy"
                                              {
		if (scm_is_eq (yyvsp[-1], ly_symbol2scm ("chords")))
		{
		  yyval = MAKE_SYNTAX (unrelativable_music, (yyloc), yyvsp[0]);
		}
		else
		{
		  yyval = yyvsp[0];
		}
		parser->lexer_->pop_state ();
	}
#line 6392 "./out/parser.cc"
    break;

  case 339: /* mode_changed_music: mode_changing_head_with_context optional_context_mods grouped_music_list  */
#line 2654 "parser.yy"
                                                                                   {
		yyval = MAKE_SYNTAX (context_create, (yyloc), yyvsp[-2], SCM_EOL, yyvsp[-1], yyvsp[0]);
		if (scm_is_eq (yyvsp[-2], ly_symbol2scm ("ChordNames")))
		{
		  yyval = MAKE_SYNTAX (unrelativable_music, (yyloc), yyval);
		}
		parser->lexer_->pop_state ();
	}
#line 6405 "./out/parser.cc"
    break;

  case 340: /* mode_changing_head: "\\notemode"  */
#line 2665 "parser.yy"
                 {
		parser->lexer_->push_note_state ();

		yyval = ly_symbol2scm ("notes");
	}
#line 6415 "./out/parser.cc"
    break;

  case 341: /* mode_changing_head: "\\drummode"  */
#line 2671 "parser.yy"
                {
		parser->lexer_->push_drum_state ();
		yyval = ly_symbol2scm ("drums");
	}
#line 6424 "./out/parser.cc"
    break;

  case 342: /* mode_changing_head: "\\figuremode"  */
#line 2675 "parser.yy"
                     {
		parser->lexer_->push_figuredbass_state ();

		yyval = ly_symbol2scm ("figures");
	}
#line 6434 "./out/parser.cc"
    break;

  case 343: /* mode_changing_head: "\\chordmode"  */
#line 2680 "parser.yy"
                    {
		SCM mods = parser->lexer_->lookup_identifier_symbol (ly_symbol2scm ("chordmodifiers"));
		parser->lexer_->chordmodifier_tab_ = Hash_table::alist_to_hashq_table (mods);
		parser->lexer_->push_chord_state ();
		yyval = ly_symbol2scm ("chords");

	}
#line 6446 "./out/parser.cc"
    break;

  case 344: /* mode_changing_head: "\\lyricmode"  */
#line 2688 "parser.yy"
                { parser->lexer_->push_lyric_state ();
		yyval = ly_symbol2scm ("lyrics");
	}
#line 6454 "./out/parser.cc"
    break;

  case 345: /* mode_changing_head_with_context: "\\drums"  */
#line 2694 "parser.yy"
              {
		parser->lexer_->push_drum_state();
		yyval = ly_symbol2scm ("DrumStaff");
	}
#line 6463 "./out/parser.cc"
    break;

  case 346: /* mode_changing_head_with_context: "\\figures"  */
#line 2698 "parser.yy"
                  {
		parser->lexer_->push_figuredbass_state ();

		yyval = ly_symbol2scm ("FiguredBass");
	}
#line 6473 "./out/parser.cc"
    break;

  case 347: /* mode_changing_head_with_context: "\\chords"  */
#line 2703 "parser.yy"
                 {
		SCM mods = parser->lexer_->lookup_identifier_symbol (ly_symbol2scm ("chordmodifiers"));
		parser->lexer_->chordmodifier_tab_ = Hash_table::alist_to_hashq_table (mods);
		parser->lexer_->push_chord_state ();
		yyval = ly_symbol2scm ("ChordNames");
	}
#line 6484 "./out/parser.cc"
    break;

  case 348: /* mode_changing_head_with_context: "\\lyrics"  */
#line 2710 "parser.yy"
                { parser->lexer_->push_lyric_state ();
		yyval = ly_symbol2scm ("Lyrics");
	}
#line 6492 "./out/parser.cc"
    break;

  case 349: /* context_change: "\\change" symbol '=' simple_string  */
#line 2716 "parser.yy"
                                         {
		yyval = MAKE_SYNTAX (context_change, (yyloc), yyvsp[-2], yyvsp[0]);
	}
#line 6500 "./out/parser.cc"
    break;

  case 350: /* property_path: symbol_list_rev  */
#line 2723 "parser.yy"
                         {
		yyval = scm_reverse_x (yyvsp[0], SCM_EOL);
	}
#line 6508 "./out/parser.cc"
    break;

  case 351: /* property_operation: symbol '=' scalar  */
#line 2729 "parser.yy"
                          {
		yyval = ly_list (ly_symbol2scm ("assign"), yyvsp[-2], yyvsp[0]);
	}
#line 6516 "./out/parser.cc"
    break;

  case 352: /* property_operation: "\\unset" symbol  */
#line 2732 "parser.yy"
                       {
		yyval = ly_list (ly_symbol2scm ("unset"), yyvsp[0]);
	}
#line 6524 "./out/parser.cc"
    break;

  case 353: /* property_operation: "\\override" revert_arg '=' scalar  */
#line 2735 "parser.yy"
                                         {
		if (scm_ilength (yyvsp[-2]) < 2) {
			parser->parser_error ((yylsp[-2]), _("bad grob property path"));
			yyval = SCM_UNDEFINED;
		} else {
			yyval = scm_cons (ly_symbol2scm ("push"),
				       scm_cons2 (scm_car (yyvsp[-2]),
						  yyvsp[0],
						  scm_cdr (yyvsp[-2])));
		}
	}
#line 6540 "./out/parser.cc"
    break;

  case 354: /* property_operation: "\\revert" revert_arg  */
#line 2746 "parser.yy"
                            {
		yyval = scm_cons (ly_symbol2scm ("pop"), yyvsp[0]);
	}
#line 6548 "./out/parser.cc"
    break;

  case 355: /* revert_arg: revert_arg_backup "(backed-up?)" symbol_list_arg  */
#line 2776 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 6556 "./out/parser.cc"
    break;

  case 356: /* revert_arg_backup: revert_arg_part  */
#line 2783 "parser.yy"
        {
		if (scm_is_null (yyvsp[0])
		    || scm_is_null (scm_cdr (yyvsp[0])))
			MYBACKUP (SCM_ARG, yyvsp[0], (yylsp[0]));
		else
			MYBACKUP (SYMBOL_LIST, scm_reverse_x (yyvsp[0], SCM_EOL), (yylsp[0]));
	}
#line 6568 "./out/parser.cc"
    break;

  case 358: /* revert_arg_part: revert_arg_backup "(backed-up?)" SCM_ARG '.' symbol_list_part  */
#line 2796 "parser.yy"
        {
		yyval = scm_append_x (ly_list (yyvsp[0], yyvsp[-2]));
	}
#line 6576 "./out/parser.cc"
    break;

  case 359: /* revert_arg_part: revert_arg_backup "(backed-up?)" SCM_ARG ',' symbol_list_part  */
#line 2800 "parser.yy"
        {
		yyval = scm_append_x (ly_list (yyvsp[0], yyvsp[-2]));
	}
#line 6584 "./out/parser.cc"
    break;

  case 360: /* revert_arg_part: revert_arg_backup "(backed-up?)" SCM_ARG symbol_list_part  */
#line 2804 "parser.yy"
        {
		yyval = scm_append_x (ly_list (yyvsp[0], yyvsp[-1]));
		property_path_dot_warning ((yylsp[0]), scm_reverse (yyval));
	}
#line 6593 "./out/parser.cc"
    break;

  case 361: /* context_def_mod: "\\consists"  */
#line 2811 "parser.yy"
                 { yyval = ly_symbol2scm ("consists"); }
#line 6599 "./out/parser.cc"
    break;

  case 362: /* context_def_mod: "\\remove"  */
#line 2812 "parser.yy"
                 { yyval = ly_symbol2scm ("remove"); }
#line 6605 "./out/parser.cc"
    break;

  case 363: /* context_def_mod: "\\accepts"  */
#line 2814 "parser.yy"
                  { yyval = ly_symbol2scm ("accepts"); }
#line 6611 "./out/parser.cc"
    break;

  case 364: /* context_def_mod: "\\defaultchild"  */
#line 2815 "parser.yy"
                       { yyval = ly_symbol2scm ("default-child"); }
#line 6617 "./out/parser.cc"
    break;

  case 365: /* context_def_mod: "\\denies"  */
#line 2816 "parser.yy"
                 { yyval = ly_symbol2scm ("denies"); }
#line 6623 "./out/parser.cc"
    break;

  case 366: /* context_def_mod: "\\alias"  */
#line 2818 "parser.yy"
                { yyval = ly_symbol2scm ("alias"); }
#line 6629 "./out/parser.cc"
    break;

  case 367: /* context_def_mod: "\\type"  */
#line 2819 "parser.yy"
               { yyval = ly_symbol2scm ("translator-type"); }
#line 6635 "./out/parser.cc"
    break;

  case 368: /* context_def_mod: "\\description"  */
#line 2820 "parser.yy"
                      { yyval = ly_symbol2scm ("description"); }
#line 6641 "./out/parser.cc"
    break;

  case 369: /* context_def_mod: "\\name"  */
#line 2821 "parser.yy"
               { yyval = ly_symbol2scm ("context-name"); }
#line 6647 "./out/parser.cc"
    break;

  case 370: /* context_mod: property_operation  */
#line 2825 "parser.yy"
                           { yyval = yyvsp[0]; }
#line 6653 "./out/parser.cc"
    break;

  case 371: /* context_mod: context_def_mod STRING  */
#line 2826 "parser.yy"
                                 {
		yyval = ly_list (yyvsp[-1], yyvsp[0]);
	}
#line 6661 "./out/parser.cc"
    break;

  case 372: /* context_mod: context_def_mod SYMBOL  */
#line 2829 "parser.yy"
                                 {
		yyval = ly_list (yyvsp[-1], yyvsp[0]);
	}
#line 6669 "./out/parser.cc"
    break;

  case 373: /* context_mod: context_def_mod embedded_scm  */
#line 2833 "parser.yy"
        {
		if (!scm_is_string (yyvsp[0])
		    && !scm_is_eq (yyvsp[-1], ly_symbol2scm ("consists"))
		    && !scm_is_eq (yyvsp[-1], ly_symbol2scm ("remove")))
		{
			yyval = SCM_EOL;
			parser->parser_error ((yylsp[-1]), _ ("only \\consists and \\remove take non-string argument."));
		}
		else
		{
			yyval = ly_list (yyvsp[-1], yyvsp[0]);
		}
	}
#line 6687 "./out/parser.cc"
    break;

  case 374: /* grob_prop_spec: symbol_list_rev  */
#line 2850 "parser.yy"
        {
		yyval = scm_reverse_x (yyvsp[0], SCM_EOL);
	}
#line 6695 "./out/parser.cc"
    break;

  case 375: /* grob_prop_path: grob_prop_spec  */
#line 2858 "parser.yy"
        {
		if (scm_is_pair (yyvsp[0])
		    && from_scm<bool>
		    (scm_object_property (scm_car (yyvsp[0]),
					  ly_symbol2scm ("is-grob?"))))
			yyval = scm_cons (ly_symbol2scm ("Bottom"), yyvsp[0]);
		if (!scm_is_pair (yyval)
		    || !scm_is_pair (scm_cdr (yyval))
		    || !scm_is_pair (scm_cddr (yyval)))
		{
			parser->parser_error ((yylsp[0]), _ ("bad grob property path"));
			yyval = SCM_UNDEFINED;
		}
	}
#line 6714 "./out/parser.cc"
    break;

  case 376: /* grob_prop_path: grob_prop_spec property_path  */
#line 2873 "parser.yy"
        {
		if (scm_is_pair (yyvsp[-1])
		    && from_scm<bool>
		    (scm_object_property (scm_car (yyvsp[-1]),
					  ly_symbol2scm ("is-grob?"))))
			yyval = scm_cons (ly_symbol2scm ("Bottom"), yyvsp[-1]);
		if (!scm_is_pair (yyval)
		    || !scm_is_pair (scm_cdr (yyval))
		    || scm_is_pair (scm_cddr (yyval))
		    || !scm_is_pair (yyvsp[0]))
		{
			parser->parser_error ((yylsp[-1]), _ ("bad grob property path"));
			yyval = SCM_UNDEFINED;
		} else {
			property_path_dot_warning ((yylsp[0]), ly_append (yyvsp[-1], yyvsp[0]));
			yyval = scm_append_x (ly_list (yyval, yyvsp[0]));
		}
	}
#line 6737 "./out/parser.cc"
    break;

  case 377: /* context_prop_spec: symbol_list_rev  */
#line 2896 "parser.yy"
        {
		SCM l = scm_reverse_x (yyvsp[0], SCM_EOL);
		switch (scm_ilength (l)) {
		case 1:
			l = scm_cons (ly_symbol2scm ("Bottom"), l);
		case 2:
			break;
		default:
			parser->parser_error ((yylsp[0]), _ ("bad context property path"));
			l = SCM_UNDEFINED;
		}
		yyval = l;
	}
#line 6755 "./out/parser.cc"
    break;

  case 378: /* simple_revert_context: symbol_list_part  */
#line 2928 "parser.yy"
        {
		yyvsp[0] = scm_reverse_x (yyvsp[0], SCM_EOL);
		if (scm_is_null (yyvsp[0])
		    || from_scm<bool>
		    (scm_object_property (scm_car (yyvsp[0]),
					  ly_symbol2scm ("is-grob?")))) {
			yyval = ly_symbol2scm ("Bottom");
			parser->lexer_->push_extra_token ((yylsp[0]), SCM_IDENTIFIER, yyvsp[0]);
		} else {
			yyval = scm_car (yyvsp[0]);
			parser->lexer_->push_extra_token ((yylsp[0]), SCM_IDENTIFIER,
							  scm_cdr (yyvsp[0]));
		}
	}
#line 6774 "./out/parser.cc"
    break;

  case 379: /* music_property_def: "\\override" grob_prop_path '=' scalar  */
#line 2945 "parser.yy"
                                           {
		if (SCM_UNBNDP (yyvsp[-2]))
			yyval = MAKE_SYNTAX (void_music, (yyloc));
		else
			yyval = MAKE_SYNTAX (property_override, (yyloc),
					  scm_car (yyvsp[-2]),
					  scm_cdr (yyvsp[-2]),
					  yyvsp[0]);
	}
#line 6788 "./out/parser.cc"
    break;

  case 380: /* music_property_def: "\\revert" simple_revert_context revert_arg  */
#line 2954 "parser.yy"
                                                  {
		yyval = MAKE_SYNTAX (property_revert, (yyloc), yyvsp[-1], yyvsp[0]);
	}
#line 6796 "./out/parser.cc"
    break;

  case 381: /* music_property_def: "\\set" context_prop_spec '=' scalar  */
#line 2957 "parser.yy"
                                           {
		if (SCM_UNBNDP (yyvsp[-2]))
			yyval = MAKE_SYNTAX (void_music, (yyloc));
		else
			yyval = MAKE_SYNTAX (property_set, (yyloc),
					  scm_car (yyvsp[-2]),
					  scm_cadr (yyvsp[-2]),
					  yyvsp[0]);
	}
#line 6810 "./out/parser.cc"
    break;

  case 382: /* music_property_def: "\\unset" context_prop_spec  */
#line 2966 "parser.yy"
                                  {
		if (SCM_UNBNDP (yyvsp[0]))
			yyval = MAKE_SYNTAX (void_music, (yyloc));
		else
			yyval = MAKE_SYNTAX (property_unset, (yyloc),
					  scm_car (yyvsp[0]),
					  scm_cadr (yyvsp[0]));
	}
#line 6823 "./out/parser.cc"
    break;

  case 389: /* text: embedded_scm_bare  */
#line 2987 "parser.yy"
        {
		if (Text_interface::is_markup (yyvsp[0])) {
			yyval = yyvsp[0];
		} else {
			parser->parser_error ((yylsp[0]), (_ ("markup expected")));
			yyval = scm_string (SCM_EOL);
		}
	}
#line 6836 "./out/parser.cc"
    break;

  case 392: /* simple_string: embedded_scm_bare  */
#line 3000 "parser.yy"
        {
		if (scm_is_string (yyvsp[0])) {
			yyval = yyvsp[0];
		} else {
			parser->parser_error ((yylsp[0]), (_ ("simple string expected")));
			yyval = scm_string (SCM_EOL);
		}
	}
#line 6849 "./out/parser.cc"
    break;

  case 393: /* symbol: STRING  */
#line 3011 "parser.yy"
               {
		yyval = scm_string_to_symbol (yyvsp[0]);
	}
#line 6857 "./out/parser.cc"
    break;

  case 394: /* symbol: SYMBOL  */
#line 3015 "parser.yy"
        {
		if (!is_regular_identifier (yyvsp[0], false))
			parser->parser_error ((yylsp[0]), (_ ("symbol expected")));
		yyval = scm_string_to_symbol (yyvsp[0]);
	}
#line 6867 "./out/parser.cc"
    break;

  case 395: /* symbol: embedded_scm_bare  */
#line 3021 "parser.yy"
        {
		// This is a bit of overkill but makes the same
		// routine responsible for all symbol interpretations.
		yyval = try_string_variants (Guile_user::symbol_p, yyvsp[0]);
		if (SCM_UNBNDP (yyval))
		{
			parser->parser_error ((yylsp[0]), (_ ("symbol expected")));
			// Generate a unique symbol in case it is used
			// for an assignment or similar
			yyval = scm_make_symbol (to_scm ("undefined"));
		}
	}
#line 6884 "./out/parser.cc"
    break;

  case 400: /* scalar: '-' bare_number  */
#line 3048 "parser.yy"
        {
		yyval = scm_difference (yyvsp[0], SCM_UNDEFINED);
	}
#line 6892 "./out/parser.cc"
    break;

  case 402: /* scalar: symbol_list_part_bare '.' property_path  */
#line 3053 "parser.yy"
        {
		yyval = scm_reverse_x (yyvsp[-2], yyvsp[0]);
	}
#line 6900 "./out/parser.cc"
    break;

  case 403: /* scalar: symbol_list_part_bare ',' property_path  */
#line 3057 "parser.yy"
        {
		yyval = scm_reverse_x (yyvsp[-2], yyvsp[0]);
	}
#line 6908 "./out/parser.cc"
    break;

  case 404: /* event_chord: simple_element post_events  */
#line 3063 "parser.yy"
                                   {
		// Let the rhythmic music iterator sort this mess out.
		if (scm_is_pair (yyvsp[0])) {
			set_property (unsmob<Music> (yyval), "articulations",
							 scm_reverse_x (yyvsp[0], SCM_EOL));
		}
	}
#line 6920 "./out/parser.cc"
    break;

  case 405: /* event_chord: CHORD_REPETITION optional_notemode_duration post_events  */
#line 3070 "parser.yy"
                                                                  {
		yyval = MAKE_SYNTAX (repetition_chord, (yyloc),
				  yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 6929 "./out/parser.cc"
    break;

  case 406: /* event_chord: MULTI_MEASURE_REST optional_notemode_duration post_events  */
#line 3074 "parser.yy"
                                                                    {
		yyval = MAKE_SYNTAX (multi_measure_rest, (yyloc), yyvsp[-1],
				  scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 6938 "./out/parser.cc"
    break;

  case 409: /* note_chord_element: chord_body optional_notemode_duration post_events  */
#line 3085 "parser.yy"
        {
		Music *m = unsmob<Music> (yyvsp[-2]);
		SCM dur = unsmob<Duration> (yyvsp[-1])->smobbed_copy ();
		SCM es = get_property (m, "elements");
		SCM postevs = scm_reverse_x (yyvsp[0], SCM_EOL);

		for (SCM s = es; scm_is_pair (s); s = scm_cdr (s))
			set_property (unsmob<Music> (scm_car (s)), "duration", dur);
		es = ly_append (es, postevs);

		set_property (m, "elements", es);
		m->set_spot (parser->lexer_->override_input ((yyloc)));
		yyval = m->self_scm ();
	}
#line 6957 "./out/parser.cc"
    break;

  case 410: /* chord_body: "<" chord_body_elements ">"  */
#line 3103 "parser.yy"
        {
		yyval = MAKE_SYNTAX (event_chord, (yyloc),
				  reverse_music_list (parser, (yyloc),
						      yyvsp[-1], false, false));
	}
#line 6967 "./out/parser.cc"
    break;

  case 411: /* chord_body: FIGURE_OPEN figure_list FIGURE_CLOSE  */
#line 3109 "parser.yy"
        {
		yyval = MAKE_SYNTAX (event_chord, (yyloc), scm_reverse_x (yyvsp[-1], SCM_EOL));
	}
#line 6975 "./out/parser.cc"
    break;

  case 412: /* chord_body_elements: %empty  */
#line 3115 "parser.yy"
                                { yyval = SCM_EOL; }
#line 6981 "./out/parser.cc"
    break;

  case 413: /* chord_body_elements: chord_body_elements chord_body_element  */
#line 3116 "parser.yy"
                                                 {
		if (unsmob<Music> (yyvsp[0]))
			yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 6990 "./out/parser.cc"
    break;

  case 414: /* chord_body_element: pitch_or_tonic_pitch exclamations questions octave_check post_events  */
#line 3124 "parser.yy"
        {
		bool q = from_scm<bool> (yyvsp[-2]);
		bool ex = from_scm<bool> (yyvsp[-3]);
		SCM check = yyvsp[-1];
		SCM post = yyvsp[0];

		Music *n = MY_MAKE_MUSIC ("NoteEvent", (yyloc));
		set_property (n, "pitch", yyvsp[-4]);
		if (q)
			set_property (n, "cautionary", SCM_BOOL_T);
                if (ex || q)
			set_property (n, "force-accidental", SCM_BOOL_T);

		if (scm_is_pair (post)) {
			SCM arts = scm_reverse_x (post, SCM_EOL);
			set_property (n, "articulations", arts);
		}
		if (scm_is_number (check))
		{
			int q = from_scm<int> (check);
			set_property (n, "absolute-octave", to_scm (q-1));
		}

		yyval = n->unprotect ();
	}
#line 7020 "./out/parser.cc"
    break;

  case 415: /* chord_body_element: DRUM_PITCH post_events  */
#line 3149 "parser.yy"
                                           {
		Music *n = MY_MAKE_MUSIC ("NoteEvent", (yyloc));
		set_property (n, "drum-type", yyvsp[-1]);

		if (scm_is_pair (yyvsp[0])) {
			SCM arts = scm_reverse_x (yyvsp[0], SCM_EOL);
			set_property (n, "articulations", arts);
		}
		yyval = n->unprotect ();
	}
#line 7035 "./out/parser.cc"
    break;

  case 416: /* chord_body_element: music_function_chord_body  */
#line 3160 "parser.yy"
        {
		Music *m = unsmob<Music> (yyvsp[0]);

		if (m && !m->is_mus_type ("post-event")) {
			while (m && m->is_mus_type ("music-wrapper-music")) {
				yyval = get_property (m, "element");
				m = unsmob<Music> (yyval);
			}

			if (!(m && m->is_mus_type ("rhythmic-event"))) {
				parser->parser_error ((yyloc), _ ("not a rhythmic event"));
				yyval = SCM_UNSPECIFIED;
			}
		}
	}
#line 7055 "./out/parser.cc"
    break;

  case 421: /* event_function_event: EVENT_FUNCTION function_arglist  */
#line 3185 "parser.yy"
                                        {
		yyval = MAKE_SYNTAX (music_function, (yyloc),
				  yyvsp[-1], yyvsp[0]);
	}
#line 7064 "./out/parser.cc"
    break;

  case 422: /* post_events: %empty  */
#line 3192 "parser.yy"
                    {
		yyval = SCM_EOL;
	}
#line 7072 "./out/parser.cc"
    break;

  case 423: /* post_events: post_events post_event  */
#line 3195 "parser.yy"
                                 {
		yyval = post_event_cons (yyvsp[0], yyvsp[-1]);
	}
#line 7080 "./out/parser.cc"
    break;

  case 424: /* post_event_nofinger: direction_less_event  */
#line 3201 "parser.yy"
                             {
		yyval = yyvsp[0];
	}
#line 7088 "./out/parser.cc"
    break;

  case 425: /* post_event_nofinger: script_dir music_function_call  */
#line 3204 "parser.yy"
                                         {
		Music *m = unsmob<Music> (yyvsp[0]);
		if (!m->is_mus_type ("post-event")) {
			parser->parser_error ((yylsp[0]), _ ("post-event expected"));
			yyval = SCM_UNSPECIFIED;
		} else {
			m->set_spot (parser->lexer_->override_input ((yyloc)));
			if (!SCM_UNBNDP (yyvsp[-1]))
				set_property (m, "direction", yyvsp[-1]);
			yyval = yyvsp[0];
		}
	}
#line 7105 "./out/parser.cc"
    break;

  case 426: /* post_event_nofinger: "--"  */
#line 3216 "parser.yy"
                 {
		if (!parser->lexer_->is_lyric_state ())
			parser->parser_error ((yylsp[0]), _ ("have to be in Lyric mode for lyrics"));
		yyval = MY_MAKE_MUSIC ("HyphenEvent", (yyloc))->unprotect ();
	}
#line 7115 "./out/parser.cc"
    break;

  case 427: /* post_event_nofinger: "__"  */
#line 3221 "parser.yy"
                   {
		if (!parser->lexer_->is_lyric_state ())
			parser->parser_error ((yylsp[0]), _ ("have to be in Lyric mode for lyrics"));
		yyval = MY_MAKE_MUSIC ("ExtenderEvent", (yyloc))->unprotect ();
	}
#line 7125 "./out/parser.cc"
    break;

  case 428: /* post_event_nofinger: script_dir direction_reqd_event  */
#line 3226 "parser.yy"
                                          {
		if (Music *m = unsmob<Music> (yyvsp[0])) {
			m->set_spot (parser->lexer_->override_input ((yyloc)));
			if (!SCM_UNBNDP (yyvsp[-1]))
			{
				set_property (m, "direction", yyvsp[-1]);
			}
		}
		yyval = yyvsp[0];
	}
#line 7140 "./out/parser.cc"
    break;

  case 429: /* post_event_nofinger: script_dir direction_less_event  */
#line 3236 "parser.yy"
                                          {
		Music *m = unsmob<Music> (yyvsp[0]);
		m->set_spot (parser->lexer_->override_input ((yyloc)));
		if (!SCM_UNBNDP (yyvsp[-1]))
			set_property (m, "direction", yyvsp[-1]);
		yyval = yyvsp[0];
	}
#line 7152 "./out/parser.cc"
    break;

  case 430: /* post_event_nofinger: '^' fingering  */
#line 3244 "parser.yy"
        {
		Music *m = unsmob<Music> (yyvsp[0]);
		m->set_spot (parser->lexer_->override_input ((yyloc)));
		set_property (m, "direction", to_scm (UP));
		yyval = yyvsp[0];
	}
#line 7163 "./out/parser.cc"
    break;

  case 431: /* post_event_nofinger: '_' fingering  */
#line 3251 "parser.yy"
        {
		Music *m = unsmob<Music> (yyvsp[0]);
		m->set_spot (parser->lexer_->override_input ((yyloc)));
		set_property (m, "direction", to_scm (DOWN));
		yyval = yyvsp[0];
	}
#line 7174 "./out/parser.cc"
    break;

  case 433: /* post_event: '-' fingering  */
#line 3261 "parser.yy"
                        {
		unsmob<Music> (yyvsp[0])->set_spot (parser->lexer_->override_input ((yyloc)));
		yyval = yyvsp[0];
	}
#line 7183 "./out/parser.cc"
    break;

  case 434: /* string_number_event: E_UNSIGNED  */
#line 3268 "parser.yy"
                   {
		Music *s = MY_MAKE_MUSIC ("StringNumberEvent", (yyloc));
		set_property (s, "string-number", yyvsp[0]);
		yyval = s->unprotect ();
	}
#line 7193 "./out/parser.cc"
    break;

  case 436: /* direction_less_event: EVENT_IDENTIFIER  */
#line 3277 "parser.yy"
                                {
		yyval = yyvsp[0];
	}
#line 7201 "./out/parser.cc"
    break;

  case 437: /* direction_less_event: tremolo_type  */
#line 3280 "parser.yy"
                        {
               Music *a = MY_MAKE_MUSIC ("TremoloEvent", (yyloc));
               set_property (a, "tremolo-type", yyvsp[0]);
               yyval = a->unprotect ();
        }
#line 7211 "./out/parser.cc"
    break;

  case 439: /* direction_reqd_event: gen_text_def  */
#line 3289 "parser.yy"
                     {
		yyval = yyvsp[0];
	}
#line 7219 "./out/parser.cc"
    break;

  case 440: /* direction_reqd_event: script_abbreviation  */
#line 3292 "parser.yy"
                              {
		SCM sym = ly_symbol2scm ("dash" + from_scm<std::string> (yyvsp[0]));
		SCM s = parser->lexer_->lookup_identifier_symbol (sym);
		Music *original = unsmob<Music> (s);
		if (original && original->is_mus_type ("post-event")) {
			Music *a = original->clone ();
			// origin will be set by post_event_nofinger
			yyval = a->unprotect ();
		} else {
			parser->parser_error ((yylsp[0]), _ ("expecting post-event as script definition"));
			yyval = SCM_UNSPECIFIED;
		}
	}
#line 7237 "./out/parser.cc"
    break;

  case 441: /* octave_check: %empty  */
#line 3308 "parser.yy"
             { yyval = SCM_EOL; }
#line 7243 "./out/parser.cc"
    break;

  case 442: /* octave_check: '=' quotes  */
#line 3309 "parser.yy"
                     { yyval = yyvsp[0]; }
#line 7249 "./out/parser.cc"
    break;

  case 443: /* quotes: %empty  */
#line 3314 "parser.yy"
        {
                yyval = SCM_INUM0;
	}
#line 7257 "./out/parser.cc"
    break;

  case 446: /* erroneous_quotes: quotes  */
#line 3323 "parser.yy"
               {
		if (scm_is_eq (SCM_INUM0, yyvsp[0]))
			yyval = SCM_UNDEFINED;
	}
#line 7266 "./out/parser.cc"
    break;

  case 447: /* sup_quotes: '\''  */
#line 3330 "parser.yy"
             {
		yyval = to_scm (1);
	}
#line 7274 "./out/parser.cc"
    break;

  case 448: /* sup_quotes: sup_quotes '\''  */
#line 3333 "parser.yy"
                          {
		yyval = scm_oneplus (yyvsp[-1]);
	}
#line 7282 "./out/parser.cc"
    break;

  case 449: /* sub_quotes: ','  */
#line 3339 "parser.yy"
            {
		yyval = to_scm (-1);
	}
#line 7290 "./out/parser.cc"
    break;

  case 450: /* sub_quotes: sub_quotes ','  */
#line 3342 "parser.yy"
                         {
		yyval = scm_oneminus (yyvsp[-1]);
	}
#line 7298 "./out/parser.cc"
    break;

  case 451: /* steno_pitch: NOTENAME_PITCH quotes  */
#line 3348 "parser.yy"
                              {
                if (!scm_is_eq (SCM_INUM0, yyvsp[0]))
                {
                        Pitch p = *unsmob<Pitch> (yyvsp[-1]);
                        p = p.transposed (Pitch (from_scm<int> (yyvsp[0]), 0));
                        yyval = p.smobbed_copy ();
                }
	}
#line 7311 "./out/parser.cc"
    break;

  case 452: /* steno_tonic_pitch: TONICNAME_PITCH quotes  */
#line 3363 "parser.yy"
                               {
                if (!scm_is_eq (SCM_INUM0, yyvsp[0]))
                {
                        Pitch p = *unsmob<Pitch> (yyvsp[-1]);
                        p = p.transposed (Pitch (from_scm<int> (yyvsp[0]), 0));
                        yyval = p.smobbed_copy ();
                }
	}
#line 7324 "./out/parser.cc"
    break;

  case 454: /* pitch: PITCH_IDENTIFIER quotes  */
#line 3375 "parser.yy"
                                  {
                if (!scm_is_eq (SCM_INUM0, yyvsp[0]))
                {
                        Pitch p = *unsmob<Pitch> (yyvsp[-1]);
                        p = p.transposed (Pitch (from_scm<int> (yyvsp[0]), 0));
                        yyval = p.smobbed_copy ();
                }
	}
#line 7337 "./out/parser.cc"
    break;

  case 457: /* gen_text_def: full_markup  */
#line 3391 "parser.yy"
                    {
		Music *t = MY_MAKE_MUSIC ("TextScriptEvent", (yyloc));
		set_property (t, "text", yyvsp[0]);
		yyval = t->unprotect ();
	}
#line 7347 "./out/parser.cc"
    break;

  case 458: /* gen_text_def: STRING  */
#line 3396 "parser.yy"
                 {
		Music *t = MY_MAKE_MUSIC ("TextScriptEvent", (yyloc));
		set_property (t, "text",
			make_simple_markup (yyvsp[0]));
		yyval = t->unprotect ();
	}
#line 7358 "./out/parser.cc"
    break;

  case 459: /* gen_text_def: SYMBOL  */
#line 3402 "parser.yy"
                 {
		// Flag a warning? could be unintentional
		Music *t = MY_MAKE_MUSIC ("TextScriptEvent", (yyloc));
		set_property (t, "text",
			make_simple_markup (yyvsp[0]));
		yyval = t->unprotect ();
	}
#line 7370 "./out/parser.cc"
    break;

  case 460: /* gen_text_def: embedded_scm  */
#line 3410 "parser.yy"
        {
		// Could be using this for every gen_text_def but for speed
		yyval = MAKE_SYNTAX (create_script, (yylsp[0]), yyvsp[0]);
	}
#line 7379 "./out/parser.cc"
    break;

  case 461: /* fingering: UNSIGNED  */
#line 3417 "parser.yy"
                 {
		Music *t = MY_MAKE_MUSIC ("FingeringEvent", (yyloc));
		set_property (t, "digit", yyvsp[0]);
		yyval = t->unprotect ();
	}
#line 7389 "./out/parser.cc"
    break;

  case 462: /* script_abbreviation: '^'  */
#line 3425 "parser.yy"
                        {
		yyval = scm_from_latin1_string ("Hat");
	}
#line 7397 "./out/parser.cc"
    break;

  case 463: /* script_abbreviation: '+'  */
#line 3428 "parser.yy"
                        {
		yyval = scm_from_latin1_string ("Plus");
	}
#line 7405 "./out/parser.cc"
    break;

  case 464: /* script_abbreviation: '-'  */
#line 3431 "parser.yy"
                        {
		yyval = scm_from_latin1_string ("Dash");
	}
#line 7413 "./out/parser.cc"
    break;

  case 465: /* script_abbreviation: '!'  */
#line 3434 "parser.yy"
                        {
		yyval = scm_from_latin1_string ("Bang");
	}
#line 7421 "./out/parser.cc"
    break;

  case 466: /* script_abbreviation: ">"  */
#line 3437 "parser.yy"
                        {
		yyval = scm_from_latin1_string ("Larger");
	}
#line 7429 "./out/parser.cc"
    break;

  case 467: /* script_abbreviation: '.'  */
#line 3440 "parser.yy"
                        {
		yyval = scm_from_latin1_string ("Dot");
	}
#line 7437 "./out/parser.cc"
    break;

  case 468: /* script_abbreviation: '_'  */
#line 3443 "parser.yy"
              {
		yyval = scm_from_latin1_string ("Underscore");
	}
#line 7445 "./out/parser.cc"
    break;

  case 469: /* script_dir: '_'  */
#line 3449 "parser.yy"
                { yyval = to_scm (DOWN); }
#line 7451 "./out/parser.cc"
    break;

  case 470: /* script_dir: '^'  */
#line 3450 "parser.yy"
                { yyval = to_scm (UP); }
#line 7457 "./out/parser.cc"
    break;

  case 471: /* script_dir: '-'  */
#line 3451 "parser.yy"
                { yyval = SCM_UNDEFINED; }
#line 7463 "./out/parser.cc"
    break;

  case 472: /* maybe_notemode_duration: %empty  */
#line 3455 "parser.yy"
        {
		yyval = SCM_UNDEFINED;
	}
#line 7471 "./out/parser.cc"
    break;

  case 473: /* maybe_notemode_duration: duration  */
#line 3458 "parser.yy"
                        {
		yyval = yyvsp[0];
		parser->default_duration_ = *unsmob<Duration> (yyval);
	}
#line 7480 "./out/parser.cc"
    break;

  case 474: /* optional_notemode_duration: maybe_notemode_duration  */
#line 3467 "parser.yy"
        {
		if (SCM_UNBNDP (yyval))
			yyval = parser->default_duration_.smobbed_copy ();
	}
#line 7489 "./out/parser.cc"
    break;

  case 475: /* steno_duration: UNSIGNED dots  */
#line 3474 "parser.yy"
                                {
		yyval = make_duration (yyvsp[-1], from_scm<int> (yyvsp[0]));
		if (SCM_UNBNDP (yyval))
		{
			parser->parser_error ((yylsp[-1]), _ ("not a duration"));
			yyval = Duration ().smobbed_copy ();
		}
	}
#line 7502 "./out/parser.cc"
    break;

  case 476: /* steno_duration: DURATION_IDENTIFIER dots  */
#line 3482 "parser.yy"
                                        {
		yyval = make_duration (yyvsp[-1], from_scm<int> (yyvsp[0]));
	}
#line 7510 "./out/parser.cc"
    break;

  case 477: /* duration: steno_duration multipliers  */
#line 3488 "parser.yy"
                                   {
		yyval = make_duration (yyvsp[-1], 0, yyvsp[0]);
	}
#line 7518 "./out/parser.cc"
    break;

  case 478: /* dots: %empty  */
#line 3494 "parser.yy"
                        {
		yyval = SCM_INUM0;
	}
#line 7526 "./out/parser.cc"
    break;

  case 479: /* dots: dots '.'  */
#line 3497 "parser.yy"
                   {
		yyval = scm_oneplus (yyvsp[-1]);
	}
#line 7534 "./out/parser.cc"
    break;

  case 482: /* multipliers: %empty  */
#line 3509 "parser.yy"
        {
		yyval = SCM_UNDEFINED;
	}
#line 7542 "./out/parser.cc"
    break;

  case 483: /* multipliers: multipliers '*' UNSIGNED  */
#line 3513 "parser.yy"
        {
		if (!SCM_UNBNDP (yyvsp[-2]))
			yyval = scm_product (yyvsp[-2], yyvsp[0]);
		else
			yyval = yyvsp[0];
	}
#line 7553 "./out/parser.cc"
    break;

  case 484: /* multipliers: multipliers '*' FRACTION  */
#line 3520 "parser.yy"
        {
		if (!SCM_UNBNDP (yyvsp[-2]))
			yyval = scm_product (yyvsp[-2], scm_divide (scm_car (yyvsp[0]),
							  scm_cdr (yyvsp[0])));
		else
			yyval = scm_divide (scm_car (yyvsp[0]), scm_cdr (yyvsp[0]));
	}
#line 7565 "./out/parser.cc"
    break;

  case 485: /* multipliers: multipliers '*' multiplier_scm  */
#line 3528 "parser.yy"
        {
		if (scm_is_false (Lily::scale_p (yyvsp[0])))
		{
			parser->parser_error ((yylsp[0]), _ ("not a multiplier"));
		} else if (SCM_UNBNDP (yyvsp[-2]))
			yyval = Lily::scale_to_factor (yyvsp[0]);
		else
			yyval = scm_product (yyvsp[-2], Lily::scale_to_factor (yyvsp[0]));
	}
#line 7579 "./out/parser.cc"
    break;

  case 486: /* tremolo_type: ':'  */
#line 3540 "parser.yy"
                {
		yyval = to_scm (parser->default_tremolo_type_);
	}
#line 7587 "./out/parser.cc"
    break;

  case 487: /* tremolo_type: ':' UNSIGNED  */
#line 3543 "parser.yy"
                       {
		if (SCM_UNBNDP (make_duration (yyvsp[0]))) {
			parser->parser_error ((yylsp[0]), _ ("not a duration"));
			yyval = to_scm (parser->default_tremolo_type_);
		} else {
			yyval = yyvsp[0];
			parser->default_tremolo_type_ = from_scm<int> (yyvsp[0]);
		}
	}
#line 7601 "./out/parser.cc"
    break;

  case 492: /* bass_number: embedded_scm_bare  */
#line 3560 "parser.yy"
        {
		// as an integer, it needs to be non-negative, and otherwise
		// it needs to be suitable as a markup.
		if (scm_is_integer (yyvsp[0])
		    ? scm_is_true (scm_negative_p (yyvsp[0]))
		    : !Text_interface::is_markup (yyvsp[0]))
		{
			parser->parser_error ((yylsp[0]), _ ("bass number expected"));
			yyval = SCM_INUM0;
		}
	}
#line 7617 "./out/parser.cc"
    break;

  case 493: /* bass_figure: "_"  */
#line 3574 "parser.yy"
                     {
		Music *bfr = MY_MAKE_MUSIC ("BassFigureEvent", (yyloc));
		yyval = bfr->unprotect ();
	}
#line 7626 "./out/parser.cc"
    break;

  case 494: /* bass_figure: bass_number  */
#line 3578 "parser.yy"
                       {
		Music *bfr = MY_MAKE_MUSIC ("BassFigureEvent", (yyloc));
		yyval = bfr->self_scm ();

		if (scm_is_number (yyvsp[0]))
			set_property (bfr, "figure", yyvsp[0]);
		else if (Text_interface::is_markup (yyvsp[0]))
			set_property (bfr, "text", yyvsp[0]);

		bfr->unprotect ();
	}
#line 7642 "./out/parser.cc"
    break;

  case 495: /* bass_figure: bass_figure ']'  */
#line 3589 "parser.yy"
                          {
		yyval = yyvsp[-1];
		set_property (unsmob<Music> (yyvsp[-1]), "bracket-stop", SCM_BOOL_T);
	}
#line 7651 "./out/parser.cc"
    break;

  case 496: /* bass_figure: bass_figure FIGURE_ALTERATION_EXPR  */
#line 3593 "parser.yy"
                                             {
		Music *m = unsmob<Music> (yyvsp[-1]);

		if (scm_is_number (get_property (m, "alteration")))
			m->warning (_f ("Dropping surplus alteration symbols for bass figure."));
		else {
			auto alter_expr = from_scm<std::string> (yyvsp[0]);
			Rational alter (0);
			bool bracket = false;

			for (string::iterator it=alter_expr.begin(); it != alter_expr.end (); it++)
			{
				int c = *it & 0xff;

				/* The friendly lexer guarantees that '[' has its matching ']',
				   so we don't have to check here. */
				if (c == '[')		bracket = true;

				/* "!" resets the counter: we mimic this traditional (pre-2.23.4) behavior. */
				else if (c == '!')	alter = 0;
				else if (c == '+')	alter += SHARP_ALTERATION;
				else if (c == '-')	alter += FLAT_ALTERATION;
			}

			set_property (m, "alteration", to_scm (alter));
			if (bracket)
				set_property (m, "alteration-bracket", SCM_BOOL_T);
		}
	}
#line 7685 "./out/parser.cc"
    break;

  case 497: /* bass_figure: bass_figure figured_bass_modification  */
#line 3622 "parser.yy"
                                                 {
		Music *m = unsmob<Music> (yyvsp[-1]);
		set_property (m, yyvsp[0], SCM_BOOL_T);
	}
#line 7694 "./out/parser.cc"
    break;

  case 498: /* figured_bass_modification: "\\+"  */
#line 3630 "parser.yy"
                        {
		yyval = ly_symbol2scm ("augmented");
	}
#line 7702 "./out/parser.cc"
    break;

  case 499: /* figured_bass_modification: "\\!"  */
#line 3633 "parser.yy"
                        {
		yyval = ly_symbol2scm ("no-continuation");
	}
#line 7710 "./out/parser.cc"
    break;

  case 500: /* figured_bass_modification: '/'  */
#line 3636 "parser.yy"
                        {
		yyval = ly_symbol2scm ("diminished");
	}
#line 7718 "./out/parser.cc"
    break;

  case 501: /* figured_bass_modification: "\\\\"  */
#line 3639 "parser.yy"
                      {
		yyval = ly_symbol2scm ("augmented-slash");
	}
#line 7726 "./out/parser.cc"
    break;

  case 502: /* br_bass_figure: bass_figure  */
#line 3645 "parser.yy"
                    {
		yyval = yyvsp[0];
	}
#line 7734 "./out/parser.cc"
    break;

  case 503: /* br_bass_figure: '[' bass_figure  */
#line 3648 "parser.yy"
                          {
		yyval = yyvsp[0];
		set_property (unsmob<Music> (yyval), "bracket-start", SCM_BOOL_T);
	}
#line 7743 "./out/parser.cc"
    break;

  case 504: /* figure_list: %empty  */
#line 3655 "parser.yy"
                        {
		yyval = SCM_EOL;
	}
#line 7751 "./out/parser.cc"
    break;

  case 505: /* figure_list: figure_list br_bass_figure  */
#line 3658 "parser.yy"
                                     {
		yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 7759 "./out/parser.cc"
    break;

  case 506: /* optional_rest: %empty  */
#line 3664 "parser.yy"
               { yyval = SCM_BOOL_F; }
#line 7765 "./out/parser.cc"
    break;

  case 507: /* optional_rest: "\\rest"  */
#line 3665 "parser.yy"
               { yyval = SCM_BOOL_T; }
#line 7771 "./out/parser.cc"
    break;

  case 508: /* pitch_or_music: pitch exclamations questions octave_check maybe_notemode_duration erroneous_quotes optional_rest post_events  */
#line 3673 "parser.yy"
                                                                                                                     {
		if (!parser->lexer_->is_note_state ())
			parser->parser_error ((yylsp[-7]), _ ("have to be in Note mode for notes"));
		if (!SCM_UNBNDP (yyvsp[-2]))
		{
			// It's possible to get here without a
			// duration, like when there is no
			// octave_check but a question mark.  But we
			// point out the most frequent error of an
			// interspersed duration specifically
			if (!SCM_UNBNDP (yyvsp[-3]))
				parser->parser_error ((yylsp[-2]), _ ("octave marks must precede duration"));
			else
				parser->parser_error ((yylsp[-2]), _ ("badly placed octave marks"));
			// Try sorting the quotes to where they likely belong
			if (scm_is_number (yyvsp[-4])) {
				yyvsp[-4] = scm_sum (yyvsp[-4], yyvsp[-2]);
			} else {
				yyvsp[-7] = unsmob<Pitch> (yyvsp[-7])->transposed
					(Pitch (from_scm<int> (yyvsp[-2]), 0)).smobbed_copy ();
			}
		}

		if (!SCM_UNBNDP (yyvsp[-6])
                    || !SCM_UNBNDP (yyvsp[-5])
                    || scm_is_number (yyvsp[-4])
                    || !SCM_UNBNDP (yyvsp[-3])
		    || scm_is_true (yyvsp[-1])
		    || scm_is_pair (yyvsp[0]))
		{
			Music *n = 0;
			if (scm_is_true (yyvsp[-1]))
				n = MY_MAKE_MUSIC ("RestEvent", (yyloc));
			else
				n = MY_MAKE_MUSIC ("NoteEvent", (yyloc));

			set_property (n, "pitch", yyvsp[-7]);
			if (SCM_UNBNDP (yyvsp[-3]))
				set_property (n, "duration",
						 parser->default_duration_.smobbed_copy ());
			else
				set_property (n, "duration", yyvsp[-3]);

			if (scm_is_number (yyvsp[-4]))
			{
				int q = from_scm<int> (yyvsp[-4]);
				set_property (n, "absolute-octave", to_scm (q-1));
			}

			if (from_scm<bool> (yyvsp[-5]))
				set_property (n, "cautionary", SCM_BOOL_T);
			if (from_scm<bool> (yyvsp[-6]) || from_scm<bool> (yyvsp[-5]))
				set_property (n, "force-accidental", SCM_BOOL_T);
			if (scm_is_pair (yyvsp[0]))
				set_property (n, "articulations",
						 scm_reverse_x (yyvsp[0], SCM_EOL));
			yyval = n->unprotect ();
		}
	}
#line 7835 "./out/parser.cc"
    break;

  case 509: /* pitch_or_music: new_chord post_events  */
#line 3732 "parser.yy"
                                {
		if (!parser->lexer_->is_chord_state ())
                        parser->parser_error ((yylsp[-1]), _ ("have to be in Chord mode for chords"));
		if (scm_is_pair (yyvsp[0])) {
			if (unsmob<Pitch> (yyvsp[-1]))
				yyvsp[-1] = make_chord_elements ((yylsp[-1]),
							  yyvsp[-1],
							  parser->default_duration_.smobbed_copy (),
							  SCM_EOL);

			SCM elts = ly_append (yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL));

			yyval = MAKE_SYNTAX (event_chord, (yylsp[-1]), elts);
		} else if (!unsmob<Pitch> (yyvsp[-1]))
			yyval = MAKE_SYNTAX (event_chord, (yylsp[-1]), yyvsp[-1]);
		// A mere pitch drops through.
	}
#line 7857 "./out/parser.cc"
    break;

  case 510: /* simple_element: DRUM_PITCH optional_notemode_duration  */
#line 3752 "parser.yy"
                                              {
		Music *n = MY_MAKE_MUSIC ("NoteEvent", (yyloc));
		set_property (n, "duration", yyvsp[0]);
		set_property (n, "drum-type", yyvsp[-1]);

		yyval = n->unprotect ();
	}
#line 7869 "./out/parser.cc"
    break;

  case 511: /* simple_element: RESTNAME optional_notemode_duration  */
#line 3759 "parser.yy"
                                                        {
		Music *ev = 0;
 		if (from_scm<std::string> (yyvsp[-1]) == "s") {
			/* Space */
			ev = MY_MAKE_MUSIC ("SkipEvent", (yyloc));
		  }
		else {
			ev = MY_MAKE_MUSIC ("RestEvent", (yyloc));

		    }
		set_property (ev, "duration", yyvsp[0]);
 		yyval = ev->unprotect ();
	}
#line 7887 "./out/parser.cc"
    break;

  case 512: /* lyric_element: full_markup  */
#line 3775 "parser.yy"
                    {
		if (!parser->lexer_->is_lyric_state ())
			parser->parser_error ((yylsp[0]), _ ("markup outside of text script or \\lyricmode"));
		yyval = yyvsp[0];
	}
#line 7897 "./out/parser.cc"
    break;

  case 513: /* lyric_element: SYMBOL  */
#line 3780 "parser.yy"
                 {
		if (!parser->lexer_->is_lyric_state ())
			parser->parser_error ((yylsp[0]), _f ("not a note name: %s", from_scm<std::string> (yyvsp[0])));
		yyval = yyvsp[0];
	}
#line 7907 "./out/parser.cc"
    break;

  case 514: /* lyric_element: STRING  */
#line 3785 "parser.yy"
                 {
		if (!parser->lexer_->is_lyric_state ())
			parser->parser_error ((yylsp[0]), _ ("string outside of text script or \\lyricmode"));
		yyval = yyvsp[0];
	}
#line 7917 "./out/parser.cc"
    break;

  case 516: /* lyric_element_music: lyric_element optional_notemode_duration post_events  */
#line 3794 "parser.yy"
                                                             {
		yyval = MAKE_SYNTAX (lyric_event, (yyloc), yyvsp[-2], yyvsp[-1]);
		if (scm_is_pair (yyvsp[0]))
			set_property
				(unsmob<Music> (yyval), "articulations", scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 7928 "./out/parser.cc"
    break;

  case 517: /* new_chord: steno_tonic_pitch maybe_notemode_duration  */
#line 3804 "parser.yy"
                                                    {
		if (SCM_UNBNDP (yyvsp[0]))
			yyval = yyvsp[-1];
		else
			yyval = make_chord_elements ((yyloc), yyvsp[-1], yyvsp[0], SCM_EOL);
	}
#line 7939 "./out/parser.cc"
    break;

  case 518: /* new_chord: steno_tonic_pitch optional_notemode_duration chord_separator chord_items  */
#line 3810 "parser.yy"
                                                                                   {
		SCM its = scm_reverse_x (yyvsp[0], SCM_EOL);
		yyval = make_chord_elements ((yyloc), yyvsp[-3], yyvsp[-2], scm_cons (yyvsp[-1], its));
	}
#line 7948 "./out/parser.cc"
    break;

  case 519: /* chord_items: %empty  */
#line 3817 "parser.yy"
             {
		yyval = SCM_EOL;
	}
#line 7956 "./out/parser.cc"
    break;

  case 520: /* chord_items: chord_items chord_item  */
#line 3820 "parser.yy"
                                 {
		yyval = scm_cons (yyvsp[0], yyval);
	}
#line 7964 "./out/parser.cc"
    break;

  case 521: /* chord_separator: ":"  */
#line 3826 "parser.yy"
                    {
		yyval = ly_symbol2scm ("chord-colon");
	}
#line 7972 "./out/parser.cc"
    break;

  case 522: /* chord_separator: "^"  */
#line 3829 "parser.yy"
                      {
		yyval = ly_symbol2scm ("chord-caret");
	}
#line 7980 "./out/parser.cc"
    break;

  case 523: /* chord_separator: "/" steno_tonic_pitch  */
#line 3832 "parser.yy"
                                        {
 		yyval = ly_list (ly_symbol2scm ("chord-slash"), yyvsp[0]);
	}
#line 7988 "./out/parser.cc"
    break;

  case 524: /* chord_separator: "/+" steno_tonic_pitch  */
#line 3835 "parser.yy"
                                       {
		yyval = ly_list (ly_symbol2scm ("chord-bass"), yyvsp[0]);
	}
#line 7996 "./out/parser.cc"
    break;

  case 525: /* chord_item: chord_separator  */
#line 3841 "parser.yy"
                        {
		yyval = yyvsp[0];
	}
#line 8004 "./out/parser.cc"
    break;

  case 526: /* chord_item: step_numbers  */
#line 3844 "parser.yy"
                       {
		yyval = scm_reverse_x (yyvsp[0], SCM_EOL);
	}
#line 8012 "./out/parser.cc"
    break;

  case 527: /* chord_item: CHORD_MODIFIER  */
#line 3847 "parser.yy"
                          {
		yyval = yyvsp[0];
	}
#line 8020 "./out/parser.cc"
    break;

  case 528: /* step_numbers: step_number  */
#line 3853 "parser.yy"
                    { yyval = scm_cons (yyvsp[0], SCM_EOL); }
#line 8026 "./out/parser.cc"
    break;

  case 529: /* step_numbers: step_numbers '.' step_number  */
#line 3854 "parser.yy"
                                       {
		yyval = scm_cons (yyvsp[0], yyval);
	}
#line 8034 "./out/parser.cc"
    break;

  case 530: /* step_number: UNSIGNED  */
#line 3860 "parser.yy"
                 {
		yyval = make_chord_step (yyvsp[0], 0);
        }
#line 8042 "./out/parser.cc"
    break;

  case 531: /* step_number: UNSIGNED '+'  */
#line 3863 "parser.yy"
                       {
		yyval = make_chord_step (yyvsp[-1], SHARP_ALTERATION);
	}
#line 8050 "./out/parser.cc"
    break;

  case 532: /* step_number: UNSIGNED "-"  */
#line 3866 "parser.yy"
                               {
		yyval = make_chord_step (yyvsp[-1], FLAT_ALTERATION);
	}
#line 8058 "./out/parser.cc"
    break;

  case 533: /* tempo_range: unsigned_number  */
#line 3872 "parser.yy"
                        {
		yyval = yyvsp[0];
	}
#line 8066 "./out/parser.cc"
    break;

  case 534: /* tempo_range: unsigned_number '-' unsigned_number  */
#line 3875 "parser.yy"
                                              {
		yyval = scm_cons (yyvsp[-2], yyvsp[0]);
	}
#line 8074 "./out/parser.cc"
    break;

  case 535: /* number_expression: number_expression '+' number_term  */
#line 3887 "parser.yy"
                                          {
		yyval = scm_sum (yyvsp[-2], yyvsp[0]);
	}
#line 8082 "./out/parser.cc"
    break;

  case 536: /* number_expression: number_expression '-' number_term  */
#line 3890 "parser.yy"
                                            {
		yyval = scm_difference (yyvsp[-2], yyvsp[0]);
	}
#line 8090 "./out/parser.cc"
    break;

  case 538: /* number_term: number_factor  */
#line 3897 "parser.yy"
                      {
		yyval = yyvsp[0];
	}
#line 8098 "./out/parser.cc"
    break;

  case 539: /* number_term: number_factor '*' number_factor  */
#line 3900 "parser.yy"
                                          {
		yyval = scm_product (yyvsp[-2], yyvsp[0]);
	}
#line 8106 "./out/parser.cc"
    break;

  case 540: /* number_term: number_factor '/' number_factor  */
#line 3903 "parser.yy"
                                          {
		yyval = scm_divide (yyvsp[-2], yyvsp[0]);
	}
#line 8114 "./out/parser.cc"
    break;

  case 541: /* number_factor: '-' number_factor  */
#line 3909 "parser.yy"
                           { /* %prec UNARY_MINUS */
		yyval = scm_difference (yyvsp[0], SCM_UNDEFINED);
	}
#line 8122 "./out/parser.cc"
    break;

  case 545: /* bare_number_common: REAL NUMBER_IDENTIFIER  */
#line 3919 "parser.yy"
        {
		yyval = scm_product (yyvsp[-1], yyvsp[0]);
	}
#line 8130 "./out/parser.cc"
    break;

  case 548: /* bare_number: UNSIGNED NUMBER_IDENTIFIER  */
#line 3927 "parser.yy"
                                        {
		yyval = scm_product (yyvsp[-1], yyvsp[0]);
	}
#line 8138 "./out/parser.cc"
    break;

  case 550: /* unsigned_number: NUMBER_IDENTIFIER  */
#line 3935 "parser.yy"
        {
		if (!scm_is_integer (yyvsp[0])
		    || scm_is_true (scm_negative_p (yyvsp[0])))
		{
			parser->parser_error ((yylsp[0]), _("not an unsigned integer"));
			yyval = SCM_INUM0;
		}
	}
#line 8151 "./out/parser.cc"
    break;

  case 551: /* unsigned_number: embedded_scm  */
#line 3944 "parser.yy"
        {
		if (!scm_is_integer (yyvsp[0])
		    || scm_is_true (scm_negative_p (yyvsp[0])))
		{
			parser->parser_error ((yylsp[0]), _("not an unsigned integer"));
			yyval = SCM_INUM0;
		}
	}
#line 8164 "./out/parser.cc"
    break;

  case 552: /* exclamations: %empty  */
#line 3955 "parser.yy"
                { yyval = SCM_UNDEFINED; }
#line 8170 "./out/parser.cc"
    break;

  case 553: /* exclamations: exclamations '!'  */
#line 3957 "parser.yy"
        {
                if (SCM_UNBNDP (yyvsp[-1]))
                        yyval = SCM_BOOL_T;
                else
                        yyval = scm_not (yyvsp[-1]);
        }
#line 8181 "./out/parser.cc"
    break;

  case 554: /* questions: %empty  */
#line 3972 "parser.yy"
        { yyval = SCM_UNDEFINED; }
#line 8187 "./out/parser.cc"
    break;

  case 555: /* questions: questions '?'  */
#line 3974 "parser.yy"
        {
                if (SCM_UNBNDP (yyvsp[-1]))
                        yyval = SCM_BOOL_T;
                else
                        yyval = scm_not (yyvsp[-1]);
        }
#line 8198 "./out/parser.cc"
    break;

  case 556: /* $@10: %empty  */
#line 3984 "parser.yy"
                { parser->lexer_->push_markup_state (); }
#line 8204 "./out/parser.cc"
    break;

  case 557: /* full_markup_list: "\\markuplist" $@10 markup_list  */
#line 3985 "parser.yy"
                    {
		yyval = yyvsp[0];
		parser->lexer_->pop_state ();
	}
#line 8213 "./out/parser.cc"
    break;

  case 558: /* markup_mode: "\\markup"  */
#line 3993 "parser.yy"
        {
		parser->lexer_->push_markup_state ();
	}
#line 8221 "./out/parser.cc"
    break;

  case 559: /* markup_mode_word: markup_mode markup_word  */
#line 4009 "parser.yy"
        {
		yyval = yyvsp[0];
		parser->lexer_->pop_state ();
	}
#line 8230 "./out/parser.cc"
    break;

  case 560: /* full_markup: markup_mode markup_top  */
#line 4017 "parser.yy"
                               {
		yyval = yyvsp[0];
		parser->lexer_->pop_state ();
	}
#line 8239 "./out/parser.cc"
    break;

  case 561: /* full_markup: markup_mode_word  */
#line 4022 "parser.yy"
        {
		yyval = make_simple_markup (yyvsp[0]);
	}
#line 8247 "./out/parser.cc"
    break;

  case 562: /* partial_markup: markup_mode markup_partial_function "\\etc"  */
#line 4029 "parser.yy"
        {
		yyval = MAKE_SYNTAX (partial_markup, (yylsp[-1]), yyvsp[-1]);
		parser->lexer_->pop_state ();
	}
#line 8256 "./out/parser.cc"
    break;

  case 563: /* markup_top: markup_list  */
#line 4036 "parser.yy"
                    {
		yyval = ly_list (Lily::line_markup,  yyvsp[0]);
	}
#line 8264 "./out/parser.cc"
    break;

  case 564: /* markup_top: markup_head_1_list simple_markup  */
#line 4040 "parser.yy"
        {
		yyval = scm_car (MAKE_SYNTAX (composed_markup_list,
					   (yylsp[0]), yyvsp[-1], ly_list (yyvsp[0])));
	}
#line 8273 "./out/parser.cc"
    break;

  case 565: /* markup_top: simple_markup_noword  */
#line 4044 "parser.yy"
                               {
		yyval = yyvsp[0];
	}
#line 8281 "./out/parser.cc"
    break;

  case 566: /* $@11: %empty  */
#line 4051 "parser.yy"
        {
		if (Text_interface::is_markup (yyvsp[0]))
			MYBACKUP (MARKUP_IDENTIFIER, yyvsp[0], (yylsp[0]));
		else if (Text_interface::is_markup_list (yyvsp[0]))
			MYBACKUP (MARKUPLIST_IDENTIFIER, yyvsp[0], (yylsp[0]));
		else if (scm_is_eq (yyvsp[0], SCM_UNSPECIFIED))
			MYBACKUP (MARKUPLIST_IDENTIFIER, SCM_EOL, (yylsp[0]));
		else {
			parser->parser_error ((yylsp[0]), _ ("not a markup"));
			MYBACKUP (MARKUP_IDENTIFIER, scm_string (SCM_EOL), (yylsp[0]));
		}
	}
#line 8298 "./out/parser.cc"
    break;

  case 568: /* markup_list: markup_composed_list  */
#line 4067 "parser.yy"
                             {
		yyval = yyvsp[0];
	}
#line 8306 "./out/parser.cc"
    break;

  case 570: /* markup_uncomposed_list: markup_braced_list  */
#line 4074 "parser.yy"
                           {
		yyval = yyvsp[0];
	}
#line 8314 "./out/parser.cc"
    break;

  case 571: /* markup_uncomposed_list: markup_command_list  */
#line 4077 "parser.yy"
                              {
		yyval = ly_list (yyvsp[0]);
	}
#line 8322 "./out/parser.cc"
    break;

  case 572: /* markup_uncomposed_list: markup_scm MARKUPLIST_IDENTIFIER  */
#line 4081 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 8330 "./out/parser.cc"
    break;

  case 573: /* $@12: %empty  */
#line 4084 "parser.yy"
                     {
		parser->lexer_->push_note_state ();
	}
#line 8338 "./out/parser.cc"
    break;

  case 574: /* markup_uncomposed_list: "\\score-lines" $@12 '{' score_body '}'  */
#line 4086 "parser.yy"
                             {
		Score *sc = unsmob<Score> (yyvsp[-1]);
		sc->origin ()->set_spot ((yyloc));
		if (sc->defs_.empty ()) {
			Output_def *od = get_layout (parser);
			sc->add_output_def (od);
			od->unprotect ();
		}
		yyval = ly_list (ly_list (Lily::score_lines_markup_list, yyvsp[-1]));
		parser->lexer_->pop_state ();
	}
#line 8354 "./out/parser.cc"
    break;

  case 575: /* markup_composed_list: markup_head_1_list markup_uncomposed_list  */
#line 4100 "parser.yy"
                                                  {
		yyval = MAKE_SYNTAX (composed_markup_list,
				  (yylsp[0]), yyvsp[-1], yyvsp[0]);
	}
#line 8363 "./out/parser.cc"
    break;

  case 576: /* markup_braced_list: '{' markup_braced_list_body '}'  */
#line 4107 "parser.yy"
                                        {
		yyval = scm_reverse_x (yyvsp[-1], SCM_EOL);
	}
#line 8371 "./out/parser.cc"
    break;

  case 577: /* markup_braced_list_body: %empty  */
#line 4113 "parser.yy"
                        {  yyval = SCM_EOL; }
#line 8377 "./out/parser.cc"
    break;

  case 578: /* markup_braced_list_body: markup_braced_list_body markup  */
#line 4114 "parser.yy"
                                         {
		yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 8385 "./out/parser.cc"
    break;

  case 579: /* markup_braced_list_body: markup_braced_list_body markup_list  */
#line 4117 "parser.yy"
                                              {
		yyval = Srfi_1::append_reverse (yyvsp[0], yyvsp[-1]);
	}
#line 8393 "./out/parser.cc"
    break;

  case 580: /* markup_command_list: MARKUP_LIST_FUNCTION markup_command_list_arguments  */
#line 4123 "parser.yy"
                                                           {
	  yyval = scm_cons (yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 8401 "./out/parser.cc"
    break;

  case 581: /* markup_command_basic_arguments: "markup-list?" markup_command_list_arguments markup_list  */
#line 4129 "parser.yy"
                                                                     {
		yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 8409 "./out/parser.cc"
    break;

  case 582: /* markup_command_basic_arguments: "scheme?" markup_command_list_arguments embedded_scm  */
#line 4132 "parser.yy"
                                                                {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 8417 "./out/parser.cc"
    break;

  case 583: /* $@13: %empty  */
#line 4143 "parser.yy"
                                                       {
		parser->lexer_->push_note_state ();
	}
#line 8425 "./out/parser.cc"
    break;

  case 584: /* markup_command_basic_arguments: "scheme?" markup_command_list_arguments '{' $@13 embedded_lilypond '}'  */
#line 4145 "parser.yy"
                                {
		yyval = SCM_UNDEFINED;
		if (scm_is_false (ly_call (yyvsp[-5], yyvsp[-1]))) {
			// The conversion to a note event needs the lexer to be still
			// in note state.
			SCM maybe_music = make_music_from_simple (parser, (yylsp[-1]), yyvsp[-1]);
			if (unsmob<Music> (maybe_music)
			    && scm_is_true (ly_call (yyvsp[-5], maybe_music))) {
				yyval = scm_cons (maybe_music, yyvsp[-4]);
				if (Duration *dur = unsmob<Duration> (yyvsp[-1])) {
					parser->default_duration_ = *dur;
				}
			}
		}
		if (SCM_UNBNDP (yyval)) {
			yyval = check_scheme_arg (parser, (yylsp[-1]), yyvsp[-1], yyvsp[-4], yyvsp[-5]);
		}
		parser->lexer_->pop_state ();
	}
#line 8449 "./out/parser.cc"
    break;

  case 585: /* markup_command_basic_arguments: "scheme?" markup_command_list_arguments mode_changed_music  */
#line 4164 "parser.yy"
                                                                      {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 8457 "./out/parser.cc"
    break;

  case 586: /* markup_command_basic_arguments: "scheme?" markup_command_list_arguments MUSIC_IDENTIFIER  */
#line 4167 "parser.yy"
                                                                    {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 8465 "./out/parser.cc"
    break;

  case 587: /* markup_command_basic_arguments: "scheme?" markup_command_list_arguments STRING  */
#line 4170 "parser.yy"
                                                          {
		yyval = check_scheme_arg (parser, (yylsp[0]), yyvsp[0], yyvsp[-1], yyvsp[-2]);
	}
#line 8473 "./out/parser.cc"
    break;

  case 588: /* markup_command_basic_arguments: EXPECT_NO_MORE_ARGS  */
#line 4173 "parser.yy"
                              {
		yyval = SCM_EOL;
	}
#line 8481 "./out/parser.cc"
    break;

  case 589: /* markup_command_list_arguments: markup_command_basic_arguments  */
#line 4179 "parser.yy"
                                       { yyval = yyvsp[0]; }
#line 8487 "./out/parser.cc"
    break;

  case 590: /* markup_command_list_arguments: "markup?" markup_command_list_arguments markup  */
#line 4180 "parser.yy"
                                                             {
	  yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 8495 "./out/parser.cc"
    break;

  case 591: /* markup_partial_function: MARKUP_FUNCTION markup_arglist_partial  */
#line 4187 "parser.yy"
        {
		yyval = ly_list (scm_cons (yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL)));
	}
#line 8503 "./out/parser.cc"
    break;

  case 592: /* markup_partial_function: markup_head_1_list MARKUP_FUNCTION markup_arglist_partial  */
#line 4191 "parser.yy"
        {
		yyval = scm_cons (scm_cons (yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL)),
			       yyvsp[-2]);
	}
#line 8512 "./out/parser.cc"
    break;

  case 593: /* markup_arglist_partial: "markup?" markup_arglist_partial  */
#line 4199 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 8520 "./out/parser.cc"
    break;

  case 594: /* markup_arglist_partial: "scheme?" markup_arglist_partial  */
#line 4203 "parser.yy"
        {
		yyval= yyvsp[0];
	}
#line 8528 "./out/parser.cc"
    break;

  case 595: /* markup_arglist_partial: "markup?" markup_command_list_arguments  */
#line 4207 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 8536 "./out/parser.cc"
    break;

  case 596: /* markup_arglist_partial: "scheme?" markup_command_list_arguments  */
#line 4211 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 8544 "./out/parser.cc"
    break;

  case 597: /* markup_head_1_item: MARKUP_FUNCTION "markup?" markup_command_list_arguments  */
#line 4217 "parser.yy"
                                                                    {
	  yyval = scm_cons (yyvsp[-2], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 8552 "./out/parser.cc"
    break;

  case 598: /* markup_head_1_list: markup_head_1_item  */
#line 4223 "parser.yy"
                                {
		yyval = ly_list (yyvsp[0]);
	}
#line 8560 "./out/parser.cc"
    break;

  case 599: /* markup_head_1_list: markup_head_1_list markup_head_1_item  */
#line 4226 "parser.yy"
                                                {
		yyval = scm_cons (yyvsp[0], yyvsp[-1]);
	}
#line 8568 "./out/parser.cc"
    break;

  case 602: /* simple_markup: markup_word  */
#line 4238 "parser.yy"
        {
		yyval = make_simple_markup (yyvsp[0]);
	}
#line 8576 "./out/parser.cc"
    break;

  case 604: /* $@14: %empty  */
#line 4245 "parser.yy"
              {
		parser->lexer_->push_note_state ();
	}
#line 8584 "./out/parser.cc"
    break;

  case 605: /* simple_markup_noword: "\\score" $@14 '{' score_body '}'  */
#line 4247 "parser.yy"
                             {
		Score *sc = unsmob<Score> (yyvsp[-1]);
		sc->origin ()->set_spot ((yyloc));
		if (sc->defs_.empty ()) {
			Output_def *od = get_layout (parser);
			sc->add_output_def (od);
			od->unprotect ();
		}
		yyval = ly_list (Lily::score_markup, yyvsp[-1]);
		parser->lexer_->pop_state ();
	}
#line 8600 "./out/parser.cc"
    break;

  case 606: /* simple_markup_noword: MARKUP_FUNCTION markup_command_basic_arguments  */
#line 4258 "parser.yy"
                                                         {
		yyval = scm_cons (yyvsp[-1], scm_reverse_x (yyvsp[0], SCM_EOL));
	}
#line 8608 "./out/parser.cc"
    break;

  case 607: /* simple_markup_noword: markup_scm MARKUP_IDENTIFIER  */
#line 4262 "parser.yy"
        {
		yyval = yyvsp[0];
	}
#line 8616 "./out/parser.cc"
    break;

  case 608: /* markup: markup_head_1_list simple_markup  */
#line 4269 "parser.yy"
        {
		yyval = scm_car (MAKE_SYNTAX (composed_markup_list,
					   (yylsp[0]), yyvsp[-1], ly_list (yyvsp[0])));
	}
#line 8625 "./out/parser.cc"
    break;

  case 609: /* markup: simple_markup  */
#line 4273 "parser.yy"
                        {
		yyval = yyvsp[0];
	}
#line 8633 "./out/parser.cc"
    break;


#line 8637 "./out/parser.cc"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yytoken, &yylloc};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (&yylloc, parser, retval, yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  yyerror_range[1] = yylloc;
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= END_OF_FILE)
        {
          /* Return failure if at end of input.  */
          if (yychar == END_OF_FILE)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, parser, retval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp, yylsp, parser, retval);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  ++yylsp;
  YYLLOC_DEFAULT (*yylsp, yyerror_range, 2);

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, parser, retval, YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, parser, retval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp, yylsp, parser, retval);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 4278 "parser.yy"


void
Lily_parser::set_yydebug (bool x)
{
	yydebug = x;
}

SCM
Lily_parser::do_yyparse ()
{
	return scm_c_with_fluid (Lily::f_parser,
				 self_scm (),
				 do_yyparse_trampoline,
				 static_cast <void *>(this));
}

SCM
Lily_parser::do_yyparse_trampoline (void *parser)
{
	SCM retval = SCM_UNDEFINED;
	yyparse (static_cast <Lily_parser *>(parser), &retval);
	return retval;
}



/*

It is a little strange to have this function in this file, but
otherwise, we have to import music classes into the lexer.

*/
int
Lily_lexer::try_special_identifiers (SCM *destination, SCM sid)
{
	if (unsmob<Book> (sid)) {
		Book *book =  unsmob<Book> (sid)->clone ();
		*destination = book->self_scm ();
		book->unprotect ();

		return BOOK_IDENTIFIER;
	} else if (scm_is_number (sid)) {
		*destination = sid;
		return NUMBER_IDENTIFIER;
	} else if (unsmob<Context_def> (sid))
	{
		*destination = unsmob<Context_def> (sid)->clone ()->unprotect ();
		return SCM_IDENTIFIER;
        } else if (unsmob<Context_mod> (sid)) {
                *destination = unsmob<Context_mod> (sid)->smobbed_copy ();
                return SCM_IDENTIFIER;
	} else if (Music *mus = unsmob<Music> (sid)) {
		mus = mus->clone ();
		*destination = mus->self_scm ();
		bool is_event = mus->is_mus_type ("post-event");
		mus->unprotect ();
		return is_event ? EVENT_IDENTIFIER : MUSIC_IDENTIFIER;
	} else if (unsmob<Pitch> (sid)) {
		*destination = unsmob<Pitch> (sid)->smobbed_copy ();
		return PITCH_IDENTIFIER;
	} else if (unsmob<Duration> (sid)) {
		*destination = unsmob<Duration> (sid)->smobbed_copy ();
		return DURATION_IDENTIFIER;
	} else if (unsmob<Output_def> (sid)) {
		*destination = unsmob<Output_def> (sid)->clone ()->unprotect ();
		return SCM_IDENTIFIER;
	} else if (unsmob<Score> (sid)) {
		*destination = unsmob<Score> (sid)->clone ()->unprotect ();
		return SCM_IDENTIFIER;
	} else if (scm_is_pair (sid)
		   && scm_is_pair (scm_car (sid))
		   && scm_is_true (Lily::key_p (scm_caar (sid)))) {
		*destination = sid;
		return LOOKUP_IDENTIFIER;
	}
	return -1;
}

// check_scheme_arg checks one argument with a given predicate for use
// in an argument list and throws a syntax error if it is unusable.
// The argument is prepended to the argument list in any case.  After
// throwing a syntax error, the argument list is terminated with #f as
// its last cdr in order to mark it as uncallable while not losing
// track of its total length.
//
// There are a few special considerations: if optional argument disp
// is given (otherwise it defaults to SCM_UNDEFINED), it will be used
// instead of arg in a prospective error message.  This is useful if
// arg is not the actual argument but rather a transformation of it.
//
// If arg itself is SCM_UNDEFINED, the predicate is considered false
// and an error message using disp is produced unconditionally.

SCM check_scheme_arg (Lily_parser *parser, Input loc,
		      SCM arg, SCM args, SCM pred, SCM disp)
{
	if (SCM_UNBNDP (arg))
		args = scm_cons (disp, args);
	else {
		args = scm_cons (arg, args);
		if (scm_is_true (ly_call (pred, arg)))
			return args;
	}
	scm_set_cdr_x (scm_last_pair (args), SCM_EOL);
	MAKE_SYNTAX (argument_error, loc, scm_length (args), pred,
		     SCM_UNBNDP (disp) ? arg : disp);
	scm_set_cdr_x (scm_last_pair (args), SCM_BOOL_F);
	return args;
}

SCM loc_on_copy (Lily_parser *parser, Input loc, SCM arg)
{
	if (Music *m = unsmob<Music> (arg))
	{
		m = m->clone ();
		m->set_spot (parser->lexer_->override_input (loc));
		return m->unprotect ();
	}
	if (Book *b = unsmob<Book> (arg))
	{
		b = b->clone ();
		b->origin ()->set_spot (parser->lexer_->override_input (loc));
		return b->unprotect ();
	}
	if (Context_def *cd = unsmob<Context_def> (arg))
	{
		cd = cd->clone ();
		cd->origin ()->set_spot (parser->lexer_->override_input (loc));
		return cd->unprotect ();
	}
	if (Output_def *od = unsmob<Output_def> (arg))
	{
		od = od->clone ();
		od->input_origin_ = parser->lexer_->override_input (loc);
		return od->unprotect ();
	}
	if (Score *s = unsmob<Score> (arg))
	{
		s = s->clone ();
		s->origin ()->set_spot (parser->lexer_->override_input (loc));
		return s->unprotect ();
	}
	if (Context_mod *cm = unsmob<Context_mod> (arg))
	{
		return cm->smobbed_copy ();
	}
	return arg;
}

SCM
make_reverse_key_list (SCM keys)
{
	if (scm_is_true (Lily::key_p (keys)))
		return ly_list (keys);
	if (scm_is_string (keys))
		return ly_list (scm_string_to_symbol (keys));
	if (!ly_is_list (keys))
		return SCM_UNDEFINED;
	SCM res = SCM_EOL;
	for (; scm_is_pair (keys); keys = scm_cdr (keys))
	{
		SCM elt = scm_car (keys);
		if (scm_is_true (Lily::key_p (elt)))
			res = scm_cons (elt, res);
		else if (scm_is_string (elt))
			res = scm_cons (scm_string_to_symbol (elt), res);
		else return SCM_UNDEFINED;
	}
	return res;
}

SCM
try_string_variants (SCM pred, SCM str)
{
	// a matching predicate is always ok
	if (scm_is_true (ly_call (pred, str)))
		return str;
	// a key may be interpreted as a list of keys if it helps
	if (scm_is_true (Lily::key_p (str))) {
		str = ly_list (str);
		if (scm_is_true (ly_call (pred, str)))
			return str;
		return SCM_UNDEFINED;
	}

	if (!scm_is_string (str))
		return SCM_UNDEFINED;

	// Let's attempt the symbol list interpretation first.

	str = scm_string_to_symbol (str);

	SCM lst = ly_list (str);

	if (scm_is_true (ly_call (pred, lst)))
		return lst;

	// Try the single symbol interpretation

	if (scm_is_true (ly_call (pred, str)))
		return str;

	return SCM_UNDEFINED;
}

SCM
try_word_variants (SCM pred, SCM str)
{
	// str is always a string when we come here

	if (scm_is_true (ly_call (pred, str)))
		return str;

	// If this cannot be a string representation of a symbol list,
	// we are through.

	if (!is_regular_identifier (str, true))
		return SCM_UNDEFINED;

	str = scm_string_split (str, SCM_MAKE_CHAR ('.'));
	for (SCM &p : as_ly_scm_list (str))
		p = scm_string_split (p, SCM_MAKE_CHAR (','));
	str = scm_append_x (str);
	for (SCM &p : as_ly_scm_list (str))
		p = scm_string_to_symbol (p);

	// Let's attempt the symbol list interpretation first.

	if (scm_is_true (ly_call (pred, str)))
		return str;

	// If there is just one symbol in the list, we might interpret
	// it as a single symbol

	if (scm_is_null (scm_cdr (str)))
	{
		str = scm_car (str);
		if (scm_is_true (ly_call (pred, str)))
			return str;
	}

	return SCM_UNDEFINED;
}

bool
is_regular_identifier (SCM id, bool multiple)
{
  if (!scm_is_string (id))
	  return false;

  auto str = from_scm<std::string> (id);

  bool middle = false;

  for (string::iterator it=str.begin(); it != str.end (); it++)
  {
	  int c = *it & 0xff;
	  if ((c >= 'a' && c <= 'z')
	      || (c >= 'A' && c <= 'Z')
	      || c > 0x7f)
		  middle = true;
	  else if (middle && (c == '-' || c == '_' || (multiple &&
						       (c == '.' || c == ','))))
		  middle = false;
	  else
		  return false;
  }
  return middle;
}

SCM
make_music_from_simple (Lily_parser *parser, Input loc, SCM simple)
{
	if (unsmob<Music> (simple))
		return simple;

	if (scm_is_symbol (simple))
	{
		SCM out = SCM_UNDEFINED;
		switch (parser->lexer_->scan_word (out, simple))
		{
		case DRUM_PITCH:
		{
			Music *n = MY_MAKE_MUSIC ("NoteEvent", loc);
			set_property (n, "duration", parser->default_duration_.smobbed_copy ());
			set_property (n, "drum-type", out);
			return n->unprotect ();
		}
		case NOTENAME_PITCH:
		case TONICNAME_PITCH:
			// Take the parsed pitch
			simple = out;
			break;
		// Don't scan CHORD_MODIFIER etc.
		}
	}

	if (parser->lexer_->is_note_state ()) {
		if (unsmob<Pitch> (simple)) {
			Music *n = MY_MAKE_MUSIC ("NoteEvent", loc);
			set_property (n, "duration", parser->default_duration_.smobbed_copy ());
			set_property (n, "pitch", simple);
			return n->unprotect ();
		}
		SCM d = simple;
		if (scm_is_integer (simple))
			d = make_duration (simple);
		if (unsmob<Duration> (d)) {
			Music *n = MY_MAKE_MUSIC ("NoteEvent", loc);
			set_property (n, "duration", d);
			return n->unprotect ();
		}
		return simple;
	} else if (parser->lexer_->is_lyric_state ()) {
		if (Text_interface::is_markup (simple))
			return MAKE_SYNTAX (lyric_event, loc, simple,
					    parser->default_duration_.smobbed_copy ());
	} else if (parser->lexer_->is_chord_state ()) {
		if (unsmob<Pitch> (simple))
			return MAKE_SYNTAX
				(event_chord,
				 loc,
				 make_chord_elements (loc, simple,
						      parser->default_duration_.smobbed_copy (),
						      SCM_EOL));
	}
	return simple;
}

Music *
make_music_with_input (SCM name, Input where)
{
       Music *m = make_music_by_name (name);
       m->set_spot (where);
       return m;
}

SCM
make_simple_markup (SCM a)
{
	return a;
}

SCM
make_duration (SCM d, int dots, SCM factor)
{
	Duration k;

	if (Duration *dur = unsmob<Duration> (d)) {
		if (!dots && SCM_UNBNDP (factor))
			return d;
		k = *dur;
		if (dots)
			k = Duration (k.duration_log (), k.dot_count () + dots)
				.compressed (k.factor ());
	} else {
		int t = from_scm<int> (d);
		if (t > 0 && (t & (t-1)) == 0)
			k = Duration (intlog2 (t), dots);
		else
			return SCM_UNDEFINED;
	}

	if (!SCM_UNBNDP (factor))
		k = k.compressed (from_scm<Rational> (factor));

	return k.smobbed_copy ();
}

SCM
make_chord_step (SCM step_scm, Rational alter)
{
	Pitch m (0, from_scm<int> (step_scm) - 1, alter);

	// Notename/octave are normalized
	if (m.get_notename () == 6)
		m = m.transposed (Pitch (0, 0, FLAT_ALTERATION));

	return m.smobbed_copy ();
}


SCM
make_chord_elements (Input loc, SCM pitch, SCM dur, SCM modification_list)
{
	SCM res = Lily::construct_chord_elements (pitch, dur, modification_list);
	for (SCM s = res; scm_is_pair (s); s = scm_cdr (s))
	{
		unsmob<Music> (scm_car (s))->set_spot (loc);
	}
	return res;
}

// Return true if there are post events unaccounted for
bool
add_post_events (Music *m, SCM events)
{
	if (!scm_is_pair (events))
		return false;	// successfully added -- nothing

	while (m) {
		if (m->is_mus_type ("rhythmic-event")
		    || m->is_mus_type ("caesura-event")) {
			set_property
				(m, "articulations",
				 scm_append_x (ly_list
					       (get_property (m, "articulations"),
						events)));
			return false;
		}
		if (m->is_mus_type ("event-chord")) {
			set_property
				(m, "elements",
				 scm_append_x (ly_list
					       (get_property (m, "elements"),
						events)));
			return false;
		}
		if (m->is_mus_type ("sequential-music")) {
			SCM lp = scm_last_pair (get_property (m, "elements"));
			if (scm_is_pair (lp)) {
				m = unsmob<Music> (scm_car (lp));
				continue;
			}
			return true;
		}
		if (m->is_mus_type ("music-wrapper-music")
		    || m->is_mus_type ("time-scaled-music")) {
			m = unsmob<Music> (get_property (m, "element"));
			continue;
		}
		break;
	}
	return true;
}

// Returns either a list or a post-event
//
// If PRESERVE is true, unattachable post-events are not thrown away
// but rather added attached to empty chords.  If COMPRESS is true, a
// sequence consisting only of post-events may be returned as a single
// post-event.
SCM reverse_music_list (Lily_parser *parser, Input loc, SCM lst, bool preserve, bool compress)
{
	SCM res = SCM_EOL;	// Resulting reversed list
	SCM bad = SCM_EOL;	// Bad post events
	SCM post = SCM_EOL;	// current unattached events
	for (; scm_is_pair (lst); lst = scm_cdr (lst)) {
		SCM elt = scm_car (lst);
		Music *m = unsmob<Music> (elt);
		assert (m);
		if (m->is_mus_type ("post-event")) {
			post = post_event_cons (elt, post);
			continue;
		}
		if (add_post_events (m, post)) {
			bad = scm_cons (scm_car (post), bad);
			if (preserve) {
				Music *p = unsmob<Music> (scm_car (post));
				res = scm_cons (MAKE_SYNTAX (event_chord,
							     *p->origin (),
							     post),
						res);
			}
		}
		post = SCM_EOL;
		res = scm_cons (elt, res);
	}
	if (scm_is_pair (post)) {
		if (scm_is_null (res) && compress) { // pure postevent list
			if (scm_is_null (scm_cdr (post)))
				return scm_car (post);
			Music *m = MY_MAKE_MUSIC ("PostEvents", loc);
			set_property (m, "elements", post);
			return m->unprotect ();
		}
		bad = ly_append (post, bad);
		if (preserve) {
			Music *p = unsmob<Music> (scm_car (post));
			res = scm_cons (MAKE_SYNTAX (event_chord,
						     *p->origin (),
						     post),
					res);
		}
	}
	for (; scm_is_pair (bad); bad = scm_cdr (bad))
	{
		Music *what = unsmob<Music> (scm_car (bad));
		if (preserve)
			what->warning (_f ("Unattached %s", what->name ()));
		else
			what->warning (_f ("Dropping unattachable %s", what->name ()));
	}
	return res;
}

SCM post_event_cons (SCM post_event, SCM tail)
{
	Music *ev = unsmob<Music> (post_event);
	if (!ev)
		return tail;
	if (!ev->is_mus_type ("post-event-wrapper"))
		return scm_cons (post_event, tail);
	SCM elts = SCM_UNDEFINED;
	SCM props = SCM_EOL;
	SCM tweaks = SCM_UNDEFINED;
	for (SCM p = ev->get_property_alist (true);
	     scm_is_pair (p);
	     p = scm_cdr (p))
	{
		SCM pair = scm_car (p);
		SCM sym = scm_car (pair);
		if (scm_is_eq (sym, ly_symbol2scm ("origin")))
			continue;
		else if (scm_is_eq (sym, ly_symbol2scm ("elements"))
			 && SCM_UNBNDP (elts))
			elts = scm_cdr (pair);
		else if (scm_is_eq (sym, ly_symbol2scm ("tweaks"))
			 && SCM_UNBNDP (tweaks))
			tweaks = scm_cdr (pair);
		else
			props = scm_cons (pair, props);
	}
	if (!scm_is_pair (elts))
		return tail;
	elts = scm_reverse_x (elts, SCM_EOL);
	for (SCM p = elts; scm_is_pair (p); p = scm_cdr (p))
	{
		Music *ev = unsmob<Music> (scm_car (p));
		// tweaks are always collected in-order, newer tweaks
		// nearer to the front of the list
		if (scm_is_pair (tweaks))
			set_property (ev,
			              "tweaks",
			              Srfi_1::append_reverse (tweaks,
				                              get_property (ev, "tweaks")));
		// other properties are applied last to first so that
		// in case of duplicate properties, the actually
		// current one survives
		for (SCM q = props; scm_is_pair (q); q = scm_cdr (q))
			set_property (ev, scm_caar (q), scm_cdar (q));
	}
	return ly_append (elts, tail);
}

void property_path_dot_warning (Input loc, SCM lst)
{
	// if lst is empty, don't even venture a guess...
	if (scm_is_pair (lst)) {
		std::string out = ly_symbol2string (scm_car (lst));
		for (lst = scm_cdr (lst); scm_is_pair (lst); lst = scm_cdr (lst)) {
			out += ".";
			out += ly_symbol2string (scm_car (lst));
		}
		loc.warning (_f ("deprecated: missing `.' in property path %s", out));
	}
}


int
yylex (YYSTYPE *s, YYLTYPE *loc, Lily_parser *parser)
{
	Lily_lexer *lex = parser->lexer_;

	lex->lexval_ = s;
	lex->lexloc_ = loc;
	int tok = lex->pop_extra_token ();
	if (tok >= 0)
		return tok;
	lex->prepare_for_next_token ();
	return lex->yylex ();
}
